== Changelog ==
= 1.1.15 (24 July 2026) =
* Fixed : Authenticated (Editor+) Stored Cross-Site Scripting disclosed by Helder Gonçalves
* Fixed : PHP 8.4 Compatibility: Fix "Attempt to read property on int" Warnings in featured-image.php #5740
* Compatibility : improved compatibility with Age Gate Plugin #5739


= 1.1.14 (19 May 2026) =
* Compatibility : Added compatibility with age gate plugin #5727
* Fixed : On enabling Social Share toggle, Disallowed attribute or attribute value present in HTML tag. #5702
* Fixed : AMP Page Builder scripts_data XSS — allowlist AMP CDN scripts only (e.g. amp-access), scoped edit_post capability, post-bound nonce

= 1.1.13 (22 April 2026) =
* Improvement : flush_rewrite_rules() being called on every admin visit when using Memcached #5725
* Improvement : Showing header and footer in each post in infinite scroll #5729
* Fixed : Fatal error in ServerSideRendering.php: removeAttribute() called on bool #5730
* Fixed : AMP is still showing on posts even after disabling all the options in the General Settings. #5734
* Fixed : After PHP 8.5 Update: Undefined $postID & Null ID Warnings in amp-elementor-pagebuilder.php #5733
* Fixed : Warning for missing social option keys after plugin upgrade #5731
* Fixed : Authenticated (Author+) Arbitrary File Write with Local Font Upload disclosed by Wordfence (Leonid Semenenko)

= 1.1.12 (02 March 2026) =
* Fixed : Fatal error when inmobi privacy mode is enabled #5722
* Fixed : Multiple image candidates with the same width or pixel density found in attribute 'srcset' in tag 'amp-img' when Imagify plugin is active. #5724
* Fixed : Warning in debug log #5723
* Fixed : AMP comment button is broken #5718

= 1.1.11 (08 January 2026) =
* Fixed : Authenticated (Contributor+) Stored Cross-Site Scripting via SVG File Upload reported by Andrea Bocchetti (Wordfence)

= 1.1.10 (23 December 2025) =
* Fixed : CSRF issue for comment submission disclosed by 0N0ise (Wordfence)
* Fixed : Fixed AMP error for labels #5716

= 1.1.9 (25 November 2025) =
* Fixed : PHP Fatal error & More Warnings #5713
* Fixed : Settings are not getting saved #5714

= 1.1.8 (19 November 2025) =
* Fixed : Function _load_textdomain_just_in_time was called incorrectly #5703
* Fixed : PHP Notice: Function _load_textdomain_just_in_time was called incorrectly - Version: 1.1.7.1 #5709
* Fixed : PHP Warning : Trying to access array offset on null #5704

= 1.1.7.1 (27 September 2025) =
* Fixed : Issue persists in AMP plugin version 1.1.7. #5707

= 1.1.7 (26 September 2025) =
* Fixed : PHP Error: Function _load_textdomain_just_in_time #5703
* Fixed : PHP Deprecated:  Creation of dynamic property

= 1.1.6.1 (29 July 2025) =
* Fixed : Settings not saving in version 1.1.6 #5700
* Fixed : Call to a member function hasAttributes() in Document.php (v1.1.6) #5699

= 1.1.6 (28 July 2025) =
* Tested: Tested upto WordPress 6.8.2
* Fixed : Deprecated "Creation of dynamic property" #5688
* Fixed : PHP 8.2 Deprecated Warnings in DOMDocument and Dynamic Property Creation in AMP . #5692
* Fixed : Deprecated Warning: FILTER_SANITIZE_STRING used in framework.php line 2862 #5691
* Fixed : Related post refresh not working #5693
* Fixed : Fatal Error: Undefined Callback ampforwp_getty_image_compatibility in PHP 8.3 #56967

= 1.1.6 (28 July 2025) =
* Tested: Tested upto WordPress 6.8.2
* Fixed : Deprecated "Creation of dynamic property" #5688
* Fixed : PHP 8.2 Deprecated Warnings in DOMDocument and Dynamic Property Creation in AMP . #5692
* Fixed : Deprecated Warning: FILTER_SANITIZE_STRING used in framework.php line 2862 #5691
* Fixed : Related post refresh not working #5693
* Fixed : Fatal Error: Undefined Callback ampforwp_getty_image_compatibility in PHP 8.3 #56967

= 1.1.5 (22 May 2025) =
* Tested: Need to test with WordPress 6.8 #5686
* Fixed : A fatal error occurs when we activate the AMP Page Builder. #5684
* Feature : AMP is not showing .avif images #5670
* Fixed: The attribute 'alt' may not appear in tag 'a'. #5682
* Feature: Conflict issue with Penci widgets. #5683
* Improvement: Need to improve Query of function ampforwp_get_post_percent() #5687

= 1.1.4 (08 April 2025) =
* Feature: Add setting button in Purge AMP CDN Cache #5671
* Compatibility: Need to implement inMobi Choice #5678
* Improvement: Add the close button feature in AMP Stories for better usability. #5680
* Feature: Option to Disable Custom Third-Party Code Injection in AMP Pages #5681

= 1.1.3 (14 February 2025) =
* Fixed: PHP Deprecated: error with AMP #5669
* Fixed: Fatal error on user end  #5673
* Fixed: Error in debug log. #5676
* Fixed: Submit button issue with Amp Ninja Form extension #5667
* Fixed: Need to added the feature in AMP CTA customize button location #5674

= 1.1.2 (03 December 2024) =
* New: Jetpack related post not showing on AMP #5575
* New: Add a new feature to add Whatsapp Group links to Floating Buttons for AMP #5649
* New: Need to added the Subtitle feature in Post/pages in AMP #5665
* Fixed: Security issue reported by "Wordfence" #5662
* Fixed: AMP Pixel URL Issue After Recent Plugin Update 1.1.1 #5663
* Fixed: Function _load_textdomain_just_in_time was called incorrectly #5664

= 1.1.1 (12 November 2024) =
* New : Manual post selection in infinite scroll #5651
* Fixed: Version 1.0.99.1 causing Tag issue. #5650
* Fixed: Errors in debug.log, PHP Deprecated: trim(): Passing null to parameter #5652
* Fixed: GA-4 Analytic not working on infinite scroll post #5656
* Fixed: The Last Modified date appears broken in the AMP version #5659
* Fixed: Feature images are not loading in homepage due to conflict with JNews theme lazyload #5655
* Fixed: Afterpay Gateway for WooCommerce plugin is causing issue in Amp Validator #5643
* Fixed: FV Gravatar Cache plugin conflicts with AMP. #5611
* Fixed: Php error on user end. #5642
* Fixed: The author image added by the "Simple User Avatar plugin" is not showing in the AMP. #5606
* Fixed: Cron reschedule event error for hook #5595
* Fixed: PHP Deprecated: error with AMP #5621
* Test: Test with WordPress version 6.7 #5657
* Improvement : Few improvements required #5630

= 1.0.99.2 (23 October 2024) =
* Fixed: Cross-Site Request Forgery discovered by David Gallagher ( Wordfence )

= 1.0.99.1 (24 September 2024) =
* Fixed: The tag <? is disallowed error in 1.0.99 WITH MENU #5646

= 1.0.99 (23 September 2024) =
* Fixed: Conflict issue with Infinite Scroll option. #5638
* Fixed: Some language characters breaking in amp footer #5627 , #5639 , #5620
* Fixed: Code Improvement #5630

= 1.0.98 (9th August 2024) =
* Fixed: PHP errors and warnings #5617,#5624,#5619,#5628,#5629,#5626
* Fixed: Disqus comments are not showing on the AMP. #5353


= 1.0.97 (22nd July 2024) =
* Fixed: Stored Cross-Site Scripting via SVG File Upload (Reported by Wordfence)
* Fixed: Contributor+ Broken Access Control discovered by Rafie Muhammad (Patchstack)
* Fixed: PHP Deprecated: error with AMP #5621
* Fixed: Disqus comments are not showing on the AMP. #5353
* Fixed: Warning in query monitor, "Array to String Conversion" #5610
* Tested: WordPress version 6.6 #5618


= 1.0.96.1 (1st July 2024) =
* Fixed: Update Twitter Icon as X  in author box #5609
* Fixed: AMP footer Menu showing as text for some users

= 1.0.96 (28th June 2024) =
* Fixed: Featured image caption is not working #5574
* Fixed: PHP deprecated error (PHP 8.2) #5587
* Fixed: PHP warning message displayed on the user's end. #5594
* Fixed: Publisher desk "Dismiss" button is not working.  #5591
* Fixed: PHP error on the user end. #5605
* Fixed: Undefined property: stdClass::$inContentPlacementMethod #5607
* Fixed: While using the News12Paper theme and tagDiv Composer plugin, there is an issue with the AMP menu (user-end issue). #5608
* Fixed: Fixed: Change Twitter as X #5609
* Fixed: Amazon auto links are not working on AMP #5583

= 1.0.95 (7th May 2024) =
* Fixed: rtrim(): Argument #1 ($string) must be of type string, WP_Error given #5588
* Fixed: Issue persist due to recent update with poll maker plugin #5585
* Fixed: PHP Warning: Attempt to read property "ID" on null #5589
* Test: Test with new version of wordpress i.e. 6.5v #5581
* Fixed: Validation issues in images when using Pencil builder #5592

= 1.0.94 (3rd April 2024) =
* New: Added Shortcode so that user can show or hide some content in AMP. #5474
* Improvements: Code improvement part 2 #5567
* Fixed: Warning appears related to author-box #5577
* Fixed: The excerpt is not showing inside the em tag in AMP, and the font is not working. #5487
* Fixed: Issue with a cookie banner (GDPR) #5561

= 1.0.93.2 (1st February 2024) =
* Fixed: Video docking not working in AMP Newspaper theme #5566
* Fixed: Video not loading on Amp if video set in Soledad theme Video Embed. #5571
* Fixed: Authenticated(Contributor+) Arbitrary Post Deletion Vulnerability (Reported by Wordfence)

= 1.0.93.1 (22nd January 2024) =
* Fixed : CSS syntax error in the 'style amp-custom tag #5564

= 1.0.93 (19th January 2024) =
* New: Compatibility with the plugin WP No Base Permalink #5541
* New: An option of "AMP Alternative Menu—Below the Header" when Theme Design is set on Three #5545
* New: An option to add the "View NON-AMP version" link in the hamburger menu #5466
* New: An option where, users can add the single-post design to pages #5482
* Fixed: Code Improvement #5550
* Fixed: Change Twitter icon everywhere #5551
* Fixed: Amp backend design conflict with Vani Theme #5552
* Fixed: Debug warning #5554
* Fixed: Slider Revolution images not showing on AMP #5555
* Fixed: Dual-feature image is visible in the Design Three theme #5556
* Fixed: CRITICAL Uncaught TypeError - 'property_exists()' Critical Issue" #5557

= 1.0.92.1 (16th December 2023) =
* Fixed:  Cross-Site Scripting issue on shortcode [amp-gist] for contributer+ access (Reported by Wordfence)

= 1.0.92 (18th November 2023) =
* New: Compatibility with Publytics.net #5477
* Fixed: Add a filter to modify unused CSS #5478
* Fixed: Local Fonts option not working properly. #5506
* Fixed: Autoload is termed as yes in wp_options. #5523
* Fixed: Deprecated error in query monitor #5527
* Fixed: PHP Fatal error appears in AMP #5539
* Fixed: CSS issue with 1.0.91 Version #5540
* Fixed: Invalid Layout Issue in AMP HTML Tag for Missing 'height' Attribute. #5542
* Fixed: Getting blank screen on amp pages #5546
* Fixed: Images from Slider revolution plugin not visible in AMP #5548

= 1.0.91.1 (20th October 2023) =
* Fixed: Version 1.0.91 breaks Swift Theme #5537

= 1.0.91 (16th October 2023) =
* New: Compatibility with webpushr notification #5517
* Fixed: Jetpack Stats are not showing in the AMP. #5495
* Fixed: Double curly brackets parsed from {{}} to %7B%7B%7D%7D in src attribute in amp-iframe component #5522
* Fixed: Amp Validation Error in New update #5528
* Fixed: A warning (Warning: Undefined property: WP_Post_Type::$taxonomy) is appearing on the AMP version #5532
* Fixed: The author link and date not showing properly on the homepage #5533
* Fixed: AAWP Images not loading if WebP Express is active #5535

= 1.0.90 (26th September 2023) =
* New: An option to configure the number of posts appearing on Homepage & Category page #5503
* Fixed: PHP notice on style.php #5514
* Fixed: Star rating are broken, showing numbers instead of stars #5516
* Fixed: Validation error from recent AMP update version 1.0.88.1 #5518
* Fixed: Fatal error in setting panel #5521

= 1.0.89 (14th September 2023) =
* New: Piwik Pro Analytics #5510
* New: compatibility with EmbedPress #5486
* Fixed: Conflict WP-Bakery page builder with AMP #5417
* Fixed: Warning in error log #5504
* Fixed: Uncaught ValueError: DOMDocument::loadHTML(): Argument #1 ($source) must not be empty #5512
* Fixed: Header Font Size Offset Changing After Update 1.0.86 #5496
* Fixed: Various deprecated warning in PHP 8.2+ related to dynamic property creation #5515
* Fixed: Added post data variables in GTM advanced code #5498

= 1.0.88.1 (24nd August 2023) =
* Fixed: AMP for WP Update Causes Dashboard Notices and Warnings #5508
* Fixed: Breadcrumb icon broken of design 3 #5509

= 1.0.88 (22nd August 2023) =
* Fixed: Error in error log #5472
* Fixed: Screen gets wider on mobile when enable callrail analytics #5473
* Fixed: When we disable the Call to Action button from the AMP, the CTA is still shown #5475
* Fixed: PHP Warning: Undefined variable #5479
* Fixed: The attribute 'height' may not appear in tag 'table' #5483
* Fixed: The attribute 'label' may not appear in tag 'a' #5485
* Fixed: Header Elements chosen color not loading on front end #5491
* Fixed: Deprecated warning on the AMP #5493
* Fixed: Deprecated issue #5497
* Fixed: Fatal Error & warning in the debug log #5500
* Fixed: The PDF files are not appearing properly on the AMP version #5502
* New  : Multiple Google Analytics 4 accounts support #5481

= 1.0.87 (3rd July 2023) =
* Fixed: CallNow buttons number is not replaced by callrail #5459
* Fixed: Add compatibility with Adobe Launch #5457
* Fixed: Undefined variable $q + attempt to read property “max_num_pages” in design-1 #5458
* Fixed: AMP not working with categories. #5456
* Fixed: Truepush integration not working: missing file /accelerated-mobile-pages/includes/truepush-integration/sw.js #5455
* Fixed: An error is appearing in the console and the AMP setting panel is frizzed #5442
* Fixed: Hestia Pro theme buttons are not appearing in the AMP version of the website. #5452
* Fixed: Uncaught Error: Call to a member function get() on string #5463
* Fixed: PHP Error is showing in the AMP #5464
* Fixed: ampforwp_modify_rel_canonical filter should be applied at last in function #5468
* Fixed: Playfair Display font is not showing in the heading font family. #5469
* Fixed: Title H1 tags is automatically converted to H2 tags in AMP #5470
* Fixed: GA4 activity fails when the AMP page is hosted on Google #5471

= 1.0.85 (10th May 2023) =
* Fixed: Notice : Function WP_Scripts::localize was called incorrectly. The $l10n parameter must be array #5435
* Fixed: PHP error after the recent update 1.0.84 #5436
* Fixed: Dismiss button not working #5437
* Fixed: Issue with Google Font and Global Font Weight Selector #5440
* Fixed: Some issue in extension section #5433

= 1.0.84 (28th April 2023) =
* Fixed: Conflict issue with Jetpack Tiled gallery #5424
* Fixed: An Author's page amphtml is not getting generated if the author name has "-" character. #5426
* Fixed: Incorrect hook used to add admin scripts #4457
* Fixed: when user is not an ampforwp admin, then newely created posts are not getting added in the instantarticles feed #4588
* Fixed: Fatal error with Nitropack #5427
* Fixed: Conflict issue with Imagify and WP Offload Media Lite plugin #5432
* Fixed: The Analytic option Google Tag Manager is causing an error in the console while using with AMP Pop-up #5429
* Improvement: Test with WordPress 6.2 and update Tested Up To in readme.txt #5431

= 1.0.83 (4th April 2023) =
* Fixed: The Facebook like button is not showing up properly on the AMP version. #5416
* Fixed: Conflict WP-Bakery page builder with AMP. #5417
* Fixed: Deprecated error messages in debug log in wordpress 6.2. #5418

= 1.0.82 (24th March 2023) =
* Fixed: Callrail conflicting with contact number format. #5392
* Fixed: Adobe Analytics support in AMPforWP. #5395
* Fixed: While AMP is active, errors and warnings appear on the user website.  #5396
* Fixed: The attribute "action" may not appear in tag form. #5398
* Fixed: View non-amp and Leave a comment not working. #5404
* Fixed: While using the Yuki Blogger theme, when we edit the AMP customization, it shows a fatal error. #5405
* Fixed: The option Infinite Scroll is not working. #5408
* Fixed: An error is appearing on GSC "custom java Script is not allowed. #5411
* Fixed: An error is appearing on GSC due to an option of the plugin Embed Plus YouTube WordPress Plugin #5413

= 1.0.81 (27th February 2023) =
* Fixed: When selecting a post with custom structure /%postname%/amp/ issue resolved. #5379
* Fixed: TagDiv composer recent posts grid breaks if the AMP takeover is enabled issue resolved #5387
* Fixed: Validation error while using the JetPack Boost plugin issue resolved #5391
* Fixed: Warning: Cannot modify header information - headers already sent issue resolved #5394
* Fixed: Product Base Remover not working properly with ?amp issue resolved #5397

= 1.0.80 (10th February 2023) =
* Improvements: Added Support for Google Analytics 4 #4793 (Thanks to David Vallejo)
* Improvements: Added 3D Viewer plugin compatibility #5372
* Fixed: Getting error Attribute 'visible-when-invalid' missing or incorrect issue resolved #5382
* Fixed: AMP version removing the "\_blank" attribute #5383
* Fixed: Autoplay is not working #5386
* Fixed: Uncaught TypeError: count() Argument #1 must be of type Countable|array issue resolved #5388

= 1.0.79 (25th January 2023) =
* Fixed: Errors because of the FAQ blocks of schema issue resolved #5352
* New  : Core Web Vitals Option  #5363

= 1.0.78 (10th January 2023) =
* Fixed: Unnecessary character showing issue resolved #5334
* Fixed: Youtube close button not appearing in lightbox issue resolved #5357
* Fixed: Iframe code not loading issue resolved #5358
* Fixed: Jet Booster not connecting to site issue resolved #5362
* Fixed: After the update there is no control="" in video's code issue resolved #5366
* Fixed: Warning: Array to string conversion issue resolved #5367
* Fixed: TypeError: jQuery(...).typeWatch is not a function issue resolved #5368
* Fixed: Removed Offer Bannner #5370
* Fixed: Fatal error: Uncaught TypeError: array_merge() issue resolved #5371
* Fixed: Fatal error: Uncaught TypeError: call_user_func_array() issue resolved #5373

= 1.0.77.55.1 (2nd January 2023) =
* Fixed: Disallowed attribute or attribute value present in HTML tag error issue resolved #5360

= 1.0.77.55 (27th December 2022) =
* Fixed: Unable to add STN video Ads due to the outdated tag #5334
* Fixed: Jetpack Boost disappears after enabling the AMP Takeover #5343
* Fixed: When implementing callRail analytics, it throws error in console #5344
* Fixed: Fallback attribute is getting stripped when Change Pagination Links to /amp option is enabled #5345
* Fixed: AMP is reacting with the Scripts in the WP root folder #5346
* Fixed: PHP warning appears after activating AMP with WP Fastest Cache #5348

= 1.0.77.54.1 (22nd November 2022) =
* Fixed: PHP Fatal error: Uncaught Value Error #5174

= 1.0.77.54 (21st November 2022) =
* Fixed: Tested compatibility with wp 6.1 #5331
* Fixed: Removed deprecated warning in php 8.1.10 #5333
* Fixed: Resolved STN video Ads due to the outdated tag issue #5334
* New  : BFCM internal offer  #5336

= 1.0.77.53 (25th October 2022) =
* Fixed: Backslash in custom css error #5329
* Fixed: If we enable the Responsive ad option then no need to show size option. #5302
* Fixed: TikTok embed video is not working in AMP #5325
* Fixed: lightbox for Youtube feature is not working properly #5327

= 1.0.77.52 (14th October 2022) =
* Fixed: Duplicate canonical URL when AIOSEO Pro is active. #5320 
* Fixed: Youtube embedded videos via elementor is not displaying in the AMP version #5322
* Fixed: Slide Anything image src not loading properly. #5315
* Fixed: PHP Warning Attempt to read property "post_type" on null #5323
* Fixed: While adding the multiple Webstories  on the website page, the image is not showing of the web stories the AMP Pages. #5301
* Fixed: Author names are not shown in AMP when the Co-Authors Plus plugin is activated #5319 

= 1.0.77.51 (9th September 2022) =
* Fixed: Infinite scroll doesn't work with custom post type. #5309
* Fixed: Need to make it compatible with the Co-Authors Plus plugin  #5313
* Fixed: Slide Anything image src not loading properly. #5315

= 1.0.77.50 (24th August 2022) =
* Fixed: "Back to Top link" option adds amp-animation & amp-position-observer script without its usage on page #5305
* Fixed: AMPforWP is creating "/amp" as an endpoint in Addon mode. #5303
* Improvements: Strange Exclamation mark . #5304

= 1.0.77.49 (22nd August 2022) =
* Fixed: There is a compatibility issue with the latest version of the All in One SEO Plugin. #5306

= 1.0.77.48 (11th August 2022) =
* Improvements: Added Super Related Posts plugin compatibility #5298
* Improvements: Added Inline Related Post plugin compatibility #5296
* Fixed: Fatal error while activating official AMP. #5300
* Fixed: Spotify Embed not working after 1.0.77.46 version #5294
* Fixed: AMP Pagebuilder not loading with All in One SEO latest update #5299

= 1.0.77.47 (5th July 2022) =
* Fixed: AMP validation error when youtube video is embeded with query parameters #5292
* Fixed: Instagram embeds not working when added with blockquote tags #5289

= 1.0.77.46 (28th June 2022) =
* Fixed: Reduced the execution of JS in youtube embeds #5287
* Fixed: Instagram embeds not working when added with iframe #5289
* Fixed: Subchild menu items does not expand with UberMenu plugin
* Fixed: Incorrect default value in TPD #5286
* Fixed: Debug Warnings - Undefined array-key: row #5283

= 1.0.77.45 (13th June 2022) =
* Fixed: Conflict issue with WPML #5274
* Fixed: Page builder modal is getting hidden below the header of the post/page editor. #5279
* Fixed: FAQ Schema For Pages And Posts compatibility #5278
* Fixed: Debug Warnings - Trying to access array offset on value of type null #5277
* Fixed: fatal error #5280

= 1.0.77.44 (2nd June 2022) =
* Improvements: Added Marfeel analytics compatibility in AMP #5266
* Improvements: Added WP Table Builder compatibility in AMP #5270
* Improvements: Updated the email id in feedback form #5273
* Fixed: Instagram reels not working in AMP #5269
* Fixed: Preload Funtionality not working when Image is added #5260
* Fixed: AMP dashicons CSS overwrites the WP default dashicons #5265
* Fixed: Tel protocols not working in the AMP #5268
* Fixed: CTA links saving without '=' character #5267

= 1.0.77.43 (10th May 2022) =
* Updated: TPD feature updated #5257
* Fixed: Resolved the issue of Image Gallery Carousel in AMP does not change the gallery view in posts/pages #5259

= 1.0.77.42 (16th April 2022) =
* Improvements: Added REHub Comparison charts, tables Compatibility #5250
* Fixed: Debug Warnings - Undefined index: amp-license #5251

= 1.0.77.41 (12th April 2022) =
* Improvements: Added Compatibility with GenerateBlocks plugin #5248
* Improvements: Added Web Safe Fonts in Google Fonts List #5242
* Improvements: AMP Option panel improvements #5239
* Fixed: White space in footer element between the posts of infinite scroll #5238
* Fixed: Invalid JSON error in console when using Plausible analytics #5142

= 1.0.77.40 (6th April 2022) =
* Fixed: The Publisher Desk CDN URL added instead of Heroku link #5237
* Fixed: AMP Option panel improvements #5240

= 1.0.77.39 (5th April 2022) =
* Improvements: Added New Guidelines in GDPR #5225
* Improvements: Added AT internet analytics support #5233
* Improvements: UI improved of feedback form #5223
* Fixed: Header and footer showing twice in new infine scroll #5238
* Fixed: AMP option panel not working with Tour Booking Manager plugin #5236
* Fixed: Font style not loading correctly on first page load #5224
* Fixed: The hamburger icon is not clickable when Font Icon Library is selected as CSS Icons #5243
* Fixed: Duplicate li tags removed #5241
* Fixed: Warning compatibility PHP 8.0 #5245

= 1.0.77.38 (7th March 2022) =
* Improvements: Added The Publisher Desk Support #5213
* Fixed: Displaying a blank white screen when embed URLs are used #5193

1.0.77.37.1 (4TH March 2022)
* Improvements: Added new infinite scrolling experience #4791
* Fixed: The links in embed URLs are not clickable #5193

= 1.0.77.37 (2nd March 2022) =
* Improvements: Added feedback form with auto email system #5223
* Improvements: Added new infinite scrolling experience #4791
* Improvements: Added An option to add lang_ and privacyMode values in Quantcast #5206
* Improvements: Added FireWork compatibility #5210
* Fixed: AMP autocomplete tag is not working #5217
* Fixed: Autoplay functionality not working in video module #5219
* Fixed: Fonts loading twice in Global font family #5220
* Fixed: Unable to connect to Matomo analytics #5221

= 1.0.77.36 (18th February 2022) =
* Fixed: If the server-side cache is aggressive then the pagination URL with ?amp=1 is redirecting to non-AMP #5208
* Fixed: Errror getting in featured-image.php, on line 77 #5207
* Fixed: Need to keep the mobile redirection filter outside of any condition #5216

= 1.0.77.35 (21th January 2022) =
* Fixed: Embed URLs not working with Amp takeover active #5193
* Fixed: Need to change Google Fonts display to optional #5191
* Fixed: Need to make compatibility of amp analytics in infinite scroll #5194
* Fixed: Current year is not showing in design 1,2,3 #5190
* Fixed: VKontakte social media not working in social media profile links #5196
* Fixed: PHP Notice: tag_rewrite_rules is deprecated #5197

= 1.0.77.34 (11th January 2022) =
* Fixed: External stylesheet Errors using Vinkmag theme #5189
* Fixed: AMP Takeover functionality is not working on the blog posts #5188
* Fixed: Replace webvitalsdev to Microwork #5183
* Fixed: Wrong Notice for first time installation #5184

= 1.0.77.33 (15th December 2021) =
* Fixed: Code improvements in AMP options panel #5179
* Fixed: Stylesheet errors when using Qoxag theme #5177

= 1.0.77.32 (11th December 2021) =
* Fixed: Code improvements in AMP pagebuilder #5179

= 1.0.77.31 (7th December 2021) =
* Fixed: Uncaught ValueError - DOMDocument::loadHTML() Error #5174
* Fixed: PHP Notice: Undefined index: rgba #5175
* Fixed: Optional added for font display in google fonts #5176

= 1.0.77.30 (25th November 2021) =
* Improvements: Added Filter to modify title in AMP #5170
* Fixed: Whitelisted amp-render tag #5171
* Fixed: Featured image not appearing in loop with Offload Media Lite #5153
* Fixed: Infinite scroll showing posts from different categories also when same category is selected #5168
* Fixed: Webp images not appearing in preload with WEBP express plugin #5165
* Fixed: pagination 404 issue with infinite scroll #5167

= 1.0.77.29 (28TH October 2021) =
Improvements: Search results opens directly in Google search in AMP #5161
Fixed: Undefined variable - pathExploded debug notice #5160
Fixed: ID has been getting removed from the amp-img tag #5163

= 1.0.77.28 (28TH October 2021) =
Improvements: License code improved #5151
Fixed: Default Gravatar not appearing with FV Gravatar Cache #5149
Fixed: Featured image not appearing with Offload Media Lite #5153
Fixed: Function name updated in the seo framework #5155
Fixed: Lifetime license key is showing as expired in admin panel #5156
Fixed: Video is not loading when created by slider revolution with divi #5159

= 1.0.77.27 (21TH October 2021) =
Improvements: Added AdPushup Support in AMP #5144

= 1.0.77.26 (20TH October 2021) =
Improvements: Added FV Gravatar Cache Compatibility in AMP #5149
Fixed: Images not loading when destination structure is document root in WebP Express #5150

= 1.0.77.25 (1st October 2021) =
* Improvements: Added Plausible analytics compatible in AMP #5142
* Fixed: The amp-minute-media-player tag is getting stripped from the content #5146
* Fixed: Author profile images not loading from Ultimate Member plugin #5141
* Fixed: AMP Page builder content not rendering with Muffin builder #5147
* Fixed: Debug log Errors #5145

= 1.0.77.24 (23rd September 2021) =
* Improvements: Added Filter to disable AMP for all categories except one #5139
* Improvements: Added Ninja Form in the description of contact form module #5138
* Fixed: Basic/Advance popup shows everytime when visiting option panel #5143
* Fixed: Renewal link redirecting to 404 from options panel #5140
* Fixed: Incorrect URL while using Matomo analytics #5136
* Fixed: Validation error in the alt tag with Transposh plugin #5135
* Fixed: Some design issues on one specific users #5134
* Fixed: Debug Warnings - Use of undefined constant AUTH_KEY and SECURE_AUTH_KEY #5035 

= 1.0.77.23 (16th September 2021) =
* Improvements: Added Top Mail Ru analytics support in amp #5130
* Improvements: Added an option to move sponsorship label above the ad
* Improvements: Updated the facebook instant articles to 50 when limit is not set #5131

= 1.0.77.22 (6th September 2021) =
* Fixed: Validation error with rankmath's "open external links in new tab" option #5129

= 1.0.77.21 (6th September 2021) =
* Fixed: Images not displaying in AMP with Lazy loading of Zeen theme #5126
* Fixed: Missing rel noopener attribute in links #5125
* Fixed: Incorrect canonical for Homepage if WordPress installation is another folder #5122
* Fixed: No data hero attribute on featured image of default image #5121
* Fixed: Debug log errors #5124

= 1.0.77.20 (24th August 2021) =
* Fixed: Validation errors when Jetpack boost plugin is active #5120
* Fixed: Display Warning Icon more clearly if setup is not completed #5119
* Fixed: Image loading issues while using Webp express #5118

= 1.0.77.19 (13th August 2021) =
* Fixed: Disable AMP on desktop not working with ?amp #5113
* Fixed: Can't use function return value error when activating plugin #5115
* Fixed: Button icon showing white When installing schema internally #5111

= 1.0.77.18 (5th August 2021) =
* Improvements: Added License Key information in AMP panel #5110

= 1.0.77.17 (3rd August 2021) =
* Improvements: Added dotmetrics analytics support in amp #5107
* Improvements: Added support to preserve query string with ?amp #5103

= 1.0.77.16 (29th July 2021) =
* Improvements: Added Filter to remove last-modified header in amp #5101
* Fixed: Webp images are not converting with Webp Express plugin #5108
* Fixed: Validation error - The tag 'lite-youtube' is disallowed #5102
* Fixed: Yoast custom breadcrumbs title not working after update #5100

= 1.0.77.15 (27th July 2021) =
* Improvements: Added Yoast custom breadcrumbs title support #5100
* Fixed: Author name only showing for the first post on homepage #5099
* Fixed: Youtube videos does not appear on the AMP page with the Video Yoast plugin
* Fixed: The parent tag of tag ‘picture’ must be noscript validation error #5097

= 1.0.77.14 (20th July 2021) =
* Fixed: AMP page not showing with query string from 1.0.66 version #5096
* Fixed: Related posts title and excerpt not appearing properly #5095
* Fixed: Debug warnigs with WP Foro plugin #5094

= 1.0.77.13 (16th July 2021) =
* Fixed: FooGallery plugin not working with AMP #5090
* Fixed: Console error when Back to Top link option is enabled #5091
* Fixed: Exclude Categories is not working #5088
* Fixed: Long word post title not breaking in mobile view #5092

= 1.0.77.12 (12th July 2021) =
* Fixed: Exclude categories loop not working #5088
* Fixed: Endpoint '?amp' not working with plain permalink #5087

= 1.0.77.11 (6th July 2021) =
* Improvements: Improved readme.txt for newer features #5080
* Fixed: SVG images are loading with a bigger size in the AMP version #5084
* Fixed: Removed the percentage symbol beside AMP icon in dashboard #5082
* Fixed: Gallery thumbnail image improved #5003

= 1.0.77.10 (5th July 2021) =
* Improvements: Unused CSS and Scripts are removed in AMP Optimizer (SSR) #5070 
* Improvements: Added data-hero attribute in AMP logo #5083
* Fixed: Webp images not appearing with Litespeed cache #5081

= 1.0.77.9 (29th June 2021) =
* Added: AMP widget for adding amp code #5064
* Added: Filter to modify the WP Rocket CDN URL #5076
* Fixed: Meta description of Rank Math SEO plugin not showing on amp #5071
* Fixed: Slide Anything Plugin slider content is not showing #5073
* Fixed: When Convert AMP to WP theme Option is enabled, it breaks the Design #5074
* Fixed: Remove preload if Featured Image option is off in AMP options panel #5077
* Fixed: Icons are not loading when visiting first time or after clearing cache #5060

= 1.0.77.8 (23rd June 2021) =
* Added: Webp images support with LiteSpeed Cache plugin #5051
* Added: Primary category compatibility of all SEO plugins #5049
* Added: Notice if license key isn't added in AMP pro extension manager #5068
* Fixed: Instagram embeds are not loading on the Facebook instance Article #5066
* Fixed: WP rocket cache not working with ?amp query string #5063 
* Fixed: Debug error appearing in the non-amp #5059
* Fixed: Code improvements for options panel #5057
* Fixed: Disqus comments not showing on mobile when adding ads #5055
* Fixed: Proper preload added if WebP Express is active #4357
* Fixed: The slashes (\) are no longer appear in the custom CSS #5035

= 1.0.77.7 (21st June 2021) =
* Added: AMP Optimizer (SSR) Support #5034 

= 1.0.77.6 (12th June 2021) =
* Fixed: Custom JavaScript is not allowed error when analytics added by All in one SEO #5062

= 1.0.77.5 (10th June 2021) =
* Fixed: Some issues found while refresh the individual extension from the Extension section #5056
* Fixed: Referenced AMP URL is self-canonical AMP when AMP takeover is enabled #5053
* Fixed: Remove AMP blocks from options panel for CWV #5052
* Fixed: Incorrect link in the Breadcrumb #5050
* Fixed: Blank taxonomy in option panel #5037
* Fixed: Featured image not working for specific usecase in amp #5058

= 1.0.77.4 (1st June 2021) =
* Improvements: Added dynamic copyright code so that year changes automatically #5019
* Improvements: Added  Smart Sticky Header Extension #5001
* Fixed: View Non-amp version link redirecting to 404 using custom permalink #5039
* Fixed: Headline error in schema when adding more than 110 characters in title #5033
* Fixed: Aq_resize.process() error in error logs #5041
* Fixed: Google Fonts are not getting saved while using Safari #4978
* Fixed: The tag 'animatetransform' is disallowed validation error #5043
* Fixed: Debug Warning Function get_magic_quotes_gpc() is deprecated #5035
* Fixed: Debug Warning Trying to get property 'ID' of non-object #5046

= 1.0.77.3 (27th May 2021) =
* Improvements: Added Compatibility with WebP Express plugin #4357 
* Improvements: Added an option to allow users to upload and use local fonts on AMP #4264
* Improvements: Added Muffin builder Pagebuilder Support in AMP Pagebuilder Extension #5015
* Fixed: Fatal error when both Sassy Social Share and Optimize CSS are enabled #5032  
* Fixed: Issues with Megashop theme #5010 
* Fixed: Images not sanitized when added using Muffin Pagebuilder #5013 
* Fixed: Hide featured images on a single post if this is older than certain date #5018 
* Fixed: Getting AMP validation Error in Add Widget After Content plugin #5027 
* Fixed: Query Monitor not working on AMP pages #5025 
* Fixed: Full-size image is always preloaded for the featured image in Swift theme #5038

= 1.0.77.2 (20th May 2021) =
* Fixed: Some issues with style on normal version after update #3844

= 1.0.77.1 (19th May 2021) =
* Improvements: Added a filter from which user can control Mobile redirection #4488
* Improvements: Implemented the Mobile redirection functionality using Javascript method #3844 
* Improvements: Added preload to get featured image on AMP #5020 
* Fixed: Debug Warning in templates/features.php #5014 
* Fixed: Validation error in image lightbox for gallery #5021
* Fixed: Fatal error on AMP pages after updating WP User Avatar plugin #5029

= 1.0.77 (17th May 2021) =
* Fixed: Related posts doesn't show more than 3-4 #4300

= 1.0.76.17 (7th May 2021) =
* Improvements: Added Beaver builder Pagebuilder Support in AMP Pagebuilder Extension #5009
* Fixed: Title on Static Front Page is not displaying #5007
* Fixed: The attribute 'height' in tag 'amp-img' is set to the invalid value. #5005
* Fixed: ?amp doesn’t removing from view non-amp text #5006
* Fixed: Errors in Schema Pro FAQ #4956
* Fixed: PHP Warning error when enable Breadcrumbs option #5008

= 1.0.76.16 (4th May 2021) =
* Fixed: Incorrent height in anchor.fm audio embed from the Pennews Theme #4576
* Fixed: Slide Anything Plugin text slider not working in AMP #4999
* Fixed: Backend button translation #4717
* Fixed: Alignment issue with Gutenberg image block #4997 
* Fixed: Undefined variable $q / Attempt to read property max_num_pages on null #5004

= 1.0.76.15 (28th April 2021) =
* Improvements: Added an option to add one signal notification on the desktop #4377
* Improvements: Added an option to set Target for CTA button in swift theme #4995
* Improvements: Added an option to install PWA from options panel #4529
* Improvements: Added HappyForms Compatibility Extension #5001
* Fixed: Width in percentage not working for the audio from the Pennews Theme #4576
* Fixed: Need to allow two attributes in input tag #4998

= 1.0.76.14 (23rd April 2021) =
* Improvements: Added an option to add Schema Pro FAQ in AMP #4956
* Improvements: Added support for the audio from the Pennews Theme #4576
* Improvements: Added Getty Images embed Compatibility #4188
* Improvements: Added an option to move the search bar top and bottom. #4748
* Improvements: Added an option for autoplay in slider module of AMP pagebuilder #3859
* Improvements: Added an option to remove Site navigation element schema #4583
* Improvements: Added related posts after the last post for infinity scroll posts in AMP layout #4652
* Fixed: Call to undefined method MCI_Footnotes_Convert error #4993
* Fixed: Search bar close icon is hidden behind the admin navigation bar #4991
* Fixed: AMP menu automatically scrolls down to bottom in Design three #4967
* Fixed: Single post content not showing when using AMP on subdomain #4996

= 1.0.76.13 (19th April 2021) =
* Improvements: Added an option to preserve original permalinks in mobile redirection #4207
* Improvements: Added an option to add moderation tool for the Facebook comments #4485
* Improvements: Added an option to make buttons side by side in the mobile with AMP pagebuilder #4472
* Improvements: Added an option to add UTM souce parameters in URLs to both related & incontent related posts #4237
* Improvements: Added Quantcast CMP (consent management platform) support in AMP 4951
* Fixed: Alt tag not appearing in sticky social sharing icons #4984
* Fixed: Debug Warning in edit tag page when using PHP8 #4990

= 1.0.76.12 (14th April 2021) =
* Fixed: Fatal error occuring with the recent update Version 1.0.76.11 #4986

= 1.0.76.11 (14th April 2021) =
* Improvements: Added an option to select same categories in infinite scroll #4017
* Improvements: Added an option to select same tags in infinite scroll #4939
* Improvements: Added the filter to change breadcrumbs name #4979
* Fixed: Muffin pagebuilder not working in AMP #4983
* Fixed: PHP 8 debug errors #4981
* Fixed: AMP menu automatically scrolls down to bottom in Design three #4967
* Fixed: Deprecated Filters Detected Warning in All in one SEO plugin #4980

= 1.0.76.10 (9th April 2021) =
* Improvements: Added the Compatibility with the Schema Pro FAQ #4956
* Improvements: Added the feature to track each author contribution to the website pageview #4952
* Improvements: Added an option to show published date and time below the title #4976
* Improvements: Added an option to automatic redirect AMP to non-amp when access through desktop #4975
* Improvements: Added the Compatibility for Add Widget After Content plugin #4949
* Improvements: Added Forminator for AMP Extension #4965
* Fixed: Search Close Button is hidden for the Google Cached AMP Pages #4977
* Fixed: Image is not showing when the post is shared on social network #4971

= 1.0.76.9 (2nd April 2021) =
* Fixed: Facebook videos embedding not working #4973
* Fixed: The incorrect excerpt for the custom front page if user is using the Divi #4972
* Fixed: When Yoast SEO Multilingual is activated canonical getting addition http #4970
* Fixed: Close button not visible in the menu for the Google Cached AMP Pages #4969
* Fixed: Sassy social share icons are not displaying on AMP #4945
* Fixed: The AMP For WP option panel not saving due to redux plugin #4963
* Fixed: Docking functionality is not working for the amp-video type in mobile view #4961
* Fixed: Cannot change the title for in-content related post #4959
* Fixed: Upgrade for Free' button in structured data settings is not working #4960
* Fixed: Beginner and advance mode popup not closing #4974

= 1.0.76.8 (22nd March 2021) =
* Fixed: Srcset attribute not appearing on images with AMP page builder #4954
* Fixed: Option added to disable structured data in AMP #4953
* Fixed: Debug Warning with PHP 8.02 and WordPress 5.6.2 #4946
* Fixed: Background Video loop not working with AMP page builder #4948
* Fixed: Mobile redirection not working for the front page when pages are disabled #4942
* Fixed: Captions are not working on Slideshow Module by Jetpack Plugin #4950

= 1.0.76.7 (15th March 2021) =
* Fixed: WP_Scripts Debug Warnings when WordPress updated to v5.7 #4958

= 1.0.76.6 (12th March 2021) =
* Improvements: Added an option to show the author details after the title on mobile #4858
* Fixed: Images not appearing with WP stateless Google cloud storage plugin #4575
* Fixed: Category module doesnot have "/" at the end of the URL #4932
* Fixed: Proper commenting added for hooks #3368
* Fixed: Sticky social share bar icon colliding with polylang plugin #4935
* Fixed: AMP Page Builder is breaking with contact form module #4937
* Fixed: Truepush notification not working in AMP #4936

= 1.0.76.5 (20th February 2021) =
* Improvements: Added UX Builder compatibility #4933
* Fixed: Second paginated post not working #4892
* Fixed: Jetpack hosted videos not working on AMP #4931
* Fixed: AMP Pagebuilder module getting narrowed with All in One SEO plugin #4930

= 1.0.76.4 (19th February 2021) =
* Fixed: AMP front page not working after update #4892

= 1.0.76.3 (19th February 2021) =
* Improvement: Added the Smart Mag Theme review schema #4898
* Improvement: Added disable right click for copy protection #4877
* Improvement: Added an option to hide the title on pages #4929
* Fixed: AMP Browser caching policy #4876
* Fixed: p tags getting stripped with Change Pagination Links to /amp option #4892
* Fixed: Missing URL for attribute error for SVG images #4911
* Fixed: Debug warnings #4924

= 1.0.76.2 (17th February 2021) =
* Fixed: Removed The SEO Checklist Banner #4912

= 1.0.76.1 (16th February 2021) =
* Fixed: Fatal conflict with Yoast Premium #4926
* Fixed: Wrong Yoast breadcrumb links for the posts having multiple categories #4923
* Fixed: Fatal error on bbpress profile page #4922
* Fixed: Comments not showing on AMP front page #4921

= 1.0.76 (9th February 2021) =
* Improvement: The SEO Checklist Banner #4912
* Fixed: Telegram icon not visible in menu #4919
* Fixed: Validation error in amp-img with transposh plugin #4918
* Fixed: Fatal error when FIFU plugin is activate #4920
* Fixed: AMP admin option panel is showing blank on user end #4914
* Fixed: Tag base remove in AMP not working after 1.0.60 #4908
* Fixed: data-playlist gets removed automatically in amp-brid-player #4906
* Fixed: View Non-Amp Version link does not link to proper canonical url #4901
* Fixed: Srcset not loading in category module of AMP page builder #4900
* Fixed: Debug warnings #4917

= 1.0.75 (23rd January 2021) =
* Fixed: Imgur embed code not working in AMP #4899
* Fixed: Srcset not loading in category module of AMP page builder #4900
* Fixed: Advertising section displaying blank when AdsforWP plugin is active #4889
* Fixed: AMP Page Builder not working on the pages and posts except the homepage #4890
* Fixed: Swift 2nd header menu aligned towards right with polylang plugin #4893
* Fixed: Post Pagination not working after 1.0.69 version #4902
* Fixed: Debug warnings #4896

= 1.0.74 (30th December 2020) =
* Improvement: Added Oxygen Pagebuilder Compatibility for AMP Pagebuilder Extension #4868
* Improvement: Added disable right click option on AMP for copy protection #4877
* Fixed: Validation Errors when WP Daddy Builder Pro is active #4879
* Fixed: The yoast meta title is not reflecting in AMP with Smartmag theme #4885

= 1.0.73 (23rd December 2020) =
* Fixed: Javascript issues after update to WordPress 5.6 #4867
* Fixed: '-' symbol is not appearing on post title #4866
* Fixed: GDPR strings are not getting translated in WPML #4874
* Fixed: AMP Browser caching policy updated #4876
* Fixed: Validation Errors when WP Daddy Builder Pro is active #4879
* Fixed: Vuukle comments box appearing twice in AMP #4878
* Fixed: Validation error when 'area' tag is added in post content #4882
* Fixed: Validation error "Custom JS is not allowed" with ALL in one SEO pro #4883

= 1.0.72 (17th December 2020) =
* Improvement: Added i2Pros and cons plugin compatibility #4837
* Improvement: Added WP-PageNavi plugin compatibility #4831
* Improvement: Added Categories Images plugin compatibility #3973
* Improvement: Added webp images on the homepage and Archives with Imagify plugin #4725
* Improvement: Added Recipe Compatibility for AMP Extension #4868
* Fixed: Amp option panel breaks when AECC Global Theme is activated. #4863
* Fixed: Facebook page embed fails #4871
* Fixed: Referenced AMP URL is self-canonical AMP while using All in One Seo #4873

= 1.0.71.2 (12th December 2020) =
* Fixed: Incorrect AMPHTML on homepage with ?amp #4865

= 1.0.71.1 (10th December 2020) =
* Fixed: Validation error in author bio alt attribute #4864

= 1.0.71 (10th December 2020) =
* Fixed: AMP Page builder accordion not working in 1.0.70 #4862
* Fixed: Category name in the dropdown not redirecting and AMP Sidebar alignment #4861
* Fixed: AMP Sidebar Menu Remains Open After Browser Back in Firefox and Safari #4840
* Fixed: amp-auto-ads was found on this page, but is unused error #4851
* Fixed: Amp option panel breaks in Product Filter For WooCommerce Product Plugin #4853
* Fixed: ID attribute added inside the analytics section #4852
* Fixed: Updated Facebook Messanger Icon #4859
* Fixed: Heading elements added in blurb module of AMP page builder #4856
* Fixed: Special characters are showing for post titles after sharing tweets #4850

= 1.0.70 (7th December 2020) =
* Improvement: Added filter to modify author bio description #4849
* Improvement: Added LGDP (Brazil's GDPR) #4854
* Fixed: Ads are displaying even GDPR popup is rejected #4843
* Fixed: Role Based Access not working for SEO manager role in Yoast #4830
* Fixed: Homepage url not redirecting to non-amp url with AMP takeover and ?amp #4826
* Fixed: The amphtml not generating with the Hide By Default option in AMP Takeover #4824
* Fixed: Undefined variable: allscripts #4846
* Fixed: Breadcrumb bug in amp homepage #4827
* Fixed: When the minify option is disabled then the WhatsApp share link has a space #4848
* Fixed: Validation error when using web stories plugin #4847
* Fixed: The background color of feature module of layout2 is not getting applied #4835
* Fixed: Canonical and meta description errors in All in one SEO PRO #4829
* Fixed: Avatar image doesn't have alt attribute #4836
* Fixed: AMP posts are redirecting to the 404 page when post id is added in permalink #4842
* Fixed: The amphtml not generating on the custom taxonomy and the custom post types #4841

= 1.0.69.2 (27th November 2020) =
* Fixed: Improvements in offer banner #4833

= 1.0.69.1 (25th November 2020) =
* Fixed: amp-story-player was found on this page, but is unused. #4839

= 1.0.69 (25th November 2020) =
* Fixed: Wrong tooltip link in the infinite scroll #4823
* Fixed: Images are not showing in the AMP due to SG Optimizer lazy load #4815
* Fixed: Embeds not working in AMP Takeover mode #4819
* Fixed: AMPHTML appearing in archive page of Google web stories #4820
* Fixed: AMP option panel page is blank with ECPay Payment for WooCommerce plugin #4816 
* Fixed: 404 errors on pagination urls #4373
* Fixed: Blank lines not appearing between paragraphs #4818
* Fixed: amp-story-player preload is being added when not using #4828

= 1.0.68.1 (10th November 2020) =
* Fixed: Missing amphtml on product pages #4822
* Fixed: Debug warnings #4821

= 1.0.68 (9th November 2020) =
* Fixed: Validation error occurs when input type image is added #4785
* Fixed: Featured images are not showing when "Enable lazy load images" option is enabled in the "DEUS" Theme #4710
* Fixed: AMP Push Notification - Dropdown issue #4812
* Fixed: Italic style caption of gallery #4806
* Fixed: The canonical links are not generating for the coupon store when YOAST Plugin is active with AMPFORWP #4811
* Fixed: Content not displayed in AMP post/pages with plain permalink #4814
* Fixed: Tables created with 2 columns displaying 1 extra column on mobile view #4765
* Fixed: Content appearing in excerpt on single post #4798
* Fixed: Code improvment for amp pagebuilder's category-module #4660

= 1.0.67 (4th November 2020) =
* Improvement: Optimize Pagespeed score by implimenting AMP video lightbox #4531
* Improvement: Added Paid Memberships PRO for AMP Extension #4737
* Improvement: Added help section for the users in Options panel #4683
* Improvement: Added code improvement in Tag base remover and category base remover #4664
* Improvement: Added UberMenu 3 Compatiblity #4732
* Improvement: Added filter to overwrite the scripts #4642
* Fixed: Style amp-custom unterminated comment Error on AMP #4792
* Fixed: Proper styling of Header right side icons in Design 2 #3935
* Fixed: Revolution Slider not working in AMP #4669
* Fixed: Additional characters at the end of footer text in Design Two #4805
* Fixed: Related thumbnail image title is getting break and leading to the validation error #4804

= 1.0.66.3 (29th October 2020) =
* Fixed: Content not visible in AMP Takeover #4744

= 1.0.66.2 (28th October 2020) =
* Fixed: Content not visible after 1.0.66 update #4744

= 1.0.66.1 (26th October 2020) =
* Fixed: Validation error due to amp-web-push AMP component script #4796
* Fixed: Validation error due to amp-fx-flying-carpet AMP component script #4794

= 1.0.66 (24th October 2020) =
* Improvement: Added filter to modify GDPR popup output #4778
* Improvement: Added Polylang string transaltion support #4784
* Improvement: Added IO Technologies company analytics tracking code. #4753
* Improvement: Added Ultimate Membership Pro Compatibility for AMP Extension #4790
* Improvement: Code improvements #4744
* Fixed: Validation error when the "OMGF | Host Google Fonts Locally" plugin is active #4775
* Fixed: Margin top added in the twitter embed through the Gutenberg editor #4750
* Fixed: Truepush push notification not working in AMP #4644
* Fixed: Wrong amphtml on category and tags when ?amp is selected #4780
* Fixed: Missing the amp-bind script tag #4776
* Fixed: Two H1 tags appears in AMP #4786
* Fixed: Debug warnings #4767
* Fixed: Fallback images removed when Convert AMP to WP theme is enabled #4773 

= 1.0.65.2 (17th October 2020) =
* Fixed: Menu not appearing in AMP #4657
* Fixed: Wrong amphtml on homepage when ?amp is selected #4780

= 1.0.65.1 (16th October 2020) =
* Fixed: Jquery issue fixed due to Easy select option for category module #4672

= 1.0.65 (15th October 2020) =
* Added: Integrated Truepush in push notification section #4644
* Added: Easy select option for category module #4672
* Added: Option to change the image size for the related posts thumbnail #4534
* Added: Option to change the image size of the first image in Swift theme #4476
* Added: AMP compatibility with Web stories by Google #4667
* Fixed: Validation error in the in-content related post #4729
* Fixed: Image elements do not have alt attributes #4757
* Fixed: When genesis theme is activated getting SEO error notice #4758
* Fixed: Removed third party plugins notices on the AMP option panel #4730
* Fixed: Instant articles not working when Site directory or Installation directory is different #4690
* Fixed: Clicking on the menu gets # at the end of the URL in design 2 #4722
* Fixed: Need to add tag for disqus comments #4692
* Fixed: Optimize menu caching code #4657
* Fixed: View non amp version is not working in mobile due to conflict with Redis Cache and WP Rocket #4614
* Fixed: Social share Buttons do not have an accessible name using Design One #4764
* Fixed: In the Contact form module, wp form options are not getting selected #4761
* Fixed: Uncaught Error: Call to undefined function ampforwp_is_home() main file #4782

= 1.0.64.1 (5th October 2020) =
* Fixed: Images are not appearing in AMP with Shortpixel plugin #4738

= 1.0.64 (5th October 2020) =
* Fixed: Comments module of AMP pagebuilder is rendering only admin comments not the others #4745
* Fixed: Shortpixel is not generating WebP in AMP #4738
* Fixed: SEO option appearing in wordpress tool bar even No SEO plugin is active #4698
* Fixed: Auto add amp in menu url functionality is not working in tags #4734
* Fixed: The internal link for the the author page is generating in the AMP if the archive page support is disabled #4746
* Fixed: Scroll to top button not visible in Design 2 #4693
* Fixed: Notice: Undefined index: Cpage #4728
* Fixed: GDPR banner is off-centered, the 'X 'is out of the screen #4724
* Fixed: Wrong AMP html when the AMP takeover and ?amp is enabled #4731
* Fixed: Addon mode forcefully redirecting to reader mode not others #4742
* Fixed: Images not appearing with Image Photo Gallery Final Tiles Grid plugin #4675
* Fixed: In Design three, when click on the menu, the page gets pushed to the right side #4736
* Fixed: FAQ icon button is a too big in amp page. #4747
* Fixed: Added meta name="referrer" content="no-referrer-when-downgrade" #4715
* Fixed: In admin tool bar, (+) icon loading small and also author image invisible #4700
* Fixed: Issue with menu background when user add internal page navigation menu-items. #4630
* Fixed: Anchor tag getting stripped when Site Kit by Google is active. #4699
* Fixed: Merriweather font option in Design 1 does not work. #4726
* Fixed: If the user is adding the HTML code in the background video module then code is showing as output #4755
* Fixed: AMP 404 template is applying on non amp page #4723
* Fixed: In-Content Related Post appearing inside the blockquote when "After 50% of content" option is selected #4743
* Fixed: If the sticky ads is active then the sticky social share link tab is hiding behind the ads #4749

= 1.0.63 (26th September 2020) =
* Improvement: Added Reddit embeds support #4406
* Improvement: Added multi select for post type in loop field #4365
* Improvement: Added custom classes in Body tag in AMP in all Designs #4594
* Improvement: Added filter for GDPR on-off #4471
* Improvement: Added admin notice when wrong seo plugin is selected #4678
* Improvement: Added TikTok embed support #4504
* Improvement: Added related post on/off in YouTube #4503
* Improvement: Added Nofollow Link button on pricing tabs in AMP Page Builder #4505
* Improvement: Improved Lighthouse Audits #4654
* Improvement: Added filter for AMP front page function #4634 
* Fixed: Facebook Instant Articles (FBIA) Crawler Ingestion not working #4463
* Fixed: Incontent related post not aligned if the post does not have featured image #4691
* Fixed: Incontent path passed to load_plugin_textdomain function #4694
* Fixed: Incorrect Styling for header area #4703
* Fixed: Breadcrumb links are not generating the "amp/" #4708
* Fixed: Google Analytics is not firing when GTM is enabled #4707
* Fixed: Featured Image doesn’t appear on single post #4711
* Fixed: Code improvements for options panel #4622 #4532 #4407 #4090
* Fixed: Advanced section showing blank randomly #4741

= 1.0.62.2 (21st August 2020) =
* Fixed: Gutenberg gallery block caption appearing at the end of the content #4716
* Fixed: Validation error - accordion section must have 2 child tags #4208

= 1.0.62.1 (17th August 2020) =
* Improvement: Removed unwanted javascript from AMP pages #4689
* Fixed: Call to undefined function fifu_amp_url() #4688
* Fixed: jQuery.fn.live() is deprecated warnings #4706

= 1.0.62 (15th August 2020) =
* Improvement: Added Yoast Local SEO plugin compatibility #4170
* Improvement: Added option for changing the tags for the accordion module in AMP Page Builder #4208
* Improvement: Added option for showing primary category of Yoast #4495
* Improvement: Added condition for adding infinite scroll in AMP Woocommerce #4673
* Improvement: Added excerpt option in in-content related posts #3981
* Fixed: AMP not working on the Homepage with WP Ultimate recipe plugin #4538
* Fixed: CSS overiding issue for the list and accourdion modules in AMP Page Builder #4674
* Fixed: Alignment issue on homepage in design one #4676
* Fixed: Debug Errors #4671

= 1.0.61.2 (5th August 2020) =
* Fixed: Removed Helpscout Beacon from Options Panel #4682

= 1.0.61.1 (4th August 2020) =
* Fixed: The right and left arrows are converting into the special characters in AMP #4668

= 1.0.61 (3rd August 2020) =
* Improvement: Added Open By Default option in accordion module of AMP Page Builder #4597
* Fixed: Wrong preview link is generating for the AMP pages and posts #4670
* Fixed: Code improved in category base and tag base remover #4664
* Fixed: Wrong breadcrumb links are generating in the AMP #4666
* Fixed: Optimize gallery code to enhance performance and improve the page load time #4656
* Fixed: Homepage URL has /amp at the end even after enabling AMP Takeover #4662
* Fixed: Background color not appearing in table when created with Tiny MCE advanced plugin #4627
* Fixed: Header right side icons styling improved in Design 3 #3935
* Fixed: The right and left arrows are converting into the special characters in AMP #4668 
* Fixed: Removed Shorthand versions of PHP from the code #4659
* Fixed: Wrong width and height in logo for SVG images #4650

= 1.0.60 (27th July 2020) =
* Improvement: Added below the related post hook #4653
* Fixed: Validation errors caused by Autoptimize for logged in users #4586
* Fixed: Styling issues with Reactions plugin by Vicomi #4637
* Fixed: If category name has special characters AMP Pagebuilder was not working #4610
* Fixed: autoplay attribute not working in the amp-vimeo tag #4648
* Fixed: incorrect width and height of logo in AMP #4650
* Fixed: Styling issues with AdsforWP section #4658
* Fixed: Code improvements for options panel #4647
* Fixed: Recent post appearing on pages as well in design 3 #4651

= 1.0.59 (23rd July 2020) =
* Improvement: Added noreferrer noopener attributes on social links #4509
* Improvement: Added webmaster tools meta tags when AMP takeover is enabled #4602
* Improvement: Added Conversion Goals Tracking for AMP Extension #4647 #4655
* Improvement: Added a filter to turn on/off the Aqua_resizer #4641
* Improvement: Added a filter to add/remove fields in Google Analytics #4646
* Fixed: noindex issue on homepage using Yoast #4609
* Fixed: Pagination not working in AMP with Magplus theme #4611
* Fixed: If category name has special characters AMP Pagebuilder was not working #4610
* Fixed: Letter-spacing issue in Swift Theme if RTL is enabled #4598
* Fixed: URL with square brackets [ ] causing issue in galleries AMP #4635
* Fixed: Google Analytics trigger functionality not working #4645
* Fixed: Validation error when css icons and sticky header is selected #4640
* Fixed: If Extension manager was active it was showing incorrect message #4613
* Fixed: Debug warnings #4626 #4639

= 1.0.58.5 (15th July 2020) =
* Fixed: Duplicate title tag on non-amp #4631
* Fixed: Database deadlocks error #4618

= 1.0.58.4 (13th July 2020) =
* Fixed: Website getting blank after 1.0.58 update

= 1.0.58.3 (9th July 2020) =
* Fixed: Class 'AMPforWP\AMPVendor\WP_Error' not found error in the latest update of Jetpack #4624

= 1.0.58.2 (9th July 2020) =
* Fixed: Category pages are not working properly #4579

= 1.0.58.1 (9th July 2020) =
* Fixed: Validation error of target attribute appearing in span tag #4620
* Fixed: Menu is hidden behind the content in iOS devices #4601

= 1.0.58 (7th July 2020) =
* Improvement: Added before and after comment hooks #4537
* Fixed: WPRocket CDN is not working properly with the amp pages #4342
* Fixed: Two galleries not working with Photo gallery plugin #4421
* Fixed: Arrows not getting aligned in Breadcrumbs in Arabic with Swift theme #4593
* Fixed: Customize font size not applying in the post title #4592
* Fixed: Validation errors when adding 2 columns in AMP pagebuilder #4383
* Fixed: Category pages are not working properly #4579
* Fixed: Autoptimize is causing validation for logged in users #4586
* Fixed: Changed gtag type in googleanalytics #4585
* Fixed: Changed the sub-title tag to h2 with subtitles and jannah theme #4599
* Fixed: The entire post content appearing in the excerpt #4603
* Fixed: Updated the condition for amp ninja activation extension #4606

= 1.0.57 (3rd July 2020) =
* Fixed: Issue with external link with Rank Math #4584
* Fixed: Incorrect yoast title with TagDiv's themes #4595

= 1.0.56 (1st July 2020) =
* Fixed: When gdpr option is enabled the site is becoming unclickable in browser Safari on IOS and MacOS #4542

= 1.0.55 (30th June 2020) =
* Improvement: Added option to change the Google theme color #4514
* Improvement: Added TravelTour Theme compatibility #4540
* Fixed: Whitelisted <details> and <summary> tags in AMP #4577
* Fixed: amp-embed doesn't include the amp-ad script #4580
* Fixed: Lightbox for images not working in specific scenario #4570
* Fixed: Fatal error on one of the urls. #4438
* Fixed: First priority added to load amp markup when marfeelpress and amp is active #4560
* Fixed: Retina image breaking the layout for Design 2 in homepage #4558
* Fixed: The duplicate text showing after the anchor link #4584
* Fixed: Debug warning #4508

= 1.0.54.1 (26th June 2020) =
* Fixed: The duplicate text showing after the anchor link #4584

= 1.0.54 (25th June 2020) =
* Fixed: Odnoklassniki sharing not working properly #4525
* Fixed: Post title is not appearing when a post is shared through Whatsapp #4513
* Fixed: Even after activating amp page builder compatibility we are getting this message this feature requires Page Builder For AMP extension. #4530
* Fixed: RedGIFs embeds break site #4422
* Fixed: Show notice when user is enabling option "sort related item randomly". #4535
* Fixed: The mandatory tag 'link rel=canonical' is missing or incorrect due to Yoast SEO premium plugin #4569
* Fixed: AMP homepage has a wrong canonical link. #4564
* Fixed: Yoast not working in rare scenario #4562
* Fixed: Meta title not pulled from YOAST in version 1.0.53.2 #4574
* Fixed: yoast breadcrumb links not redirecting to amp pages. #4566
* Fixed: Need to make comatibility with the wordpress embed block in guntenburg editor #4506
* Fixed: Custom Javascript added with orbital theme and it is showing a validation error on the AMP Pages #4539
* Fixed: robots.txt file is not generating when AMP takeover beta option is enabled. #4541
* Fixed: Need to add compatibility of the "Brightcove Video Connect" plugin. #4517
* Fixed: Debug Warning #4568
* Fixed: Comments are not displaying on Homepage (only in swift theme) #4571
* Fixed: The button CSS not appearing in the AMP added with the Gutenberg button module #4572

= 1.0.53.2 (21st June 2020) =
* Fixed: Minor Bug

= 1.0.53 (19th June 2020) =
* Improvement: Need to implement YOAST breadcrumb for the category and the tags pages #4493
* Improvement: Added new set of hooks in all designs #4550
* Improvement: Added PostViews for AMP Extension #4549
* Improvement: Created an extra argument to pass for amp_author_box function so author links can be controlled #4466
* Fixed: Meta description tag is missing in AMP, when custom home page is selected. #4521
* Fixed: The attribute 'src' in tag 'amp-form extension .js script' is set to the invalid value'. #4515
* Fixed: The tag 'link rel=canonical' appears more than once in the document due to Yoast SEO premium plugin. #4511
* Fixed: Getting warnings due to Yoast SEO plugin. #4510
* Fixed: Issue with Image block of Gutenberg #4507
* Fixed: Gallery images(Gutenberg editor) are stretched when the Optimize CSS option is enabled. #4502
* Fixed: If category label has backslash in the name breadcrumbs break #4500
* Fixed: Vertical scroll Issue in iOS devices when the 'menu overlay' is positioned in right. #4461
* Fixed: WPRocket CDN is not working properly with the amp pages. #4342
* Fixed: When gdpr option is enabled the site is becoming unclickable in browser Safari on IOS and MacOS #4542
* Fixed: Unused HTML was showing in Video Module #4524
* Fixed: Getting validation error as "The attribute '"_blank"' may not appear in tag 'a' with RankMath #4527
* Fixed: Anchor tag is stripping in AMP with Sitekit By Google plugin is active #4552
* Fixed: Date styling not looking good in Design 3 archive pages #4557
* Fixed: Debug warning #4555

= 1.0.52 (27th May 2020) =
* Fixed: Reverted the CDN code of WP Rocket plugin which was causing the malformed url issue #4342

= 1.0.51 (27th May 2020) =
* Improvement: Added option to show instant article post according to updated date #4389
* Improvement: Added Transposh for AMP Extension #4481
* Fixed: Malformed url issue with WPRocket CDN #4342
* Fixed: Call to undefined method WPSEO_Options::get() #4494
* Fixed: Meta description is not working on homepage with yoast #4486
* Fixed: Home Page Meta Description Not Showing in Rankmath SEO #4491
* Fixed: DNS prefetch is disappearing after saving in safari #4470
* Fixed: Robots txt is not working when AMP takeover is enabled #4475
* Fixed: Canonical tag is missing when yoast is activated #4490
* Fixed: Custom taxonomy archive not working LSVR Knowledge Base #4478
* Fixed: Debug Notice trying to access array offset on value of type bool #4469

= 1.0.50 (20th May 2020) =
* Improvement: Added option to display the GDPR bar at top or bottom #4409
* Improvement: Added option to enable/disable the AMP from the categories or product or any custom taxonomy #4326
* Improvement: Added Hooks in Instant Article #4417
* Improvement: Added Polls for AMP Extension #4451
* Fixed: View Non-AMP link in the footer does not redirect to Non-AMP #3884
* Fixed: Banner notice not looking good in reading settings #4414
* Fixed: Lightbox for images appearing even after disabling #4442
* Fixed: Last modified date showing wrong in header #4456
* Fixed: WPRocket CDN is not working properly in the AMP pages #4342
* Fixed: Lighthouse issues #4443
* Fixed: Thumbnail images in category module not showing in RTL #4459
* Fixed: Blank screen when alt added in images with short pixel plugin #4452
* Fixed: invalid value defer onload with The Business News theme  #4465
* Fixed: Text links are not working in mobile #4462
* Fixed: PHP Notice Undefined variable thumb_alt #4460

= 1.0.49 (11th May 2020) =
* Fixed: Background color of the row is not working in the AMP Page Builder #4398

= 1.0.48 (9th May 2020) =
* Fixed: Title not showing with Yoast in some scenarios #4434
* Fixed: Canonical not showing with Yoast when AMP takeover is enabled #4434
* Fixed: Lightbox for images appearing even after disabling #4442
* Fixed: Menu and internal links are not working through Google CDN #4429
* Fixed: GDPR privacy text appearing on the top of the homepage #4435
* Fixed: Modules are not displaying in background video in pagebuilder #4398
* Fixed: Showing too many redirect in WPML with mobile redirection #4444
* Fixed: Detecting the Mobile redirection config to avoid manual tasks #4382
* Fixed: Pagination of category module not jumping on 1st & last links #4401
* Fixed: Notice added when category based is removed from Yoast #4437
* Fixed: Debug notices on the AMP pages #4440

= 1.0.47 (5th May 2020) =
* Fixed: Few issues fixed with latest version of yoast plugin #4430

= 1.0.46 (4th May 2020) =
* Fixed: Few issues fixed with latest version of yoast plugin #4430
* Fixed: Text not displaying in One signal notification #4413
* Fixed: Wrong amphtml in ?amp endpoint in category pages #4393
* Fixed: Open graph tags not loading from the SEO framework #4399
* Fixed: Blank class in archives loop and loop on homepage #4390
* Fixed: Pagination of category module going to top of the page #4401
* Fixed: Fatal error in customizer in trucking theme #4391
* Fixed: Auto Add AMP in Menu option not working in subdomain #4423
* Fixed: Showing entities instead of UTF-8 in footer json #4395
* Fixed: Ninja Tables plugin css was hiding due to class drawer #4428
* Fixed: AMP Option panel improvements #4408

= 1.0.45 (30th April 2020) =
* Fixed: Updated the code as per yoast latest version to fixed the canonical, title separator, meta tag errors #4415
* Fixed: Content links unclickable with GDPR #4392

= 1.0.44 (29th April 2020) =
* Fixed: Multiple issues created after the latest update of Yoast (14.0 and above) #4412

= 1.0.43 (28th April 2020) =
* Improvement: Added option to hide category description #4388
* Improvement: Added option to remove Google index on paginated pages #4372
* Improvement: Added Filter for amp-carousel #4374
* Improvement: Code improvements in Related posts and Facebook instance article #4300 #4386
* Fixed: Fatal error with the latest update of yoast 14.0 #4412
* Fixed: AMP Lightbox is not working #4378
* Fixed: White spacing in the responsive mode on left side #4375
* Fixed: Video docking is not working in AMP. #4352
* Fixed: Shortcodes displaying in meta descrption #4385
* Fixed: Debug Warnings: count(): Parameter must be an array or an object that implements Countable. #4387

= 1.0.42 (21st April 2020) =
* Improvement: Added Comments module in our AMP page builder #4106
* Improvement: Added CSS icons option #4268
* Improvement: Added Support for Call Rail analytics #4331
* Improvement: Added Pinterest embeded images in AMP #4361
* Improvement: Added Video docking feature in AMP #4352
* Improvement: Added option for one signal notificaion on the pages #4349
* Fixed: Mobile redirection issue on robots.txt page #4369 
* Fixed: 404 error when we click on the comment section with Google Sitekit #4360
* Fixed: Fixed width not working in 2 coloum in AMP pagebuilder #4379
* Fixed: Label markup was visible even after set to empty in content module in AMP pagebuilder #4379

= 1.0.41 (14th April 2020) =
* Improvement: Video docking issue #4352

= 1.0.40 (14th April 2020) =
* Improvement: Added Filter to change post title tag #4339
* Improvement: Added Rankmath's open external links option feature #4356
* Improvement: Added Themify compatibility #4332
* Improvement: Added AAWP for AMP extension #4337
* Improvement: Added Formidable forms for AMP #4345
* Improvement: Added Reading progress bar for AMP #4364
* Improvement: Added hooks in header for all designs #4359
* Improvement: Added option for one signal notificaion on the pages #4349
* Fixed: Mobile redirection not working in the latest update #4336
* Fixed: AMP option panel not working in Best brokers plugin #4330
* Fixed: AMP option panel not working in custom theme of user #4353
* Fixed: Table not looking good on mobiles #4309
* Fixed: Double quotes in the font-family breaks default Typography #4328
* Fixed: Featured images are getting streched in the amp version #4307
* Fixed: The menu and article links not working after enabling GDPR #4340
* Fixed: Facebook instance article is not working in plain permalink #4354
* Fixed: Video docking is not working in AMP #4352
* Fixed: There is no save button in AMP "Basic setup" #4343
* Fixed: Debug warning #4341

= 1.0.39 (3rd April 2020) =
* Improvement: Code improvements in related post #4300
* Fixed: Images are streching in the gallary #4334

= 1.0.38 (1st April 2020) =
* Improvement: Added Title for facebook comments section #3716
* Improvement: Added iZooto support for AMP #4312
* Fixed: Alignment issue in Advertisement Section #4325
* Fixed: Slow Queries on Homepage in D3 #4319
* Fixed: Category module links in AMP pagebuilder doesn't change to ?amp #4314
* Fixed: Debug Warnings #4324 #4321 #4299

= 1.0.37 (28th March 2020) =
* Improvement: Added filter to change Author name #4238
* Improvement: Added option to show/hide jetpack related post in AMP #4272
* Improvement: Added option to show/hide sassy social share in AMP #4273
* Improvement: Added iZooto Push Notification Option #4286
* Improvement: Code Improvements in #4288 #4300
* Fixed: Fatal Error - Class ‘QM_Dispatchers’ not found. #4322 
* Fixed: Header shifting to left in swift 404 page #4316
* Fixed: Fatal error on activation on old php versions #4320
* Fixed: Design breaks in 2 column layout pagebuilder in Design 2 #4313
* Fixed: Hide AMP Bulk Tools option isn't working with WPML #4249
* Fixed: Transparent header background color not working #4315

= 1.0.36 (26th March 2020) =
* Improvement: Added filter to modify role based access #4303
* Improvement: Added "srcset" on featured images #4257
* Improvement: Added option to resize the author images in author bio #4297
* Fixed: AMP child theme not working after update #4310
* Fixed: amp-fx-collection script was not loading #4275
* Fixed: Minify HTML & Query Monitor not working on some pages in AMP #4301
* Fixed: Related posts doesn't show more than 3-4 #4300
* Fixed: Incorrect alignment of Edit in twenty twenty WP theme #4246
* Fixed: Social Icons are out of alignment in Design 2 #4305

= 1.0.35 (23th March 2020) =
* Fixed: Related post images not having alt attribute #4282
* Fixed: iframes are not working with WP optimize premium #4290
* Fixed: input type file error #4289
* Fixed: next and prev alignment issue in design 2 #4211
* Fixed: 404 PHP File is not getting overried from the child theme #4284
* Fixed: Error in "Optimize loading of Google font" in SG Optimizer #4287
* Fixed: amp-vimeo Validation error of invalid value 'ondemand' #4294
* Fixed: AMP Option panel improvements #4277 #4288

= 1.0.34 (19th March 2020) =
* Improvement: Matomo (Piwik) analytics improvements #4271 #4280
* Improvement: Custom page template improvements #4244
* Improvement: Option to add/remove "nofollow" in the comment button #4266
* Fixed: Spaces issue fixed in image carousel #4141
* Fixed: Reusable blocks not working in the Custom AMP Editor #4187
* Fixed: Comments pagination was not working in amp takeover beta #4251
* Fixed: lightbox issue fixed #4222
* Fixed: When AMP Dev mode and Mobile redirection both kept on then the website displays AMP on the mobile device #4276
* Fixed: debug warnings on Fresh WP installation #4270
* Fixed: Treeshaking was not working with "Product Review Lite Plugin" #4256
* Fixed: Tables was not responsive in Mobile view design one #4278
* Fixed: Have to make compatible with wordpress4.4.2 version #4262
* Fixed: Click here link not working in mobile view of Subscribe to Comments Reloaded plugin #4225
* Fixed: Post pagination not working in custom AMP Editor #4255
* Fixed: Depreciated categories widget #4274
* Fixed: Weekday removed from parameter 'published at' in the analytice code #4281

= 1.0.33 (11th March 2020) =
* Fixed: Categories not Hiding in Instant Articles #4254
* Fixed: Error when activating imagify plugin #4260
* Fixed: Start attribute not working in ol tags #4243
* Fixed: Search form not working in template mode #4227 #4224
* Fixed: Save button was disappearing when theme build on Redux framework #4259
* Fixed: SVG tag was removing in anchor tag #4252
* Fixed: Filter added to modify font face URL's #4258
* Fixed: Elementor CSS not loading on frontpage in ALL in One SEO #4253
* Fixed: Undefined variable: get_amp_custom_frontpage_id #4265
* Fixed: Images are not showing in AMP with Neva Child Theme #4261
* Fixed: AMP Option panel improvements #4245 #4269

= 1.0.32 (6th March 2020) =
* Fixed: Syntax breaking in advanced google analytics section #4228
* Fixed: Optimize CSS (Tree shaking) not clearing on post update #4234
* Fixed: Compatibility with the CIARO theme #4220
* Fixed: Custom JavaScript are not allowed issue #4233
* Fixed: Need to remove search option when header type 2 is selected #4214
* Fixed: CSS of the CTA button in AMP page builder is disturbed in the mobile view #4215
* Fixed: image  broken in light speed cache plugin #4231
* Fixed: Youtube video is not working in " The issue" Theme #4223
* Fixed: Removed '/amp' in menu with custom link #4221
* Fixed: Wrong Yoast Canonical when amp link added #4229
* Fixed: Call to undefined function session_start() in redirect.php:67 #4236
* Fixed: Content Sneak Peek issue with below the content ads in Mozilla browser. #4178
* Fixed: The mandatory attribute 'target' is missing in tag form #4239
* Fixed: Query Monitor queries should be visible in amp pages too when logged in. #4250
* Fixed: The input should be cleared When search button is clicked in AMP options Panel#4247
* Fixed: Multiple debug warnings. #4242

= 1.0.31 (28th February 2020) =
* Improvement: Added option to hide vukkle comments emoji #4194
* Improvement: Added alt for images in Slider module of AMP page builder #4193
* Improvement: Updated sabberworm folder #4142
* Fixed: Fatal Error fixed with zombify plugin #4184
* Fixed: Validation error due to Mediavine Plugin #4206
* Fixed: Instant article bug #4150
* Fixed: AMP Search Not Working with Betheme #4195
* Fixed: StackPath CDN not working #4123
* Fixed: Extra 301 redirect after enabling ?amp #4167
* Fixed: Table CSS improved #4185
* Fixed: Debug Warnings #4226
* Fixed: AMP Option panel improvements #4202 #4219

= 1.0.30 (24th February 2020) =
* Improvement: Added Autoplay in Image Gallery #3705
* Fixed: Jetpack lazy loading not working due to our AMPforWP plugin #4183
* Fixed: Amp comments Bug with update 1.0.28 #4209
* Fixed: Removed Table styles when AMP Pagebuilder compatibility plugin is active #4185
* Fixed: Debug warning fixed #4204 #4212

= 1.0.29 (21th February 2020) =
* Improvement: Created an option for entering URLs to prefetch. #3997
* Fixed: Admin bar css is not loaded on amp pages #4130
* Fixed: Optimize amp pages and CSS #3579 #4174
* Fixed: When the tree shaking is enabled then the CSS of the layouts break #4113
* Fixed: Extra 301 redirect after enabling ?amp #4167
* Fixed: Break in layout when AMP takeout and conver to wp is enabled together #4176
* Fixed: There should be no notices or messages from other third party plugins on the AMP option panel. #4166
* Fixed: Incorrect time showing on AMP if we select Timezone as UTC-3 #4160
* Fixed: WPappbox images are not loading on the amp pages #4161
* Fixed: CSS of CTA button is over-riding while using more than one CTA  in AMP pagebuilder. #4173
* Fixed: Notice Errors - Trying to get property 'title' #4196
* Fixed: Warning issue on AMP option panel. #4172
* Fixed: Display the Search button in AMP option panel. #4165
* Fixed: Warning Errors #4200
* Fixed: amp-access script is not being appended via Enter HTML in Head #4199
* Fixed: Issues related to category support on the AMP Pages #4151
* Fixed: AMP Options panel UI bugs #4180 #4179 #4105

= 1.0.28 (18th February 2020) =
* Improvement: Scripts added from Options panel should have higher priority in the frontend #4064

= 1.0.27 (16th February 2020) =
* Fixed: Bugs in Imagify plugin #3908
* Fixed: GDPR popup not blocking header #4155
* Fixed: Save button dissappers when clicked on setup settings #4169
* Fixed: Alignment issue when there is no caption on featured image #4171
* Fixed: Whitelisted Picture tag #4051
* Fixed: Show/Hide Slider or Icon module in AMP Pagebuilder is not clickable #4153
* Fixed: Debug warning when empty item added in Slider module in AMP pagebuilder #4152
* Fixed: Empty link in facebook share in sticky bar #4154
* Fixed: AMP Options panel UI bugs #4122 #4162

= 1.0.26 (13th February 2020) =
* Improvement: import/export option improved #4089
* Fixed: Added option to show/hide featured image on AMP pagebuilder #4131
* Fixed: AMP Options panel UI bug #4122

= 1.0.25 (12th February 2020) =
* Fixed: Title issue #4138

= 1.0.24 (11th February 2020) =
* Improvement: Added filter to modify the breadcrumb homepage url #4077
* Fixed: Image alignment on the left issue #4156
* Fixed: H1 tag not appearing on posts #4121
* Fixed: "Title on static page front page" option not working #4138
* Fixed: AMP Menu option was not showing in WP settings #4129
* Fixed: Blank Events Calendar Months Page when 'Minify' option is enabled #4080
* Fixed: Removed '@' in Twitter Handle #4135
* Fixed: Message improved when "Leverage Browser Caching" option is enable without readable or writable permission of htaccess file  #4127
* Fixed: Featured image removed on AMP Pagebuilder pages #4131

= 1.0.23 (7th February 2020) =
* Fixed: Fatal error in amp theme framework if WordPress directory is modified #4145
* Fixed: Iframe error due to Jetpack #4125
* Fixed: Menu transient increased to avoid deadlock error #4133
* Fixed: Moved "Breadcrumbs From Yoast" to SEO option Panel section. #3600
* Fixed: Featured Image from the content is not fetching the image when height and width is not present in the image code in Classic editor. #4096
* Improvement: Sorting option for Pagebuilder slider/gallery #2014
* Improvement: Option for showing no. of words in the excerpt of Recent Posts and Related Posts #3640
* Improvement: Link Comments section with comments order #3740
* Improvement: Default fallback images Added #3719
* Improvement: subscript<sub> and superscript<sup> support #4137
* Improvement: Message added if no seo option is selected but seo plugin is active #4124

= 1.0.22 (6th February 2020) =
* Fixed: Console error - Uncaught TypeError: Cannot read property 'on' of null #4102
* Fixed: When Insert post ads plugin is enable then AMP settings panel is not showing. #4107
* Fixed: Search console error fixed on WooCommerce wishlist page #4097
* Fixed: GTM Added in Basic Setup and code improvements #4108
* Fixed: The meta tags was not working in Head section #4116
* Fixed: Upgrade to Pro button was missing in the AMP setting panel #4118
* Fixed: Upgrade to Pro option was removing in the setting panel when we activate PWA for WP plugin #4117
* Fixed: FAQ section improved #4119

= 1.0.21 (4th February 2020) =
* Fixed: Fatal error when AMP theme framework is active #4128

= 1.0.20 (31st January 2020) =
* Improvement: Filter added to Modify the location of the theme files from plugin older. #4091
* Improvement: Cache Should auto clear when any plugin is activated/deactivated #4046
* Improvement: Need to add nofollow feature in cookie notification option #3612
* Fixed: Pages won't save apostophies in AMP page builder text module. #4074
* Fixed: Warring in console : [DOM] Found 2 elements with non-unique id #amp-search #3946

= 1.0.19 (29th January 2020) =
* Improvement: EWWW Image Optimizer plugin Compatibility #3984
* Fixed: WP Admin toolbar CSS is not loading when user is logged in #4076
* Fixed: AMP Options panel UI improvements done. #4088
* Fixed: video is not displaying in AMP when a video is inserted from gutenberg video module #4086
* Fixed: Performance section all features not working when Ezoic integration plugin is active. #4092
* Fixed: Playbuzz is not working #4085
* Fixed: RECENT POSTS label visible if no posts are available #4011
* Fixed: data-block-on-consent is missing for Vuukle comments when gdpr is enabled #4095
* Fixed: Remove Purge AMP CDN cache Settings buuton: #4099
* Fixed: When categories that we exclude from AMP through the plugin configuration present redirection problem along with mobile redirection option #4075
* Fixed: Alignment issue in GDPR Privacy link. #4101

= 1.0.18 (27th January 2020) =
* Fixed: Debug warnings with Imagify plugin #3908

= 1.0.17 (27th January 2020) =
* Improvement: Compatibility with the Imagify plugin #3908
* Improvement: EWWW Image Optimizer plugin Compatibility #3984
* Improvement: Accessibility score of Amp Layouts improved in Lighthouse test #4078
* Fixed: Admin toolbar is not showing on custom amp page #3718
* Fixed: Bug in Instant article's Single option #3891
* Fixed: If the user adds the social share link in the users section then we need to show social share icon #3976
* Fixed: Treeshaking is enabled then " Content sneak to peek " button is showing below the content. #4069
* Fixed: AMP take over is not working on home page when user have no posts. #4056

= 1.0.16 (24th January 2020) =
* Improvement: Need to built compatibility with "Mistape" plugin. #3974
* Improvement: Need to make compatibility with "Transposh WordPress Translation" plugin #3895
* Fixed: A Table is created trough Gutenberg then CSS of that Table is failing to load in AMP. #3902
* Fixed: When user search from the AMP site then results page should be in non-AMP. #3977
* Fixed: Add 'wp-color-picker' as dependency while registering the script #4061
* Fixed: The "for" attribute is removing in AMP #4054
* Fixed: Table heading style is not working properly #4050
* Fixed: Need to change the description of AMP page builder compatibility options when plugin is activated. #3899
* Fixed: Thumbnail image of homepage should show properly after changing the image size #3882
* Fixed: Need to remove the default AMP functionality from the User's theme as it is breaking the layout. #4068
* Fixed: YOAST SEO Analysis is not working properly with AMP Page Builder. #4030
* Fixed: When AMP is disabled on pages,give an option of hide/unhide AMP on Blog page when in edit mode. #4066
* Fixed: The tag 'template' requires including the 'amp-mustache' extension JavaScript. #4079

= 1.0.15 (17th January 2020) =
* Fixed: Sticky Social icons's css not loading correctly on some pages #3980
* Fixed: Need to add option to hide "AMP version" in view source page(generator). #4000
* Fixed: Caption of image gallery not displaying #3993
* Fixed: Need to connect retina image functionality to In-content Related post thumbnails. #4007
* Fixed: easytoc-icon.png #4041
* Fixed: AMP links Error. #4016
* Fixed: Image alignment and Name is not showing AMP #4038
* Fixed: Need to sanitize amp-mowplayer tag when added in the content. #4044
* Fixed: Set the priority to high of the icomoon CSS to override every other CSS,in AMP page builder. #4035
* Fixed: when row Wrapper is set to 100%,static css of max width 90% is getting applied from tablet view mode to below #3999
* Fixed: Code improvement in Detect Component and add or remove script accordingly #4067

= 1.0.14 (14th January 2020) =
* Fixed: Warning in accelerated-mobile-pages/includes/options/admin-config.php on line 1250
* Fixed: Code improvement in Detect Component and add or remove script accordingly #4067

= 1.0.13 (13th January 2020) =
* Fixed: Warring in console : [DOM] Found 2 elements with non-unique id #amp-search #3946
* Fixed: New Relic script is getting added in AMP and causing validtion error #4018
* Fixed: Icons are not loading when creating theme compatibility #3766
* Fixed: Video doesn't work on AMP when inserted from Siteorigin pagebuilder (Video player widget) #3936
* Fixed: Minor issues with amp need to fix #3931
* Fixed: When from amp page builder adding text module then space is not coming in paragraph #3982
* Fixed: Getting error at home page when push notification option is enabled. #4026
* Fixed: Please Fix Errors in Google Lighthouse audit in Accessibility (using Swift, Amp Layouts) #3949
* Fixed: Remove offers from the panel #4027
* Fixed: Detect Component and add or remove script accordingly #4067
* Fixed: GTM tags are not working in the updated version 1.0.9 but Google Analytics is working,Also in version 1.0.0 both are working fine #4059
* Fixed: Matomo (Piwik) Analytics generating errors in Console. #4042

= 1.0.12 (12th January 2020) =
* Fixed: Detect Component and add or remove script accordingly #4067

= 1.0.11 (11th January 2020) =
* Fixed: In amp-pixel script adding automatically. #4057

= 1.0.10 (10th January 2020) =
* Improvement: Need a hook to use it in Woocomerce #4048
* Fixed: Scripts are not adding properly if user is adding the content through embed #4040
* Fixed: When Featured Image from The Content is turned on,the image is not displayed when Creating post from Gutenberg. #4022

= 1.0.9 (8th January 2020) =
* Fixed: Odd behaviour of Optimize CSS (Treeshaking),when turned off resolves the validation errors and when turned on adding unnecessary wp-block CSS. #4036
* Fixed: After enable the Tree shaking feature the CSS not loading properly #4034
* Fixed: fallback feature is not working on SVG images #4033
* Fixed: Need to update the Form Sanitizer to allow only the required from #4010
* Fixed: 404 error in console with Images having webp extension. #3983

= 1.0.8 (2nd January 2020) =
* Fixed: Need to add Rankmath's "Nofollow External Links" feature. #3970 (updated the code)

= 1.0.7 (2nd January 2020) =
* Improvement: Need to add Rankmath's "Nofollow External Links" feature. #3970
* Improvement: Need to add floating button in extension list #3972
* Fixed: AMP theme framework GDPR module should be connected to GDPR Compliancy in option panel. #3963
* Fixed: Breadcrumbs are not properly displaying and working in updated version #3917
* Fixed: amp-auto-ads script is loading in AMP-pages when Google site kit plugin is enable. #4009
* Fixed: wp-block CSS is heavily loading even when tree shaking is enabled in core. (Page builder is enabled) #4014

= 1.0.6 (31st December 2019) =
* Improvement: Allow users to add custom script in amp by using amp theme frame work plugin or without plugin #3865
* Improvement: Allow users to register scripts in proper way in AMP Theme Framework #3257
* Improvement: Need to add filter to modify mobile redirection #3987
* Improvement: Need to update Sabberworm/CSS folder. #4012
* Improvement: Need to make compatibility with "Transposh WordPress Translation" plugin #3895
* Fixed: Warning issue with "$amp_emplate->get('metadata')" undefined metadata #3967
* Fixed: GDPR popup appears once agin after accepting it #3957
* Fixed: AMP Page apears blank after adding script tag in Head Section of AMP Page Builder #3834
* Fixed: when user is not an admin and the admin bar is getting displayed as gap on the site #3918
* Fixed: Option Panel not saving in AMP FOR WP, it is giving 404 error #3768
* Fixed: Page Builder Latest Posts Category Module #3927
* Fixed: Error amp-iframe extension .js appears more than once #3810
* Fixed: Query monitor is not working in our latest version. #4008
* Fixed: Google Tag manager not firing properly #3826
* Fixed: Undefined variable block_css #4021

= 1.0.5 (30th December 2019) =
* Fixed: Menu arrow icon not showing properly in mobile version #3995
* Fixed: Google Tag manager not firing properly #3826

= 1.0.4 (26th December 2019) =
* Fixed: When Optimize CSS (beta) option is enabled AMP page is getting blank #3994

= 1.0.3 (23th December 2019) =
* Improvement: Filter in search form #3948
* Improvement: Improvement of jetpack social icons #3907
* Improvement: Need to add a Filter in amp tree shaking for adding custom CSS. #3971
* Fixed: Icomoon.ttf is preloaded in Design 1 and Design 2. #3945
* Fixed: Search translate text option is visible in swift but unused #3934
* Fixed: Category module has minor bugs after the update. #3880
* Fixed: Improvements required in RTL support in AMP #3938
* Fixed: Save buttons are not looking good after WP 5.3 update #3985
* Fixed: Video widget support in AMP #3841
* Fixed: Time is not working in published date notice #3956
* Fixed: Recoverable fatal error: Object of class DOM Node List could not be converted to string #3968
* Fixed: In Amp struture data option if we added any schema then description generated in html format #3937
* Fixed: Select Taxonomy and Select Category is getting blank in the category module of AMP page builder #3986
* Fixed: Notice: Undefined offset: 0 in class-amp-post-template.php on line 378 #3992
* Fixed: Undefined variable: designCss #3961
* Fixed: Open Graph title is not displaying correctly with SEOPress in AMP. #3966

= 1.0.2 (19th December 2019) =
* Improvement: Need to add wordpress default Gutenburg editor 'Block' settings Compatibility in AMP #3320
* Improvement: Need to make compatibility with the Imagify plugin #3908
* Improvement: Taxonomy support in AMP Page Builder category module #3310
* Improvement: Add support of fallback images in AMP #3790
* Improvement: General code improvements part 3 #3941
* Improvement: Drop down support in Alternative Menu in Mobile view. #2768
* Fixed: The Alternate Menu does not redirecting to the AMP for the product category in menu items #3915
* Fixed: Sub-Category Archives on AMP page should be connected to Change internal links to AMP option. #3924
* Fixed: Debug warning : Undefined index element #3958
* Fixed: MGID Ads are not loading when the Flexible AMP widget option is enabled in the AMP  #3864
* Fixed: The Close bar is not appearing menu check in mobile iPhone #3964

= 1.0.1 (14th December 2019) =
* Fixed: Telegram as social profile #3754
* Fixed: Give default styling for <small> tag. #3879
* Fixed: When pagination is enabled in Category Module,translation option should be given in Advanced. #3847
* Fixed: An issue with Code module in AMP page puilder. #3833
* Fixed: Getting an error while validating page when using Disqus comments #3871
* Fixed: Content is updated programatically on /amp/ page view, bad revision is created #3822
* Fixed: Custom Post types and taxonomies option should be only visible when Archives is enabled #3903
* Fixed: After reloading 'Select Categories to Hide AMP', it shows empty #3898
* Fixed: In exclude Categories option the "No items of this type were found." message is displaying #3900
* Fixed: Cannot use a scalar value as an array #3823
* Fixed: Debug warnings. #3932
* Fixed: Google Tag manager not firing properly #3826

= 1.0.0 (11th December 2019) =
* Improvement: Need to clear amp treeshaking css for reset section button. #3916
* Improvement: Need to add easy table of contents in extension list #3922
* Fixed: If hide amp hide on post or pages from anywhere then that needs to redirect to 301 #3767
* Fixed: Need to add filter in "wp_localize_script" #3764
* Fixed: Need to add preload key requests for font icons #3752
* Fixed: Advance footer options should not be hidden by default #3652
* Fixed: Button Rel Attribute #3872
* Fixed: Need to update the PWA for WP extension from the options panel #3888
* Fixed: “View AMP” Button Showing CSS on frontend #3890
* Fixed: Images get streched in new version of the AMP FOR WP Plugin #3914
* Fixed: Need to remove one signal push notification button in pages. #3874
* Fixed: when images are placed along with the anchor tag in gallery module of guntenberg editor the image src is getting unknown in AMP #3923
* Fixed: When RTL is enabled,the menu in header is going to right but the elements in right are not moved to left. #3881

= 0.9.98.22 (9th December 2019) =
* Improvement: Need to add full short pixel plugin compatibility #3782
* Fixed: Need to improve UI when "Saved" notification displays. #3856
* Fixed: Need to show the Attention message when custom AMP editor box checked but there is no content in it #2866
* Fixed: Issue with AMP page builder tool when images are inserted in slider module. #3780
* Fixed: Hidden posts in AMP should not show in related posts #3839
* Fixed: Make header Unsticky not working when Infinite scrolling is turned on. #3831
* Fixed: The post title appears 2 times: after the parent category and after the child on breadcrumb. #3724
* Fixed: data-block-on-consent missing in GTM code #3911
* Fixed: Debug error #3910
* Fixed: PHP Warnings from redux filesystem #3901
* Fixed: Debug notice #3913
* Fixed: Sidebar Widgets Default CSS should load on Woo commerce Sidebar #3912
* Fixed: Images get streched in new version of the AMP FOR WP Plugin #3914

= 0.9.98.21 (3th December 2019) =
* Improvement: Fonts support in all three designs one, two and three along with the swift Theme #1914
* Improvement: Need to create Testimonial slider in AMP Page Builder #2960
* Improvement: Need to create an optional option for the side menu when people click on the text the links should be dropped. links sub links #3428
* Improvement: Need to make compatibility with this plugin Stop Generating Image Sizes #3851
* Improvement: Improve Matemo analytics integration #3757
* Fixed: Breadcrumb breaks when '/' is present in category name #3769
* Fixed: Back to top button CSS loading twice in Design 1,2,3. #3835
* Fixed: Removing trbidi attribute #3687
* Fixed: Upgrade to AdsforWP button not working properly. #3681
* Fixed: Tooltip alignment is missing in Advertisement #3625
* Fixed: Media queries are removing automatically in media queries merging process #3797
* Fixed: Excerpt on homepage is not working properly. #3866
* Fixed: Author links are redirecting to AMP even when the Archives is turned off. #3875
* Fixed: Issue related to image height and width #3857
* Fixed: Gutenberg Gallery Images are not displayed correctly when any option is selected in WordPress Content Gallery. #3868
* Fixed: Google Tag manager not firing properly #3826
* Fixed: After Update AMP option panel design is changing #3877

= 0.9.98.20 (27th November 2019) =
* Fixed: Menu closer icon is getting overlapped by the header part of firefox web browser #3744
* Fixed: Instagram TV videos are not rendering into AMP #3812
* Fixed: Need To move CTA button in header two in sidebar if the website layout is in mobile view #3669
* Fixed: When the image is added from ThirstyAffiliate image block from Guntenber editor facing validation error #3706
* Fixed: PHP Warning:DOMDocument::loadHTML(): Empty string supplied as input #3745
* Fixed: When Convert AMP to WP theme (Beta) option is enabled Back to Top link functionality is not working #3695
* Fixed: Post date always shows 3 hours ago #3624
* Fixed: Gutenberg Design Bugs #3645
* Fixed: Toolbar AMP link bug #3692
* Fixed: Breadcrumb icommon symbol direction should be changed when RTL is enabled in Swift. #3678
* Fixed: Extra CSS are loading in swift and AMP Layouts #3414
* Fixed: Remove Digg and Google plus option form Social Sharing #3709
* Fixed: When Yoast SEO plugin is activated the same excerpt shows #3708
* Fixed: Allow people to use captions below thumbnails in gallery #3702
* Fixed: Design improvements of D2 #3637
* Fixed: Fatal error: Uncaught Error: Cannot use object of type stdClass as array (after 98.15) #3867
* Fixed: In amp gallery need to make improvement in arrow #3860
* Fixed: Performance issues in AMP FOR WP #3732
* Fixed: Yoast Separator is converting from Hyphen to Dash #3783
* Fixed: Multiple UX related modifactions #3869
* Fixed: strpos() debug error after 19 update #3878

= 0.9.98.19 (25th November 2019) =
* Fixed: image transients should clear automatically #3781
* Fixed: CTA button in header could be made no follow #3798
* Fixed: In IOS screen, Menu cross button is not appearing in Swift design #3809
* Fixed: Comment closed opion need to be removed. #3750
* Fixed: In template mode Need to show extension setting panel. #3728
* Fixed: Facebook comment is not changing language when we select another language #3710
* Fixed: Single Sidebar data is visible in Homepage #3636
* Fixed: Need to remove width from inline style on amp images #3741
* Fixed: If permalinks is set as "/index.php/%year%/%monthnum%/%day%/%postname%/" then not working properly with Pagination #3537
* Fixed: Canonical url is changing in cateogry pages when cateogry name start with amp #3694
* Fixed: general fixes and improvements part 2 #3621
* Fixed: Warning: strpos(): Empty needle in /home/statecer/public_html/wp-content/plugins/accelerated-mobile-pages/templates/features.php on line 5788 #3870

= 0.9.98.18 (21th November 2019) =
* Improvement: Show the number of shares with Sassy Social Share #3588
* Fixed: Need to improvment in table code #3664
* Fixed: Change internal links to AMP is not working when custom permalink having the extenison.html #3811
* Fixed: Width of the recent posts and related posts thumbnail image should be same #3639
* Fixed: Page should be full width if the page builder is used #3756
* Fixed: Remove broken link on source code like "<link rel="dns-prefetch" href="https://cdn.ampproject.org">." #3697
* Fixed: leave a comment added when making pages with pagebuilder #3755
* Fixed: Need to adding gaping for col 2 in AMP Pagebuilder #3796
* Fixed: CSS issue. #3785
* Fixed: Facebook comment is not changing language when we select another language #3710
* Fixed: Verify button of Google Font API key is not working after update #3858
* Fixed: Cache is not clearing after clicking clear cache button #3863

= 0.9.98.17 (19th November 2019) =
* Fixed: Validation error of 'srcset' in 'amp-img' after Latest update of Divi Theme (From version 4.0.2) #3803
* Fixed: Logo is not resizing when using fixed width #3696
* Fixed: Fatal Error when "AMP FOR WP" is activated on AMP FOR WP Garage URL #3765
* Fixed: Images and Videos with Gutenberg does not have proper spacing #3634
* Fixed: Undefined variable: amp_url #3776
* Fixed: amp-image-lightbox markup is loading in paginated post even the image is not present #3700
* Fixed: Search results on/off option in amp #3786
* Fixed: Internal links are breaking in Persian language #3777
* Fixed: Use util function to get array component. Fixes #3778 #3842
* Fixed: Add Hyperlink option to Gallery module images. #3850
* Fixed: Need to remove WPBakery Page Builder Support Option #3855

= 0.9.98.16 (18th November 2019) =
* Improvement: Need to make compatibility of Advance setting options of yoast seo into AMP #3684
* Improvement: Add filter to modify HTML attributes #3685
* Fixed: Jetpack causing errors after update #3849
* Fixed: Facebook like button is not showing correctly after last update in design3 #3742
* Fixed: [URGENT] Vuukle API KEY missing #3792
* Fixed: Admin tool bar css is not loading #3788
* Fixed: Hide button always showing on page #3762
* Fixed: Meta description are not showing properly in genesis #3761
* Fixed: Non-Responsive tables after version 0.9.98.9 #3746
* Fixed: Wrong amphtml when static page is selected in reading settings along with ?amp endpoint #3717
* Fixed: Homepage posts image alignment issue #3691
* Fixed: Lightbox not working for single images #3683
* Fixed: Notice: Undefined index: category #3829
* Fixed: Notice: Undefined variable: category_name #3827
* Fixed: AMP Dev mode when disabled throwing a fatal error in mobile mode for blog. #3824
* Fixed: Warning when trying to save the option #3800

= 0.9.98.14 (7th OCTOBER 2019) =
* Fixed: Value Attribute Stripping out from the forms added in the content. #3689
* Fixed: Remove AAWP from extension list #3735
* Fixed: Data is not saving while Importing options from the json file #3667
* Fixed: Debug warning #3723, #3729, #3730, #3731

= 0.9.98.13 (27th SEPTEMBER 2019) =
* Improvements: Need to create an option to clear the cache in tree shaking #3680
* Improvements: Only get the required dashicons for Admin Toolbar #3707
* Fixed: When enabling Treeshaking it removes the Swift icons TTF #3665
* Fixed: List numbers are not in position #3704
* Fixed: Menu Auto closing when # in the url #3633
* Fixed: Facebook Like script not loading #3633

= 0.9.98.12 (25th SEPTEMBER 2019) =
* Improvements: User wants Wordpress admin toolbar in the AMP area #3450
* Improvements: we want the amp menu showing from left or right side both. #3095
* Improvements: Add feature to increase width for facebook like button and also add feature of data-action="recommend" #3241
* Improvements: Improvements in Design 1 2 and 3 option panel in Header section #3642
* Fixed: Update Stops Google Analytics tracking #3690
* Fixed: Lightbox not working for single images #3683
* Fixed: Language of Menu not changing when changing website language #3522
* Fixed: We need to allow people to turn off the social section fully #3613
* Fixed: Ui Design issues #3616
* Fixed: Dropcap option should only be enabled on the posts, not from pages. #3614
* Fixed: Social share position is not working in single design 2#3627
* Fixed: AMP text module is not working in Widget area #3644
* Fixed: Social media icons and comments should be below the post content on pages #3647
* Fixed: Breadcrumbs are breaking after enabling ""Post title on Breadcrumb" option #3648
* Fixed: line share link is getting added when sharing on telegram#3666
* Fixed: In social sharing Twitter Handle and Pretty Permalinks for Twitter Share? need to display child option of Twitter#3656
* Fixed: Extension license dashboard improvements #3654
* Fixed: Make the chat bubble into a email box for faster input #405
* Fixed: Option to specify certain taxonomy only in Instant Article Feeds #1489
* Fixed: Need to remove Legacy Pagebuilder option Safely #3609
* Fixed: Default heading tag should load if no option is selected in Header Module #3651
* Fixed: Pretty Permalinks for Twitter Share? option is not working #3662

= 0.9.98.11 (20th SEPTEMBER 2019) =
* Improvements: Improved AMP Advertisement option panel
* Fixed: Mobile redirection causing extra redirects from /amp to /amp/ #3660
* Fixed: The lightbox should not work for the image if any external link is added in its anchor tag. #3599

= 0.9.98.10 (18th SEPTEMBER 2019) =
* Improvements: Upgrade the analtyics integration with gtag.js #3538
* Improvements: Need to optimize css classes #3650
* Fixed: Small sized images are getting stretched in the lightbox. #3602
* Fixed: Gutenberg Audio Module not working #3597
* Fixed: Table (thead-th) styling issue after update #3661
* Fixed: Issue with the post titles in single page (two H2 tags if logo is not inserted) #3641
* Fixed: search results pages are showing up as 'no index' #3646
* Fixed: Need to add support of shortcode in category pages #3653
* Fixed: Custom post description migrates to image description #3606
* Fixed: AMP for WP conflict with the CDN Enabler plugin #3631
* Fixed: Warning in Error Log #3655
* Fixed: Incorrect placeholder "Select the SEO Plugin" in drop-down in AMP option Panel #3663

= 0.9.98.9 (16th SEPTEMBER 2019) =
* Improvements: Need to implement Tree Shaking feature to remove access css from the AMP pages #2949
* Improvements: Need to save Post Meta Field Revisions in WordPress #3548
* Improvements: Add Role based Access to all the options #3480
* Improvements: Need to improve import/export option. #3364
* Improvements: Need to make compatibility with amp-connatix-player component #3524
* Improvements: "Recent Posts below related posts" feature need to implement for the design three #3531
* Improvements: Need to improve color picker library in AMP FOR WP Plugin #3461
* Improvements: Recent Posts below Related needs new options #3518
* Improvements: Excerpt length feature request for related post #2908
* Improvements: Need to add the option date below the content #3445
* Improvements: Need to hide time in traditional view option. #3453
* Improvements: Add feature to go to non AMP page on next and previous links #3253
* Improvements: Create a filter to Exclude Posts from Related Posts #3582
* Improvements: Need to add a filter to remove options in sidebar in AMP #3416
* Improvements: allow option to change the heading tag of Featured module #3560
* Improvements: AAWP plugin for AMP compatibility in Extension list #3591
* Fixed: Individual AMP Page (Bulk Edit) "hide by default" option not working #3610
* Fixed: In Recent Posts below Related need to add which present in below below related post #3596
* Fixed: Need to shift the Header Background Option and Header Elements option on top in Swift theme #3462
* Fixed: Need to add 'By Last X Days' option for "In-Content Related Posts" #3219
* Fixed: Need to add unique class name custom post type #3539
* Fixed: Need to add Convert AMP to WP theme (Beta) tutorial link in tooltip of this option #3552
* Fixed: Need to connect with Collapse references by default option of the footnotes plugin. #3586
* Fixed: Do not generate the AMPhtml for Woocommerce Account Page #3619
* Fixed: Need to place page builder in custom homepage even amp support is off on pages. #2914
* Fixed: Need to allow the user to navigate if user is using iframe #3601
* Fixed: Template mode: Need to changes/fixes #3590
* Fixed: The lightbox should not work for the image if any external link is added in its anchor tag. #3599
* Fixed: Improper amphtml on HomePage when WPML is activate #3341
* Fixed: The GDPR consent not working due to passed as string. #3658

= 0.9.98.8 (7th SEPTEMBER 2019) =
* Improvements: AMP Option panel in mobile view #2603
* Improvements: Need to make compatible with yoast seo primary category option #3551
* Improvements: The "redirect chain" report taking extra steps to process. #3575
* Improvements: Rank math Titles & Meta compatibility #3592
* Improvements: Improvement in iframe #3563
* Improvements: optimize the TEL link to remove validation and provide better UX #3581
* Fixed: Need to check function exist get_cart_url as it is getting fatal error when only amp woocommere is active. #3584
* Fixed: Change Internal Links to AMP #3561
* Fixed: Rare issue with Yoast SEO/Excerpt #3511
* Fixed: lighthouse issues #3547
* Fixed: Gallery Captions not working #3536
* Fixed: Table is not aligning properly in amp version #3549
* Fixed: Getting Debug error ( cdn_url_main ) #3555
* Fixed: Delete button gone in page builder in RTL language #3545
* Fixed: caption design is different when comparing Gutenberg and classic editor #3573
* Fixed: Image is not aligned properly #3542
* Fixed: The extension 'amp-wistia-player' was found on this page, but is unused. Please remove this extension. #3587
* Fixed: No Index issue #2303
* Fixed: Need to create a basic tutorial for each elements of single in Swift #3499
* Fixed: Facebook like button is not aligned properly #3589
* Fixed: h1 was changed to h2 in the custom frontpage title after update #3546
* Fixed: When using JNews AMP Extender, It makes posts blank #3526
* Fixed: Infinite scroll script is adding in woocommerce archive pages #3570
* Fixed: Clicky analytics option getting hidden when GTM is on #3585
* Fixed: In add on mode when amp is in standard mode frontend is getting blank screen. #3508
* Fixed: Proper escaping in facebook instant article #3564
* Fixed: No Icon in Facebook Message when Font Awesome Icon type selected #3572
* Fixed: yoast breadcrumb making all ul list in capital letters #3540
* Fixed: Comments should be removed in the out put of Analytics Code #3593
* Fixed: Related post excerpt is not working with horizontal design #3595
* Fixed: Issue in Breacrumb if category has a comma #3598
* Fixed: After last update the cookie bar text shows the html code (a href) instead of creating a link. #3617

= 0.9.98.6 (31st AUGUST 2019) =
* Improvements: Structured Data improvements #3567
* Improvements: Addthis share button's postion field in 1,2 and 3 designs #3553
* Fixed: Rare issue AMP settings are not getting saved showing popup error "There was a problem with your action. Please try again or reload the page." #3494
* Fixed: Plugin removes Telegram links #3578
* Fixed: amp-addthis validation error on pages #3580
* Fixed: Spot.IM Comments not working on all designs #3568
* Fixed: Incorrect title tags being generated #3565
* Fixed: Reduce the size of auto inline css. #3115

= 0.9.98.5 (27th AUGUST 2019) =
* Improvements: Compatibility integrated with CDN enabler #3515
* Improvements: banner ux section of AMP panel settings improved #3470
* Improvements: Reduces the size of auto inline css ro avoid validation errors #3115
* Improvements: Tooltip to show description about "Social Share links to AMP" and "No Follow All Your Social Links" #3456
* Improvements: Avada pagebuilder compatibility feature integrated ( it will work when 'AMP PageBuilder Compatibility' extension is activate) #3550
* Improvements: Avia pagebuilder(Enfold) feature integrated ( it will work when 'AMP PageBuilder Compatibility' extension is activate) #3559
* Improvements: Filters to show or hide option on admin settings for Template-mode #3562
* Fixed: When AMP Page builder is checked with Empty Content,Container is missing on AMP view #3488
* Fixed: Validation error when adding featured video with Authentic theme #3535
* Fixed: User Experience issue with Custom Home Page #2348
* Fixed: Serach option should be enabled by default when user selected the design-3 #3485
* Fixed: Logo's resize option should only display when the image is present #3471
* Fixed: Row module settings popup header is overlapped while scrolling the options in AMP Page Builder #3467
* Fixed: labeling of the 'Text font' option in 'Row module settings' of AMP Page builder renamed #3468
* Fixed: When AMP takeover is enabled, the 'visit amp' on admin header should disabled #3502
* Fixed: Homepage amphtml not getting generated when there are no posts added. #3504
* Fixed: AMP cache description is getting overlap with the Checkbox description when amp cache extension is activate #3512
* Fixed: Category module's pagination of AMP Page builder is not working #3509
* Fixed: There is closing tag of 'a' tag in header-bar.php of design bar, for which there is no opening tag #3479
* Fixed: Icons not loading When Icon Font Library is selected to Font Awesome from the AMP options #3501
* Fixed: Shortcode placed with double brackets (i.e., [[shortcode]]) should not execute #3481
* Fixed: One signal push notification should work properly on AMP if any CDN plugin is used #3340
* Fixed: Extra options are being displayed after the search is completed in the AMP Options Panel #2874
* Fixed: In alt attribute's content single quotes should removed #3492
* Fixed: "amphtml" is not generatiing in sorce code when it comes to search results pages in non AMP #3458
* Fixed: Woocommerce archives and shop page support should not be dependent on Archives [Category & Tags] option #3558
* Fixed: noreferrer is getting added automatically, it should have what ever the user passes #3566

= 0.9.98.4 (6th AUGUST 2019) =
* Improvements: Pagebuilder Compatibility Options in 'AMP By Automattic' Addon Mode Settings #3507
* Fixed: Design is breaking in swift theme when RTL option is enabled #3527
* Fixed: Validation error when width and height is empty in the logo #3530
* Fixed: 'Read more' link in excerpt for category module of AMP page builder #3510
* Fixed: Mobile redirection causing extra redirects from /amp to /amp/ #3459
* Fixed: "Recent Posts below Related Posts" option should show only when it is available for the theme #3528

= 0.9.98.3 (2nd AUGUST 2019) =
* Improvements: OpenGraph Support in AMP #3261
* Improvements: Compatibility integrated with Cloudflare stream. #3230
* Improvements: Pagebuilder Compatibility Options in 'AMP By Automattic' Addon Mode Settings #3507
* Improvements: Some changes in AMP panel setting's defaults #3065
* Fixed: Search bar is messed up after 3425 and 3000 #3491
* Fixed: Lightbox effect not working with "Tablepress" when "Link To" option is selected in Attachment display settings #3451
* Fixed: Fatal error Uncaught Error: Call to undefined function ampforwp_is_non_amp() #3464
* Fixed: Ol and li design issue in swift theme on RTL mode #3457
* Fixed: When AMP Page builder is checked with Empty Content, Container is missing on AMP view #3488
* Fixed: rel=”nofollow” is getting replaced by rel=”noreferrer in links #3483
* Fixed: In Archives Category & Tags option is disabled, the link should go to non-amp #3486
* Fixed: Multiple H1 Tag Issues in AMP Version on Home and Category Pages in Design 3 #3466
* Fixed: Allow href attribute value with associated apps property #3475
* Fixed: Validation errors in amp category page when HotWP PRO theme is active #3455
* Fixed: Compatibility issue with WP Offload Media Lite. #3460
* Fixed: Fatal error Uncaught Error: Call to undefined method RevSliderFunctionsWP::check_for_shortcodes() #3465
* Fixed: If a title is loading then only its markup should load otherwise not #3495
* Fixed: In Template mode feature, some fixes #3478
* Fixed: Meta description option should be enabled by default SEO #3505
* Fixed: Fatal error Uncaught Error Class 'AMPforWP\AMPVendor\WP_Error' not found #3514
* Fixed: After the upgrade, AMP Page Builder is not working! #3506
* Fixed: Page builder content getting blank when we hit save. #3513
* Fixed: Wp editor not loading when Using Page builder (with Gutenberg) #3517
* Fixed: Single design 2 in Swift broken in one specific use case #3532

= 0.9.98.2 (25nd July 2019) =
* Fixed: Menu design issue in Design 3 #3489
* Fixed: Fatal error when latest version of Smush pro plugin activated #3487
* Fixed: After Version 0.9.98 update, Background Type gradient options are not showing in Row module of AMP pagebuilder  #3490
* Fixed: Undefined index ampforwp-amp-on-off #3474
* Fixed: Search bar is not showing in design three after enabling the search option in header option panel #3484
* Fixed: Content blank if Color Attribute is in Span tag #3497
* Fixed: Sticky Header has no background color when scrolling. #3498

= 0.9.98.1 (22nd July 2019) =
* Fixed: Logo and headline comes togeather after .98 update #3472
* Fixed: Default loading message as '1' in search bar after latest update (.98) #3476

= 0.9.98 (19th July 2019) =
* Improvements: Option to remove date from Homepage and also in Recent posts #3363
* Improvements: Option for amp-youtube Embed video attributes in row module of AMP Pagebuilder #3373
* Improvements: Menu sidebar background and elements color changing option for Design 1, 2 #3402
* Improvements: MGID Ad support in AMP FOR WP #3431
* Improvements: Sizes of featured image option for single 1 #3433
* Improvements: Addthis floating share button feature in amp #3424
* Improvements: Wistia Plugin Compatibility integrated #3386
* Improvements: Squirrly SEO  Compatibility integrated #3421
* Improvements: image-slider compatibility added in AMP sanitizer #3422
* Improvements: Compatability issue with ShortPixel Image Optimizer #3439
* Improvements: Improve the Search form (Sidebar) design #3425
* Improvements: AMP footer widget in design three #3411
* Improvements: Extension list added for AMP Email Extension #3144
* Improvements: Extension list added for Pinterest for AMP Extension #3195
* Improvements: Extension list added for Liveblog For AMP Extension #3194
* Fixed: Close menu button is not showing when a user comes from Google search #3401
* Fixed: When High-resolution Images option is enabled images link should be generated from higher-order to lower-order in schema markup #3442
* Fixed: Sticky Social Icons setting should be moved to Social Tab and some changes #3426
* Fixed: Fall back the header type code in the backend if a user has not selected any header type #3419
* Fixed: Revolution Slider not working perfectly when a user is inserting video #3311
* Fixed: Call to action option should be automatically enabled if the user selected header type-2 #3420
* Fixed: Double quotes on the author area #3441
* Fixed: Twitter URL is displaying instead of an icon when Zox news theme is active #3409
* Fixed: Extension code array issue #3438
* Fixed: Validation error due to amp-facebook-like #3427
* Fixed: Fatal error cannot redeclare is_amp_endpoint() (previously declared) #3415
* Fixed: Sticky Social Icons and cookies banner style issue #3452
* Fixed: Validation error the extension 'amp-next-page' was found on this page, but is unused please remove this extension #3463
* Fixed: gallery/slider module is not working when Convert AMP to WP theme (Beta) option is enabled #2771

= 0.9.97.65 (16th July 2019) =
* Fixed: PHP Warning at the top of the site: array_merge(): Expected parameter 1 to be an array #3434
* Fixed: Disqus comment is not working after version 0.9.97.63 #3446
* Fixed: Uncaught Error: Call to undefined method WPSEO_Options::get() for Yoast Premium #3447
* Fixed: Message: when Leverage Browser Caching is not supported #3449
* Fixed: Added the missing parameter $depth in filter 'nav_menu_item_id' #3454

= 0.9.97.64 (15th July 2019) =
* Improvements: Performance improvement -- Meta Value Queries #3392
* Improvements: h1 tag on the archive, search and author pages #3323
* Improvements: Flipboard as a social sharing option in AMP added #3348
* Improvements: Comscore new variable for AMP in Analytics #3378
* Improvements: Option for Leverage Browser Caching in the performance settings #3298
* Fixed: Auto Add AMP in Menu URL option is not working for the product category #3319
* Fixed: Horizontal scrolling issue on the homepage #3217
* Fixed: Vuukle comments Toggle UX bug #3399
* Fixed: Basic amp components to work in the content #2713
* Fixed: Unnecessary CSS is loading in single amp product pages and also on cart pages. #3038
* Fixed: Improper amphtml is getting created in the ngg_tag Url when NextGEN Gallery is used #3381
* Fixed: Tutorial link for Disqus comments section #3362
* Fixed: Empty Display property in menu.php #3387
* Fixed: Images and text does not Zoom in & out with mobile devices in amp version #3233
* Fixed: Custom CSS code got optimized after 0.9.97.61 update #3410
* Fixed: Breadcrumbs icons are not connected to icons font family #3418
* Fixed: In swift Single Design 2 sidebar CSS are not loading in Search page #3430
* Fixed: Notice to be removed after dismissing it after installing AMP #3053
* Fixed: Plugins manager showing twice in options panel #3328
* Fixed: Amp scripts not appending in the head in Search pages when added in sidebar #3404
* Fixed: Conflict issue with Themify Builder #3376
* Fixed: Remove the Gap between Header and AMP Pagebuilder module #2534
* Fixed: Image is not loading when the source of it starting from ../wp-content #3403
* Fixed: PHP Warning at the top of the site: array_merge(): Expected parameter 1 to be an array #3434

= 0.9.97.63 (9th July 2019) =
* Improvements: Custom Taxonomy support #3036
* Improvements: Option to change the Navigation part background color and element color for Design-3 #3034
* Improvements: Compatibility with the SEO Framework Plugin #2670
* Improvements: Facebook Messenger Icon in social share icons #2806
* Improvements: Option to change the Homepage Thumbnail size in design-3 theme #2986
* Improvements: Changed prefix class of whatsapp to Api #3369
* Improvements: Colour changing feature in Navigation bar in a design-2 #3059
* Improvements: Google Lighthouse Audit Score improved #3276
* Improvements: AMP option panel compatibility with a basix theme #3366
* Improvements: Template mode code improved #3357
* Fixed: PHP debug warning #3128
* Fixed: Proper alignment of description in Design-3 #3385
* Fixed: 'Modified Date' option not working when Date Format 'Traditional view' is selected #3383
* Fixed: When Parmalinks in "/index.php/%year%/%monthnum%/%day%/%postname%/" format category not working #3279
* Fixed: Separator Character's of Rank math plugin is not working on AMP pages #3335
* Fixed: SVG images not rendering in AMP #3208
* Fixed: Improvements code in Search form widget #3000
* Fixed: Dynamically change accordion-mod class name to reduce the styling size #3334
* Fixed: Social sticky icons to show on top as well as it is getting hidden behind sticky ads #3126
* Fixed: Font icons not loading in master and beta #3382
* Fixed: Yoast SEO Data not loading in AMP when 'Glue for Yoast SEO & AMP' plugin is active #3338
* Fixed: When AMP Comments is disabled, div of comments is loading #3345
* Fixed: Error 500 PHP 5.3.3 Fallback support #3333
* Fixed: Debug warnings after recent update #3400
* Fixed: Video sanitizer not allowing the "id" attribute #3406
* Fixed: Check if function_exists('get_rocket_option') #3417

= 0.9.97.62 (4th July 2019) =
* Improvements: Change AddThis controls labels. #3359
* Fixed: Alternative methods to sanitize(`sanitize_textarea_field`) for users who are using older then 4.7  #3394
* Fixed: amp-addthis script is loading on WooCommerce product pages. #3393
* Fixed: Page titles are changing when Rank math plugin active #3358
* Fixed: Icons added in featured image caption not working properly with font awesome #3288

= 0.9.97.61 (2nd July 2019) =
* Improvements: AMP option panel for better enhancement #2432
* Improvements: Lighthouse score improved in all designs #3108
* Improvements: Option to change featured image size in the AMP panel's single settings [ only in Swift theme] #3339
* Improvements: Clicky Analytic compatibility integrated #3220
* Improvements: Some Improvements in image sanitizer #3112
* Improvements: Gallery Design integrated in Facebook instant article #3143
* Improvements: Featured Video Plus plugin compatibility integrated #2583
* Improvements: Performance improvement ! SELECT SQL_CALC_FOUND_ROWS #3336
* Improvements: 'Featured Image from URL' plugin compatibility integrated #3365
* Improvements: Template-mode functionality added for group users to work on the main/AMP theme #3252
* Fixed: Images are blur in beta in design 2 #2541
* Fixed: SRC set in the Featured Image #1619
* Fixed: AMP page builder is not showing when the AMPforWP plugin is activated from Network admin panel in Multisite #3322
* Fixed: AMP Panel options code improved - 2 #3083
* Fixed: Fatal error with an older version of Wordpress #3094
* Fixed: Extra option in Analytics section removed #3037
* Fixed: ?nonamp=1 should redirect to normal url #3269
* Fixed: Recent comments shows first in ascending order #3325
* Fixed: Footnotes not working properly #2982
* Fixed: On twitter share Via twitter handle name is not shown in the tweet beside Url in Design-Swift #3286
* Fixed: Fatal Error when activate quadmenu plugin #3308
* Fixed: Default schema generated Page (Migrated from AMPforWP) or post (Migrated from AMPforWP)'s Target Location is showing empty by default #3343
* Fixed: When auto add amp in menu option is enabled it is rendering the cache version menu for WPML site #3251
* Fixed: External URL not working with Revolution Slider #3218
* Fixed: Images are getting distorted in AMP when the lazy loading option is enabled in the WoodMart theme settings #3254
* Fixed: More variables support in Advanced Google Analytics #3281
* Fixed: When amp takeover is enabled, /amp is added at the end of category module url #3367
* Fixed: Auto Add AMP in Menu URL option is is not working for the product category #3319
* Fixed: Swift Theme has doublequotes in related Post quotes issue #3045
* Fixed: Wordpress Spanish language does not showing "Design" tab #3342
* Fixed: Tittle attribute not generates in related posts in all designs #3346
* Fixed: AMP optin short code is not rendering in AMP from footer widget #3349
* Fixed: Single post main title should be H1 and sub title should be H2 or H3 in design-1 #3350
* Fixed: ampforwp_the_content_filter_full function hook changed to work minify option in AMP cache plugin #3355
* Fixed: AMP is not working due to JCH Optimize Pro plugin #3185
* Fixed: AMP validation warning when Google Tag Manager Advanced Option is enabled #2660
* Fixed: PHP Warning implode() Invalid arguments passed when Enfold theme is activate #3307
* Fixed: Mobile redirection not working properly #3370
* Fixed: Redirection code improved #3326
* Fixed: Yoast Description does not output #3374
* Fixed: Debug errors after 0.9.97.60 #3377
* Fixed: Code improvements in loadComponents() #3384
* Fixed: License key is visible in Source code #2528
* Fixed: Fatal error can't use function return value in write context - 2 #3087
* Fixed: Code improvements #3388

= 0.9.97.60 (22th June 2019) =
* Feature: Need to add template-mode #3252
* Fixed: Options panel loading issue after 0.9.97.59
* Fixed: Single post main title should be H1 and sub title should be H2 or H3 in design-1 #3350

= 0.9.97.59 (21th June 2019) =
* Improvements: WP Recipe Maker & WP Recipe Maker PRO Schema compatibility added #3043
* Improvements: Impreza Theme's lazyLoad Option compatibility integrated #3259
* Improvements: WordPress Content Gallery integrated with Design - 1,2 & 3 #3255
* Improvements: amp-recaptcha-input support added in allowed tag sanitizer #3315
* Improvements: Yoast 11.4 Schema Compatibility #3332
* Improvements: Google Tag Manager Advanced Option integrated #2660
* Fixed: Disqus comments are not loading in the multilingual slug #3106
* Fixed: Incorrect escaping done on author name when Link to Author Pages is enabled along with the Co-Authors plugin activate [ Theme-Swift ] #3162
* Fixed: AMP Panel options code improved #2517
* Fixed: License key code improved #2528
* Fixed: When site url is different from home url #2881
* Fixed: Related Posts Design is coming in all the single page designs in AMP Layouts #3091
* Fixed: CM Tooltip Glossary custom post types are not working with /amp #2882
* Fixed: Variables replacing in Advanced Google Analytics config code don't work #3237
* Fixed: "Optimize For Viewability" option for Ads improved #3142
* Fixed: Advertisement section Ads are not working through Google search result #2693
* Fixed: When AMP takeover and yoast seo is activated,AMP page builder is not working #3292
* Fixed: link="next" is appearing in the custom front page #3266
* Fixed: 404 error when custom post type and page having same slug [Bug for the Rare use case] #2374
* Fixed: Code improved for attribute layout=responsive in amp-img #3248
* Fixed: Gallery Lightbox feature code improved #3184
* Fixed: Elementor stops working when AMP Take Over is enabled #3284
* Fixed: Activating Thrive lead plugin AMP Page builder doesn't work on the custom front page #3312
* Fixed: To many redirection issue with hidden post in IOS #3287
* Fixed: Gallery with GIF is not working #3304
* Fixed: Indexing Issue of Plugin File #3271
* Fixed: Post/page throwing an error on hiding AMP for that particular post/page if AMP takeover option is enabled. #3329
* Fixed: Addthis Sharing default option code improved #3327
* Fixed: When Custom frontpage option is enabled, it's not taking the Polylang static page id  #3330
* Fixed: Webp image format as featured image is not working in the single posts #2996
* Fixed: Improper amphtml on HomePage when WPML is activate #3341
* Fixed: Schema not generating after 0.9.97.57 #3344

= 0.9.97.58 (14th June 2019) =
* Improvements: Option for H1-H6 Heading Font Sizes for all the designs #3035
* Improvements: New filter to add the classes which have to be excluded in infinity scroll #3297
* Improvements: Additional options for the Rank Math SEO plugin #3314
* Improvements: Purge AMP CDN Cache added in Extension List #3324
* Fixed: After v0.9.97.57 error can't disable featured image #3272
* Fixed: Amp options panel's section code improved #3205
* Fixed: Matemo Switch UI issue #3041
* Fixed: Redux options for translating the field #2460
* Fixed: Problem with pagination links in AMP #3313
* Fixed: AMP Page Builder options not working due to Groovy Menu Plugin #3226
* Fixed: Analytics not working due to Glue for Yoast SEO & AMP plugin #3153
* Fixed: Yoast Meta Description not being picked up #3290
* Fixed: ampforwp_new_gallery_images called multiple times resulting Fatal Error #3296
* Fixed: Error message comes after search in post or page in Swift theme #3309
* Fixed: Pages redirect to /amp/amp after last update #3270
* Fixed: Archive and Categoy not working properly with Swift design #3265
* Fixed: Fatal error when remove author meta name and date on AMP posts/articles in design-2 #3260
* Fixed: Lightbox for image does not work when link [anchor tag] attached to images #2695
* Fixed: Webp as featured image is not working in the single posts #2996
* Fixed: Redirection issue when visiting AMP version after clicking Non-AMP link in Header #2940
* Fixed: code imporved in the amp_loop_image #3084
* Fixed: Sidebar breaks the blog page design #3056
* Fixed: In content related posts in Design-3 images are not showing #3109
* Fixed: Close Button is not coming in iphone in swift theme #3107
* Fixed: AMP strings are not translatable #3169
* Fixed: Option Panel's tooltips code updated #3172
* Fixed: Table style is not loading in AMP Page #3204
* Fixed: H1 tag on Logo in design-swift #3231
* Fixed: Color of button not working properly in design-swift #3216
* Fixed: PHP Debug warning fixed #3128

= 0.9.97.57 (31st May 2019) =
* Improvements: Need to add description field in VideoObject Schema type #2846
* Improvements: Create an option for H1-H6 Heading Font Sizes for all the designs. #3035
* Improvements: Need to AMP compatible with this plugin HTTP / HTTPS Remover #3123
* Improvements: Due to Enable image replacement option in optimole plugin images get removed in AMP #3073
* Improvements: Author name not comes in AMP due to "Simple Author Box" plugin #3145
* Improvements: Need hyperlink option on the slider module image #2932
* Improvements: Need another menu for alternative menu which separate from main menu #2916
* Improvements: Audio Playlist Support #2437
* Improvements: Separate option to enable/disable Tags support im AMP #3016
* Fixed: Controls under swift design should display when selected design is AMP theme framework #2939
* Fixed: AMP Blurb Module shows code on frontend #3228
* Fixed: Need to Use Ajax to fetch all Categories and tags in Featured Slider in D3 #2590
* Fixed: copy the content stop working #3193
* Fixed: mandatory tag 'link rel=canonical' is missing or incorrect on Homepage- when RankMath is active #3250
* Fixed: Uncaught Error: Call to undefined function ampforwp_get_frontpage_id() #3242
* Fixed: Liststyle (Circle) added beside Published by in Design3 in 0.9.97.53 #3222
* Fixed: Version 0.9.97.52 Yoast Meta Information not being picked up #3207
* Fixed: When navigation menu option is disabled then amp menu checkbox should be removed from menu appearance. #2548
* Fixed: Needs to re-write function ampforwp_add_custom_rewrite_rules to improve performace #2924
* Fixed: amp-next-page script of infinity scroll shouldn't load on other custom post type pages #3157
* Fixed: Archive and Tag pages generating incorrect AMP HTML #3170
* Fixed: Images are appearing twice #3186
* Fixed: Debug error on Homepage #3135
* Fixed: Font JavaScript is loading everywhere in console and breaking things in dashboard #3133
* Fixed: Rewrite ampforwp_view_nonamp function to make it future proof #2710
* Fixed: if there's and apostrophe in the post title, it is published as random characters In twitter #2744

= 0.9.97.56 (29th May 2019) =
* Fixed: #3214 fix was causing conflict with AMP Layouts and content was getting blank

= 0.9.97.55 (28th May 2019) =
* Improvement: Rank Math compatibility with V1.0.24	#3177 
* Improvement: Related posts and Recent posts on custom posts types #2708
* Improvement: Appearance Designs for Related Posts #1545
* Improvement: Integration with EWWW IO and ExactDN. #2805
* Improvement: rel = "nofollow" to the links of social platforms in menu and footer, in all designs #2999
* Improvement: Option to display the Post title on Breadcrumb #3019
* Improvement: Map module in AMP pagebuilder #1629
* Improvement: Pagination support in category module of AMP pagebuilder #1676
* Improvement: Time Stamp support in category module of AMP pagebuilder #2648
* Improvement: Lightbox feature for Slider module of AMP pagebuilder #2646
* Improvement: Privacy page option in Notice Bar (Cookie Consent) #2347
* Improvement: SmartMag theme's Featured video Compatibility integrated #2559
* Improvement: New filter to modify the links of breadcrumbs, comment button and the non-amp version link in footer #2664
* Improvement: New filter to modify the single featured image #2896
* Improvement: "AMPforWP PageBuilder" option added in the page builder section #2414
* Fixed: PHP debug warning #3128
* Fixed: Fatal error after update 0.9.97.51 #3156
* Fixed: Unwanted code on username of comment in Design [1, 2 & 3] #3022
* Fixed: Issues with Content Sneak Peak Feature #2504
* Fixed: In Feature module of AMP pagebuilder, Bullet points are not aligned correctly #2554
* Fixed: Image URL replacement on AMP page not correct and aq_resizer not working with cdn images #2659
* Fixed: 'Twitter' Option and 'Pretty Permalinks for Twitter Share' Option generate the same URL #2662
* Fixed: Need to align the Radio Button (Show/Hide) in the Arabic language #2818
* Fixed: In NewsArticle, the ArticleBody and Description are missing from the AMP page #3005
* Fixed: WP Subtitle Compatibility code updated #3175
* Fixed: For Menu pages where AMP support is OFF, still getting added due to Auto Add AMP in Menu URL option #2897
* Fixed: E-commerce section code updated #3012
* Fixed: Pagebuilder section code updated #3014
* Fixed: 'Fix AMP Errors' section should not be displayed if he's a premium customer #3027
* Fixed: Use Ajax to fetch all Categories and tags in Featured Slider in Design-3 #2590
* Fixed: Debug error after enabling redirection #3174
* Fixed: The tag 'amp-next-page with inline config' appears more than once in the document #3214
* Fixed: Correct conditions for PageBuilder and Elementor for Page.php in Swift #3097
* Fixed: is_amp_endpoint issue - code updated #3055

= 0.9.97.54 (23rd May 2019) =
* Fixed: HUGE PERFORMANCE Issues #3052
* Fixed: Performance Issues with queries #2997
* Fixed: Performance Issues with template_redirect hooks #2773 #2920
* Fixed: Performance Issues with Design manager #2873
* Fixed: Performance Issues with ampforwp_exclude_post option #3118
* Fixed: Performance Issues with AMP Pagebuilder modules and settings which were loading By default #2323
* Fixed: Performance Issues with Hide AMP Bulk Tools #2549

= 0.9.97.53 (20th May 2019) =
* Fixed: 500 errors on posts that don't use WP Bakery #3183
* Fixed: Hyperlink in amp pages including emoji - code improved #2967
* Fixed: Errors in AMP social Icons #3033
* Fixed: Code improved to fetch all Categories and tags in Featured Slider [Design -3] #2590
* Fixed: Fatal error on posts with comments present in latest v0.9.97.52 #3191
* Fixed: "View Desktop Version" feature is not working in mobile view #3192
* Fixed: Improved the Extension array code #3206
* Fixed: Fatal error Uncaught TypeError Argument 1 passed to DOMNode::replaceChild() #3203

= 0.9.97.52 (15th May 2019) =
* Added: Gutenberg Compatibility integrated #2427
* Added: Gallery Designs for Gutenberg Gallery #2868
* Added: Gutenburg column support in AMP #2847
* Added: Addthis Sharing option UX re-structured #3114
* Added: Photo Gallery plugin compatibility integrated #1811
* Added: Revolution Slider plugin compatibility integrated #1464
* Added: Posts offset option on category module in AMP Page Builder #2647
* Added: MEWE social network integrated #3020
* Added: Font Size and Color options for Dropcap #3010
* Added: Breadcrumbs feature for pages #2788
* Added: More parameters for ampforwp_get_setting functions #2911
* Fixed: Conditions for PageBuilder and Elementor for Page.php in Swift #3097
* Fixed: Code updated of Infinite Scroll when AMP Newspaper Theme is active #3031
* Fixed: Copy the Content in Custom AMP Editor is not working with Gutenberg #2824
* Fixed: If GTM gets enabled after Enabling the Analytics, then both codes load in the frontend #3121
* Fixed: P tag is missing when "copy the content" option is used in custom AMP editor #3122
* Fixed: When AMP is disabled on Homepagepage ?nonamp=1 redirect to random pages(blog) #2904
* Fixed: Issue with post title and "end point to ?amp" conflict #2991
* Fixed: Unspecified Type in Structured data for catgories/tags #3071
* Fixed: PHP Warning date() expects parameter 2 to be long, string given in #2959
* Fixed: Disquss comment is not scrollable in IOS device #2970
* Fixed: Vkontakte Share(social icon) does not open in a new tab #3089
* Fixed: Condition for requiring a file improved #3080
* Fixed: amp_content() used instead of AMP_Post_Template object in Design [ 1,2 and 3 ] #2700
* Fixed: Hyperlink in amp pages including emoji not working #2967
* Fixed: Unused amp js from amp pages removed #3086
* Fixed: "WP Forms for AMP" setting link is incorrect #3060
* Fixed: Navigation & alternate menu css is not loading when directory plus theme is active #2963
* Fixed: link to non-amp under breadcrumbs when Archives support is off. #2885
* Fixed: AddThis is causing validation error after Update - code updated #3068
* Fixed: Content not rendering on AMP with the Enfold theme version 4.5.6 #3124
* Fixed: Tags are also displaying in category selection in the AMP page builder's category module #3082
* Fixed: Author name won´t show if you disable author bio in swift theme #3131
* Fixed: Link to non amp feature not works for thumbnail in design one and two #3004
* Fixed: Multibyte string links aren't working in AMP Version #2556
* Fixed: Leave Comment link Not working with ?amp #3093
* Fixed: When Sticky Header is enabled then Jump link's Title is getting hidden under the header #2915
* Fixed: Facebook comments not displaying if we add number more than 100 in the number of comments #3032
* Fixed: Featured image and link shared on twitter issues #3075
* Fixed: Infinity Scroll Option is not working when ?amp option is enabled in version beta #2475

= 0.9.97.51.2 (10th May 2019) =
* Fixed: AddThis is causing validation error after Update #3068

= 0.9.97.51.1 (7th May 2019) =
* Fixed: Can’t use function return value in write context #3155
* Fixed: Search results not showing for "Select Categories to Hide AMP" option inHide Amp Bulk Tool #3154

= 0.9.97.51 (7th May 2019) =
* Added: Yoast seo breadcrumbs Support #1473
* Added: Compatibility with UseAnyFont Plugin #2774
* Added: Compatibility with Slide Anything plugin. #2891
* Added: Compatibility with Clyp it iframe embed. #2836
* Added: Compatibility with Lazy Load of Smush and Smush Pro plugin #2990
* Fixed: Logo on the top of the menu shade looks strange. #3046
* Fixed: Fatal error: Class 'AMP_Base_Embed_Handler' not found(Due to mediavine plugin) #3119
* Fixed: Chartbeat Tag Has Incorrect Variables #3017
* Fixed: If AMP page builder is enabled then unnecessary CSS is also integrated #2470
* Fixed: Sidebar Improvement and Option for Pages #2499
* Fixed: “Featured Image from The Content” option should not override the default Set featured image. #2503
* Fixed: Widgets going out of alignments in Design 1,2 and 3 #2553
* Fixed: No message if the search didn't find anything. in Swift #2557
* Fixed: Header with CTA doesn't have the right options and defaults #2567
* Fixed: Need to separate categories & tags with ( / or , ) in AMP theme framework single page. #2580
* Fixed: Indentations are getting removed in lists of ul & ol tags. #2781
* Fixed: When the custom front page has a custom pagination then the AMP pagination returns 404 #2843
* Fixed: Text widget img element are overlapping with banner ads (Below the header) in design 3 #2845
* Fixed: Sidebar option is off, do not show widget area in admin panel #2856
* Fixed: Update Schema for author image #2919
* Fixed: Sidebar Styling is not properly appearing in the Blog Page #2938
* Fixed: 404 issue on custom post type pagination #2937
* Fixed: Notice errors in design-1 sidebar menu when amp menu is unchecked. #2953
* Fixed: Bootstrap min overriding modal body style. #2987
* Fixed: Move infinite scroll settings to a correct place #3007
* Fixed: Add Extension list for the events calendar for amp #3030
* Fixed: Add Extension list for table of content #3040
* Fixed: Strip CSS with i-amphtml- name prefix because its causing validation errors #3009
* Fixed: Need to add an option to delete the saved layouts in pagebuilder. #2801
* Fixed: Category module not working with recent posts from Version 0.9.97.45 #3117
* Fixed: Related posts appearing on the top #3151
* Fixed: Debug error in installation process #3134

= 0.9.97.50.1 (1st May 2019) =
* Fixed: Alignment problem when right sidebar is enable in blog page and there is no featured image in the posts #3057

= 0.9.97.50 (29th April 2019) =
* Added: New Icon of Telegram in all the Designs #2448
* Added: Swift icon and Font awesome icon option added in Design's global section [Swift theme] #2992
* Added: Category option added in Design's single section [Swift theme] #2551
* Added: Yoast author twitter handle compatibility integrated #2133
* Added: New function ampforwp_get_the_ID() created #2867
* Fixed: Facebook comment and Like option gives an error when the bbPress plugin is enabled #3006
* Fixed: When Gutenberg active left sidebar is not visible in page builder modules #2934
* Fixed: AMP preview functionality showing blank in the preview mode #3029
* Fixed: Image floats CSS improved in mobile mode #2525
* Fixed: Related Posts Randomly in Swift theme #2308
* Fixed: Pricing module content is not center in page builder #2921
* Fixed: Background image of the page builder is zooming in IOS devices when the parallax effect is enabled #2844
* Fixed: Footnotes compatibility code updated #2982
* Fixed: Iframe is not loading when Convert AMP to WP theme (Beta) option is enabled [Swift theme] #2628
* Fixed: PHP Warning Undefined variable #3103

= 0.9.97.49 (26th April 2019) =
* Added: Addthis Support integrated #2416
* Added: A3 Lazy Load compatibility #2872
* Added: Add support for AMP Linker #2546
* Fixed: Getting validation Error when using the Ivory Search Plugin #2497
* Fixed: Featured images or article images not showing in latest version #3063
* Fixed: Condition improved for author box hook #2608
* Fixed: After Update all AMP Pages Do Not Load and are Not Validated #3062 [ WP Rocket]
* Fixed: PHP notice Undefined variable wp #3085
* Fixed: PHP notice Undefined variable wp_query #2803
* Fixed: Warning message while on WP customizes #3070
* Fixed: Tag meta name 'viewport' appear more than once when Zox news theme is activate #2971
* Fixed: PHP notice errors after activating amp-woocommerce plugin #3054
* Fixed: Fatal error - can't use function return value in write context #3087
* Fixed: AMP Frontpage: The mandatory tag ‘link rel=canonical’ is missing or incorrect with Rank Math #3061
* Fixed: Fatal error - is_amp_endpoint issue #3055

= 0.9.97.48 (23th April 2019) =
* Added: Meta genertor #2543
* Added: Bridge Qode SEO Compatibility integrated #2538
* Added: Lazy Load of Smush and Smush Pro plugin Compatibility integrated #2990
* Fixed: Validation errors occur when Wordpress Comments Option is enabled #2989
* Fixed: Home page displays latest posts instead of custom page when enfold theme activate #2943
* Fixed: API URL conflict with Mobile redirection #2917
* Fixed: Instant Article fatal error #2968
* Fixed: Undefined index fb-instant-page-id PHP notice #2570
* Fixed: All media queries load in single media query only code updated #2711
* Fixed: Instant Article feed code updated #3018
* Fixed: Space after the "data:image/png" part of the base64 encoded CSS background image #2974
* Fixed: GDPR consent is not working on ios #2876
* Fixed: PHP Errors in latest v0.9.97.46.1 after activation on fresh WP installation #3028
* Fixed: Issue with moblie redirection with non-amp link #3021
* Fixed: Cntr class automatically removed after activating elementor plugin in swift theme #3025
* Fixed: Javascript Console errors after the v0.9.97.47 update #3079

= 0.9.97.47 (19th April 2019) =
* Added: AMP by Automattic Compatibility integrated #2287
* Added: Click Mag WP Theme compatibility integrated #2796
* Added: New filter in contents-module of page builder for raw html #3001
* Fixed: PHP Warning illegal string offset When AMP layout plugin activate #2951
* Fixed: CSS is getting breaked in GoodLife theme #2673
* Fixed: PHP Debug errors in v0.9.97.46 #3011
* Fixed: Fatal error call to undefined method WPSEO_Options #3008
* Fixed: Proper escaping in Alexa Analytics #2984

= 0.9.97.46.1 (10th April 2019) =
* Fixed: Theme framework templates loading multiple times #2977

= 0.9.97.46 (9th April 2019) =
* Added: WP Subtitle compatibility integrated #2831
* Added: New filter in page builder for Enable/disabled check #2998
* Added: Additional Page Builder compatibility added #2643
* Fixed: The tag 'p' is disallowed & auto added as child of tag 'amp-accordion' #2498
* Fixed: Histats Not working #2909
* Fixed: itemprop="image" is being removed from the AMP Pages #2585
* Fixed: CSS pseudo-element not working when minify option is enabled #2907
* Fixed: Directories path code improved, if the plugin is installed outside (/wp-content/plugins) #1531
* Fixed: WP_debug warnings and notices #2958
* Fixed: More than one canonical issue with Rank Math SEO Plugin #2975
* Fixed: Background image or color in the 1st row of page builder is applied to all below row #2994
* Fixed: Rare Distorted image aspect ratio issue with Gutenberg editor #2931
* Fixed: Font family for Content in Single page code improved #2122
* Fixed: Fatal Error due to SEO press plugin #3003
* Fixed: Rare issue with Mobile redirection on Homepage after v0.9.97.32 #2972
* Fixed: PageSpeed Score Improvement for all Designs #2979

= 0.9.97.45 (4th April 2019) =
* Added: SeoPress compatibility integrated #1589
* Added: WP Appbox compatibility integrated #2791
* Added: Infinite Scroll feature integrated. #2682
* Added: Facebook like button added in Sticky Social Share #2186
* Added: Font family for Content in Single page #2122
* Fixed: Custom post type categories not showing in amp pagebuilder #1993
* Fixed: Duplicate SiteNavigationElement issue #2952
* Fixed: AMP Theme Framework Multisite issue #2936
* Fixed: Custom AMP Editor Content is Not rendering when Elementor is activated #2901
* Fixed: Title issue on Homepage with Yoast if we select custom front page #2962

= 0.9.97.44.2 (1st April 2019) =
* Added: Element folder files override in the Design One, Design Two and Design Three for the Child theme #2770
* Added: High-resolution Images [Additional image guidelines] option added in structure data #2259
* Fixed: Hide by default option from bulk tools is not working when amp takeover option is enabled #2832
* Fixed: Space removed while checking in the ampforwp_onesignal_notifications_widget function #2569
* Fixed: Display on User Avatar option #2942
* Fixed: Edit page is getting blank when product module is used #2944
* Fixed: YoastSEO post analysis broke & getting Uncaught TypeError: $ is not a function #2948
* Fixed: Yoast meta data are not renderring correct content for custom homepage #2928
* Fixed: Date format in Swift theme homepage/loop #2965
* Fixed: Published Date Disappear When selecting Horizontal Design in Related Post [swift-theme] #2957

= 0.9.97.44.1 (29th March 2019) =
* Added: Advertisement AMP panel improved #2724
* Fixed: Vuukle AMP integration code updated #2600
* Fixed: Fatal Error with old Plugins manager v1.0 #2976

= 0.9.97.44 (28th March 2019) =
* Added: Captions feature in AMP page builder #2645
* Added: Compatibility with the Youtube Oembed Plyr plugin #1505
* Added: Caption option for gallery/slider module in pagebuilder #2790
* Added: Like & share feature for every image in instant_articles #2764
* Added: Genesis option in SEO settings #2386
* Added: Improved the 'Setup AMP Feature' and 'Welcome to AMP' tabs & Enhance the Support button on AMP panel #2980
* Fixed: AMP Theme Framework getting conflicted #2782
* Fixed: Unwanted code for call-now component is being used #2652
* Fixed: amphtml tag while AMP Takeover option is enabled #2550
* Fixed: Debug warnings after 0.9.97.15 #2532
* Fixed: 'Header design' section in "Header" tab removed when design-1,2 and 3 is active & minor improvements #2978

= 0.9.97.43 (12th March 2019) =
* Fixed: Fallback for Redux classes #2377
* Fixed: Search widget CSS for Design-2 #1400
* Fixed: Navigation Menu CSS for Swift theme #2593

= 0.9.97.42 (11th March 2019) =
* Fixed: Incompatibility with AMP Plugin Manager

= 0.9.97.41 (11th March 2019) =
* Added: Color picker for Footer Area #2320
* Added: Compatibility with WP User Avatar plugin to show the gravatar #2772
* Fixed: Options Panel not showing, says "You are not allowed to access this page" #2377
* Fixed: faster-image libraries not being able to determine dimensions #2692
* Fixed: Changes in endpoint to ?amp, Re-direct " /amp " to " ?amp " #2480
* Fixed: Font style getting change on Custom Front page #2594
* Fixed: When the user is directed to the AMP version of the page it changes the URL slighltly (swaps out characters) #2913

= 0.9.97.40 (9th March 2019) =
* Added: Smooth scrolling for anchors links and jumping links within a page #2062
* Added: Option to Enable/Disable Merriweather font in Design-1
* Fixed: External links are getting skipped #2862
* Fixed: Social Share “LINE” does not show up in swift theme #2641
* Fixed: Checkbox from menu listings in AMP theme framework #2618
* Fixed: PHP Warning undefined index fb-instant-page #2610
* Fixed: Instagram Posts not rendering in AMP #2629
* Fixed: Instant articles Image issue #2929
* Fixed: Default height & width values for amp-img when values are not set #2925

= 0.9.97.39 (5th March 2019) =
* Added: Compatibility with the Author Simple Box Plugin #2268
* Added: Compatibility when short codes are added in AMP widgets #2552
* Added: Compatibility with the footnotes plugin #2447
* Added: ID Support on the AMP PageBuilder #2474
* Added: embedly oembed support in wordpress #1160
* Fixed: Dynamic Classes break issue in AMP PageBuilder #2515
* Fixed: Debug Errors #2627
* Fixed: Custom Front page is breaking in 0.9.97.16 #2589
* Fixed: Date Archive not working with Swift Design #2514
* Fixed: Background video and countdown timer is not showing in divi pagebuilder from core > 0.9.97.19 #2727
* Fixed: Issue with pagebuilder when yoast plugin is active. #2933

= 0.9.97.38 (28th February 2019) =
* Added: The Subtitle in the Facebook Instant Artical(FBIA) using of the Jannah Theme #2746
* Fixed: Space missing in categories list for breadcrumb [Design-3] #2817
* Fixed: Issue with Post Pagination ( Single ) #2624
* Fixed: No match for the query in amp search then it's renderring to non-amp template when amp-takeover is enabled #2681
* Fixed: Full excerpt length in single posts [swift] #2712
* Fixed: Undefined variable warning in class-amp-img-sanitizer.php #2848

= 0.9.97.37 (23th February 2019) =
* Added: Static page template in AMP #2614 + #2900
* Fixed: Font size and other values are properly sanitizing #2898
* Fixed: Failed to parse script tag contents #2884
* Fixed: PHP Notices after the v0.9.97.32 #2879
* Fixed: oembed wordpress post renders as a full post in AMP #2003
* Fixed: Gallery/Slider of AMP pagebuilder not working
* Fixed: class are repeating number of times when image (icon) added in .svg format #2893
* Fixed: Debug warnings with WPML #2899
* Fixed: Issue with yoast content reading while amp pagebuilder image module selected #2910

= 0.9.97.36 (19th February 2019) =
* Added: Mobile and tablets Detects separately for 'Mobile Redirection' option #2436
* Added: Scrolling bar for swift theme in chrome browser #2593
* Added: CSS condition when element markup is visible #2753
* Fixed: Pre tags not rendering properly on pages #2823
* Fixed: Logo resize should only apply when Resize setting is enable #2544
* Fixed: When /?amp is enabled "Visit AMP" is redirecting to dashboard #2363
* Fixed: ampforwp_wc_shortcode_title is loading globally #2756
* Fixed: Extra CSS is causing validation error of 50kb #2592
* Fixed: PHP warning issue in latest version of php #2895
* Fixed: Yoast analysis is giving false readings for the SEO When AMPforWP Pagebuilder is enabled #2435

= 0.9.97.35 (16th February 2019) =
* Added: Levelup Compatability #2718
* Added: "Align Justify" Option in Page builder's text module #2665
* Added: Default value for Swift Color Scheme #2793
* Fixed: ampforwp prefix in the analytics function #2886 #2890
* Fixed: "Below the Footer" ads option showing above and below the footer #2778
* Fixed: Debug error undefined index comments #2887

= 0.9.97.34 (14th February 2019) =
* Fixed: Backward Compatibility for Yoast and All in One SEO options #2894

= 0.9.97.33 (13th February 2019) =
* Fixed: Style sanitizer code updated #2387
* Fixed: UTM Parameters when Mobile Redirection is enabled #2854
* Fixed: ?nonamp=1 is not working properly #1947 & #2537
* Fixed: All media queries load in single media query only #2711
* Fixed: 'Hide AMP option' is not working when AMP take over is enabled #2880
* Fixed: Swift Hover Color Changes #2751
* Fixed: Google Font is not getting saved #2839
* Fixed: Sidebar CSS condition code fixed #2757
* Fixed: Performance improvement for ampforwp_stylesheet_file_insertion #2873

= 0.9.97.32 (8th February 2019) =
* Added: Rank Math SEO compatibility integrated #2701 & #2736
* Added: New filter "ampforwp_modify_thumb_url_array" to modify the thumbnail #2739
* Fixed: 'Call Button Color' option not working - code updated #2820
* Fixed: Validation error when uploading YouTube video in Comments #2827
* Fixed: When Mobile Redirection option is enabled then, fr (language symbol) is removed from the URL. #2721
* Fixed: Category Module from Page Builder not displaying #2870
* Fixed: The homepage displays the title of the first post in All in one SEO #2865
* Fixed: Title mismatch in some posts with Yoast #2871

= 0.9.97.31 (4th February 2019) =
* Added: Subtitles plugin Compatibility #2853
* Added: Created an option for Id's for all the modules and column in AMP Page builder #2730
* Fixed: All the Images are Adding AMP at the End of their URL #2391
* Fixed: When nextpage pagination is added, URL in is rendering /2?amp=1 #2767 #2766
* Fixed: Comments Issues #2755
* Fixed: The gutenberg button doesn't work in amp #2707
* Fixed: Button Module color is not getting changed #2745
* Fixed: Issue with amp menu converting & ASCII code to X #2855
* Fixed: 'Call Button Color' option not working #2820
* Fixed: Error: The attribute 'alt' may not appear in tag 'a' #2837
* Fixed: Captions are not working in Gallery #2576

= 0.9.97.30 (2nd February 2019) =
* Fixed: Wrong title on the archive pages #2864
* Fixed: data-loading-strategy attribute is double quoted #2863

= 0.9.97.29 (31st January 2019) =
* Fixed: Validation error due to Search Widget #2858
* Fixed: Issue after upgrading analytics code #2859
* Fixed: amp-animation error in amp theme framework and tech blogging amp theme #2819
* Fixed: Blog title is displaying on Homepage when static front page is selected in All in one SEO & Yoast - code updated #2816
* Fixed: Search Console Crawl Errors ?nonamp=1/ is listed in Access denied #2760

= 0.9.97.28 (29th January 2019) =
* Added: Lightbox feature for Carousel #2731
* Added: Specific filters to modify the analytics code #2653
* Fixed: Homepage Blog CSS is loading on the custom frontpage in swift theme #2754
* Fixed: Reset all & Reset section issue for redux framework #2722
* Fixed: Transable redux fields for other plugins like wpml #2737
* Fixed: Proper condition for Ads css #2758
* Fixed: Jetpack stats pixel inserted twice since Jetpack v6.9 #2812
* Fixed: AMP pagebuilder full width for posts #2765
* Fixed: Undefined “non-content” in blacklist-sanitizer #2842
* Fixed: Blog title is displaying on Homepage when static front page is selected in All in one SEO & Yoast #2816

= 0.9.97.27 (23rd January 2019) =
* Added: ampforwp_is_amp_endpoint_takeover filter added
* Fixed: The attribute 'action' may not appear in tag 'FORM [method=POST]' #2835
* Fixed: Image size smaller than recommended size Warning in Search console #2838

= 0.9.97.26 (21st January 2019) =
* Added: Improve the Extension array code #2822
* Fixed: WP_Widget_Text conflict after v0.9.97.24 #2821

= 0.9.97.25 (17th January 2019) =
* Added: Help message for background video of column setting of Page Builder #2716
* Added: Review option in plugins page #2715
* Added: Excerpt length option in Category module of Page Builder #2733
* Added: Font Performance with font-display #2743
* Added: Custom template for front-page & home-page #2714
* Fixed: AMP Footer sidebar is not working in master #2800
* Fixed: <i> tag not working in Title #2804
* Fixed: alt attribute of <img> tag is not working when the image is inside the <a> tag #2617
* Fixed: Remove the unnecessary code for '404 error' text in amp translation panel #2738
* Fixed: Subtitle issue using with Jannah theme #2732
* Fixed: Proper names given for AMP Widgets #2797
* Fixed: Notice: Undefined index: hide-amp-tags-bulk-option2 and Undefined variable: inline_related_posts in features.php on line 4698 & 5546 #2795
* Fixed: Quality of 'featured image slider' in Design3 #2779
* Fixed: Embed Twits with twitter links #2798
* Fixed: /amp in the telephone link when 'Change Internal Links to AMP' option enabled #2742
* Fixed: Position of social sharing buttons 'above content' on pages #2809
* Fixed: lang attribute in HTML tag #2808
* Fixed: In footer, 'View non-AMP pages' is repeated twice when 'back to top link' option is enabled #2807

= 0.9.97.24 (9th January 2019) =
* Added: Compatibility with new and all default WP widgets #1400
* Fixed: Performance issue #2762
* Fixed: Need to add amp endpoint filter #2761
* Fixed: When Hide AMP Option is enabled in PageEditor with Convert AMP to WP theme (Beta) enabled it's providing output as AMP Page #2735
* Fixed: Whenever an image inserted, has width="100%" and height="100%", its giving Validation error. #2748
* Fixed: Custom post type is showing a blank page in the swift theme #2512
* Fixed: Whenever Responsive AD is enabled then the AD should load on the screen without any effect to the normal mode AD in D1,2,3, and Swift #2531
* Fixed: When Convert AMP to WP theme (Beta) is enabled GDPR popup isn't closing #2763
* Fixed: If twitter embed code is added then other blockquotes tag are not working #2750
* Fixed: Custom post type is showing a blank page in the swift theme #2512
* Fixed: Conflict with the Schema and Structure data plugin #2777
* Fixed: In the swift theme the Sticky social icons overlaps #2601
* Fixed: " Top " Button functionality to be improved. #2529
* Fixed: Drop down icon appearing twice #2785
* Fixed: Custom front page Meta description and content are not rendering for ALL in SEO plugin. #2702
* Fixed: Hover color is not appearing properly #2787

= 0.9.97.23 (18th December 2018) =
* Fixed: Sub menu items and arrows are not functioning in publisher theme. #2672
* Fixed: Fatal error when Polylang(Core) is activated. #2657
* Fixed: Improve coding in amp-page-builder.php #2725
* Fixed: Escaping not done properly #2723
* Fixed: Serialization problem with AMP settings data. #2717
* Fixed: Whenever Convert AMP to WP theme (Beta) option is enabled Logo Image is being stretched. #2726

= 0.9.97.22 (6th December 2018) =
* Added: Total Plus theme compatibility #2511
* Added: Allow SVG format Logo in AMP #2431
* Fixed: Vuukle AMP integration #2600
* Fixed: "Change Internal Links to AMP" not working properly for anchor tags (internal links) #2562
* Fixed: Secondary menu color is not outputting the value in latest update #2680
* Fixed: The instagram embed code is not working in facebook instant article in the AMP. #2523
* Fixed: FTP Link being generated in Non-AMP but not in AMP #2477
* Fixed: Videos aren't rendering whenever Convert AMP to WP theme (Beta) is enabled #2501
* Fixed: More debug errors #2513
* Fixed: Comments closed not looking good in Swift theme #2542
* Fixed: Excerpt Option is not Working. #2509
* Fixed: Image of Design 3 and Swift are same in Installation wizard #2540
* Fixed: AMP renders with ?q after the /amp #2361
* Fixed: Tables overflow in swift theme when adding the tables to the site [TEST + ALT solution] #2392 
* Fixed: Unable Access the Wp-admin page when Amp takeover option is Enabled. #2476
* Fixed: Latest post title is displaying in the AMP homepage instead of site title #2419
* Fixed: AMP menu is not working when Jetpack Mobile theme option is enabled #2584
* Fixed: Link to Non-AMP page in Footer points to 404 #2586
* Fixed: Debug warnings in error logs #2367
* Fixed: The AMP for WP plugin(Version 0.9.97.20) bug are notice-error :undefine index and Unused code. #2687
* Fixed: Improvements in AMP page builder code #2471
* Fixed: Table class is getting removed in AMP pages. #2699
* Fixed: Pagination is not working when AMP Takeover is enabled #2686
* Fixed: The featured slider is not displaying properly images using the Firefox browser with the design 3 theme. #2677
* Fixed: Icons for AMP Stories and Shortcode Ultimate #2598
* Fixed: Images are stretched whenever Convert AMP to WP theme (Beta) Option is enabled. #2694
* Fixed: Vertical words in table on mobile #2606
* Fixed: PageBulider getting following notices in old module #2305
* Fixed: Export option of page builder is not working in latest version #2709
* Fixed: Remove the span tag in all 404.php files of the 4 designs #2704
* Fixed: Wrong escaping done for default value for Google Analytics #2697
* Fixed: Re-modification of single settings option panel when newspaper theme activated #2706

= 0.9.97.21 (21st November 2018) =
* Fixed: Sanitation of user contents before save #2679
* Fixed: Menu is Not working in Minimal Blogging theme (0.9.97.20) #2667
* Fixed: Author bio not showing proper link #2674
* Fixed: HTML not being rendered on cookie consent notifications #2671
* Fixed: Telephone link not working

= 0.9.97.20 (29th October 2018) =
* Fixed: Plugin Vulnerability #2650

= 0.9.97.19 (4th October 2018) =
* Fixed: Tables overflow not working in swift theme #2392
* Fixed: Null check added to fix null reference exception #2526
* Fixed: Minor Bug related with menu #2612

= 0.9.97.18 (29th September 2018) =
* Fixed: Minor Bug related with menu

= 0.9.97.17 (28th September 2018) = 
* Added: Featured Slider "Tag" support #954
* Added: Marfeel plugin is blocking Internal pages of AMP and rendering 503 error #2423
* Fixed: Dropdown Menu arrows not working properly in Swift #2148
* Fixed: Wrong implementation of load_plugin_textdomain function #2408
* Fixed: Page Float to right and showing menu content when page scroll horizontally in iPhone device #2434
* Fixed: Internal Link Option is not Working in beta #2443
* Fixed: Missing conditional tag for get_the_tags() causing "Invalid argument supplied for foreach()" error #2456
* Fixed: Need to make a space in meta information and published date is not getting translated #2411
* Fixed: Meta og:title and description tag are Not completely Reflecting #2454
* Fixed: Images are not aligned center when published with Gutenberg Editor #2462
* Fixed: Anchor Tag is not working because there is a space in between link #2465
* Fixed: Fix social shares icons #2467
* Fixed: Debug errors in beta #2472
* Fixed: homepage is getting blank when "Convert To WP" is enable only for posts #2493
* Fixed: wrong amphtml URL generating for WPML #2573

= 0.9.97.16 (19th September 2018) = 
* Added: 3 Types of Gallery designs #1968
* Added: New Section to show 'change log' on Welcome Page #1753
* Added: Allow HTML in footer section of translation panel in design 3 #1950
* Added: Need to make the compatibility with The Voux theme #2263
* Fixed: Special character "|" breaking the url in the twitter share #2264
* Added: Read more button for post on blog page #2273
* Fixed: Category Labels are Clickable on Swift Homepage even Archive support is off #2279
* Fixed: Above Loop and Below Loop Sidebar Widget area is not connected with Swift theme #2280
* Fixed: Aq_Resize.process() errors for images hosted on CDN #2285
* Fixed: Convert to WP Option is displayed in Swift Theme, but not in Design 3. #2291
* Fixed: Need to have only one text-domain in the string of the plugin #2292
* Fixed: Bug in Facebook comments. #2300
* Added: Beta Testing link in the Options panel #2302
* Added: "X" button in the menu of D3 #2294
* Fixed: AMP Take over is applying even on product when this option is enabled only for posts. #2304
* Fixed: The Option Facebook App ID not necessary in the social icons of AMP panel when using Swift #2384
* Fixed: Embeds not working in Archive Description #2402
* Fixed: Spurious spaces in Footers #2521
* Fixed: Additional spaces Pagination div on article posts #2522

= 0.9.97.15 (13th September 2018) = 
* Fixed: Pagination is not working on date archive #2289
* Added: Options to show Social Icons in different places in Swift #1722 
* Fixed: Localization string for "% days ago" not working for non-Latin languages #1491
* Added: Social Share by Supsystic Compatibility #1509
* Fixed: Duplicate h1 tags in Design One #1522
* Added: 3 Appearance option for Related Posts in Swift theme #1545
* Fixed: RTL not working with Footer properly #1655
* Fixed: Proper implementation of the property of all in one SEO pro to avoid fatal error #2500
* Fixed: Notice: Undefined index: extension in thirdparty-compatibility.php on line 401 - 406 #2496
* Fixed: Wrong url in Non-Amp Version link on blog posts page and category archives #2424
* Fixed: The Consent.php path is getting index in Webmaster tool #2518
* Added: Option to add custom things in Instant Articles #1089
* Added: Show/hide Instant Article on specific posts #1297
* Added: Facebook Instant Articles (FBIA) Crawler Ingestion (ia:markup_url) tag #1474
* Added: Facebook Instant Articles Meta Tag #1486
* Added: Related posts for instant articles #1634
* Added: Option to remove Author info from Instant Articles  #1483
* Added: Facebook Instant Articles in each Catagory #1524
* Added: Custom Facebook Instant Articles Ad option #1475
* Fixed: Pagination not working after changing the pagination base #1485
* Added: Breadcrumb with tag #1305 
* Fixed: Enabled WordPress Comments by default #1501

= 0.9.97.14 (4th September 2018) =
* Added: Adobe Analytics Support #887
* Fixed: Same Icons loading for some extensions #2172
* Fixed: Removed extra spacing from "Back to top" text #2349
* Fixed: Retina featured images support for Homepage and archive loop images #2334
* Fixed: When WooCommerce Product Slider is Installed, the Picture of Icons are not loading #2325
* Added: Customizr Theme Lazy Loading compatibility #2322
* Fixed: "Save Module" button of AMP page Builder not displaying in OSX and in Safari #1943
* Fixed: Sort Related Posts Randomly Not Working in Swift theme #2308
* Added: Need to create a tutorial of How to Enter your Audience Network Placement ID of advertisement in the Instant Article #1723 
* Fixed: Retina Images option Improvement-II #2296
* Fixed: Disable the look or check of redux framework #2293
* Fixed: With Redux core plugin, AMP option panel design not loading #2258
* Fixed: Issues with pagination #2253
* Added: Thrive Architect Compatible #1575
* Fixed: Notice Undefined variable categories_array #2486
* Fixed: Need to add upscale parameter in-line related posts #2488
* Fixed: Getting the warnings in error log due to global variable, not present #2395
* Fixed: Google Analytic issue while setting up Run Installation wizard #2491
* Added: Read more button AKA Content Sneak Peek feature for post #2246
* Added: Showing related items/post in after nth paragraph #2246

= 0.9.97.13 (28th August 2018) =
* Fixed: Fatal error in `ampforwp_related_post_loop_query()`

= 0.9.97.12 (27th August 2018) =
* Fixed: Quote runs only in block post not on pages #2399
* Added: Create a Sidebar option that can be used as global Sidebar #2388
* Fixed: words are breaking and not readable #2441
* Fixed: Text is breaking into next line while there is no space between the text in custom AMP Editor #2270
* Fixed: IP Anonymization #2421
* Added: Setka Editor Compatibility #2468
* Fixed: In swift theme, when user ads the ad Above the Related Posts (Single Post); the content doesn't display #2311 and #2318
* Added: Toggle controls are now accessible #1691
* Added: Global Sidebar is now Connected with AMP Pagebuilder #2371
* Fixed: #amp-user-notification1 Styling was loading even when disabled from option panel in swift #2400
* Fixed: Remove the empty `@media{}` css generated by Pagebuilder #2473
* Fixed: Blank Lines in HTML Source code #2445
* Fixed: Optimize AMP pages on Google Lighthouse #2082
* Fixed: RSS Feed is not working when AMP Takeover is enabled #2309

= 0.9.97.11 (21th August 2018) =
* Minor Update

= 0.9.97.10 (18th August 2018) =
* Fixed: Homepage build with AMP PageBuilder is displaying only when the checkbox of the Custom AMP editor is enabled #2350
* Added: Created a new function to get the settings instead of calling it directly from global $redux_builder_amp everytime. `ampforwp_get_setting` created #2177
* Fixed: Comments and share not loading on pages only in swift #2401
* Fixed: Back to Top link not working in Swift Design #2404
* Added: Ads Below the Author Area in Swift theme #2455
* Fixed: AMP should remove spaces from GTM ID automatically #2413
* Fixed: Some Posts are not displaying in Blog page even when AMP is enabled from Post settings #2375
* Fixed: Wrong AMPHTML when using static page as blog using custom-code/pagebuilder from reading settings #2396
* Added: Add paginations meta tags #2343
* Fixed: Updated the code of AMP renders with ?q after the /amp #2361
* Added: Add support for Relevanssi search #2307
* Added: Show index/noindex label when enabling the options in SEO Settings #2290
* Added: Add AMP consent in AMP Theme Framework #2440
* Added: Created a component called `AMP-geo` so anyone can use it in thier AMP theme #2440

= 0.9.97.9 (1st August 2018) =
* Minor Improvements

= 0.9.97.8 (24th July 2018) =
* Fixed: AMP renders with ?q after the /amp #2361
* Fixed: iThemes Sync can not connect to the site. #2380
* Fixed: H1 to H6 styling is not reflecting in the Swift theme #2383
* Fixed: Underline on Links function is not working. #2372
* Fixed: WordPress Admin Color Scheme not applying #2390
* Fixed: Breadcrumbs are not disabling when the sidebar template is selected #2376
* Fixed: All the Images are Adding AMP at the End of their URL. #2391

= 0.9.97.7 (18th July 2018) =
* Fixed: PageBuilder not loading on frontpage #2360
* Fixed: 500 error on somepages due to open wp_query by other plugins
* Fixed: License key reupdating #2261 
* Fixed: AMP renders with ?q after the /amp #2361

= 0.9.97.6 (14th July 2018) =
* Fixed: Error and Warning on Structured Data for Logo. #2360
* Fixed: Category Bulk tool breaking meta boxes #2335

= 0.9.97.5 (11th July 2018) =
* Fixed: Title disappearing in Design 1,2,3 when legacy pagebuilder is enabled #2341
* Fixed: ld+json getting a broken when special characters are added in the image. #2346
* Fixed: Hide by Category Breaking post metabox #2330
* Fixed: Hiding excerpt when global $redux_builder_amp is empty #2330
* Fixed: When Google Tag Manager is enabled, only Google Analytics should get disabled but not other analytics. #2340

= 0.9.97.4 (09th July 2018) =
* Fixed: Huge Performance upgrade in the way fetching the logo url #2317
* Fixed: Fatal Error due to unable to modify values in Structured Data Object #2327
* Fixed: Seperate option for Featured Image in pages in Swift theme #2328
* Fixed: `<p>` tags disabling where not wanted #2330
* Fixed: Fatal error in contact form module while ninja form or gravity form plugins are not activated #2310
* Fixed: Woo Commerce Category page not working properly #2333
* Fixed: Few issues related to amp-facebook-comments #2300
* Fixed: Limit number of Tags and Category to 500 in Hide AMP-Bulk tools #2336

= 0.9.97 (27th June 2018) =
* For more details check out [the blog post](https://ampforwp.com/0-9-97-released-strengthening-of-foundation-89th-update/)
* Fixed: Extraposition attribute left in CSS Design #2 #2119
* Fixed: Non-AMP header link not working #2109
* Added: Create an Ad Above the Post Content #2155
* Fixed: "AGO" text was not translatable #2158
* Added: Filter created `ampforwp_header_url` to modify logo url #2141
* Fixed: Removing the text "amp" in footer view non-amp-link #2158
* Added: Compatibility WP user Avatar plugin added #2011
* Fixed: Design 2 - meta info producing a block of empty HTML #1969 #1954
* Added: Pocket and Hatena Bookmark social share buttons Added #1652
* Fixed: External Links are appended with "amp" at the end of the url in content. #2174
* Fixed: Some Issues Found in Design #3 #2130
* Fixed: ScoopVersion: 1.4 By boostdevelopers theme displaying the error only in the category #1683
* Fixed: Page featured Image is not displaying in the Swift theme #2136
* Fixed: Dropcap breaking the youtube embed code #2157
* Fixed: Bulk hide by default option is requires Permalinks to be saved #2145
* Fixed: Fully compatibility with muffin page builder #2180
* Fixed: Incontent Related Post Issues #2078
* Fixed: Search page should not have AMP version of the page and not in search result #2191
* Added: Control added to modify Retina Images resolutions #2099
* Added: Created an option to duplicate a page builder element #1986
* Added: Image Caption is not displaying below the Image in design 1,2,3 #2101
* Fixed: Post pagination not working properly in D1, D2 and D3 #2168 #2243
* Fixed: Auto re-save permalink if the options in reading setting page get changed #2190
* Fixed: Leave a comment not looking good in Swift theme #2150
* Added: Social icons for pages. #2162
* Added: Create an option to pull canonical from Yoast #2118
* Added: Full Support for All in one SEO #1720
* Fixed: Single with sidebar CSS should only load if that layout type is selected #2091
* Fixed: Required Filed is not working in the Repeater in Page builder #2217
* Fixed: alt in `<div>` causing validation errors. #2093
* Added: Drop Down Menu Support in Swift Header Menu #2095
* Added: Parallax Setting Added in PageBuilder #2095
* Added: Multiple Layout Settings added in Feature Module in Page Builder #2095
* Added: Add the option changing the sliding speed of slider in "Slider module" of AMP Page Builder #2218
* Added: Created an option Related Post link in non amp #2201
* Fixed: Removed Jannah LazyLoad on AMP Mode #2224
* Fixed: Custom post types with custom taxonomy not working in AMP #2209
* Fixed: frontpage and homepage not working properly AMP take over #2153 #2277
* Added: Button field created in Feature module #2068
* Added: Excerpt should also work on homepage and categories page #2176
* Fixed: Options panel breaks in when RTL in WP Dashboard #2176
* Fixed: Featured image from Custom fields in page builder Category module #2237
* Added: Forms Module Support added in PageBuilder #2221
* Fixed: Paginated AMP URL on the category are opening to 404-page #2233
* Fixed: Ads not displaying properly in RTL #2227 #2138
* Fixed: single quotation (') in text module breaking AMP page builder #1940
* Added: Filter created to modify `ampforwp_loop_image_update` image arguments in components of AMP theme framework #2057
* Added: Option to change the locale of Facebook comments #2127
* Added: Search option in options panel #2088
* Fixed: Accordion not working when the user enters some data in Description with HTML Tags #2088 #2097
* Fixed: Internal links now working with ?amp=1 #2204
* Fixed: UTM Parameters not working properly with AMP #2223
* Fixed: Multiple Slider module of AMP Page builder not working #2090
* Fixed: Hide AMP by categories option should hide by default in the backend of that specific post #2112
* Added: IP Anonymization in Google analytics #2135
* Fixed: Improvement in the styling of AMP option panel #2102
* Added: Added new fonts control for Content in Single page #2122
* Fixed: Legacy page builder button styling is not loading properly #2036
* Added: Filter added so we can disable Comments on specific pages `ampforwp_comments_visibility` #2170 
* Fixed: Improvement in Excerpt on small screen option #2034
* Added: Comments on Pages #2229
* Fixed: Pagination not working for some websites #2241
* Fixed: "Menu" option in Footer connected with Swift #2146
* Added: Wistia Support #1875
* Added: Add option in page builder to give the specific name to all modules #2251
* Added: Compatibility with Muffin Builder #2137
* Fixed: AMPforWP Option panel styles are overriding other theme's options panel if both use Redux Framework #2121
* Fixed: AMPforWP Option panel styles are overriding other theme's options panel if both use Redux Framework #2121 
* Added: Render all the AMP Components added in Post Editor #2216 #2228
* Fixed: "Gap" Module of ThemeCo breaking the AMP pages #2220
* Added: Search widget compatibility #2143
* Added: Advertisement Module created in AMP Pagebuilder #2131
* Fixed: Performance issue with the function `ampforwp_get_comments_gravatar` #2234
* Fixed: Empty the amp pages, when the Clearfy HTML compress is enabled #2110
* Fixed: The attribute 'value' appearing in tag 'a' throwing the validation error #2262
* Fixed: Versioning of Styles and Scripts of redux-core #2126
* Added: Related Posts based on X days #2132 
* Fixed: Warning in custom-sanitizer.php #2173
* Added: vuukle comment support #2075 
* Fixed: Facebook Comment should not appear on the Checkout page, Add to cart page, or shop page #2170
* Added: SpotIM comment support #2075 
* Added: Additional Controls added in Design3 Featured slider #2222 
* Fixed: Username in AMP Option panel color was too light #2266
* Added: Settings created to modify H1 to H6 #2059
* Fixed: AMP_QUERY_VAR debug issue #2265 
* Added: Custom page template in AMP #1923 
* Fixed: Comments Button is not displaying in Design #3 #2163
* Added: Ability to add Forms Shortcodes in footer Widgets #2226
* Added: Option to add rel="nofollow" in AMP page builder button module #2239
* Added: Background video option in amp page builder #2195
* Fixed: Drop Down Menu Support in Swift Header Menu #2095
* Fixed: Yoast Description not getting added in AMP #2159
* Fixed: Improvement in styling of AMP option panel #2102
* Fixed: Hide AMP Bulk Tools Improvements #1867
* Added: Compatibility with the Relevanssi Plugin #1503

= 0.9.96 (2nd June 2018) =
* Added: Fully GDPR Compliance
* Fixed: GTM not working

= 0.9.86.1 (8th May 2018) =
* A bug causing validation issues has been resolved.

= 0.9.86 (3rd May 2018) =
* For more detials check out [this blog post](https://ampforwp.com/0-9-86-released-getting-ready-for-future-87th-update/)
* Added: GDPR Compliancy #2040
* Added: Muffin Page Builder Compatibility #1455 #1893
* Added: Thrive leads compatibility #2067
* Fixed: Load structured markup json in Footer to improve performance #1945 
* Added: Font Size and Font Family Controls added in Content Presentation Module #1962
* Added: Font Weight Control added in Text Module in PageBuilder #1962
* Added: Other necessary controls added in Content Presentation Module #1962
* Added: New Design called "Design 4" added in Content Presentation Module. #1962
* Fixed: License Activation process connected with AMP extensions #1981
* Added: Icon Selector control added in Button module in AMP Page Builder #1962
* Added: Filter called `ampforwp_get_comments_gravatar` to modify Author Avatar Images #1949
* Fixed: Validation error fixed by removing json+ld values to remove CDATA #1977
* Added: Icon Adjustment Option is added in the Button Module #1962 
* Fixed: Debug Warnings fixed #1976
* Fixed: If AMP support on post and page is disabled then mobile redirection was not working #1979
* Fixed: Responsive element added in Image Module #1962
* Fixed: Custom Post and Custom Taxonomies Archives not working in AMP #1957
* Fixed: AMP take over is on and  AMP support on the home page is disabled it was redirecting to some other pages #1994
* Fixed: Design 1 and Design 2 shouldn't show 'social' tab #1996
* Added: AMP WordPress Theme notice
* Added: Rewrite Rules Added for WooCommerece #1957
* Fixed: AMP Takeover blog search results giving blank page #1990
* Fixed: Swift pagination markup is present even the page has no pagination #2000
* Fixed: Pagination breaking on second page on Archives when Blog page is not set #1998
* Fixed: Added proper Google API jump link #1966
* Fixed: Advance Index and no-index controls did not had description #1978
* Added: Filter added `amp_blacklisted_tags` in blacklist-sanitizer file
* Added: Hyperlink for image module added #1989 
* Added: `ampforwp_get_frontpage_id` a common fucntion created to get post id for AMP frontpage #2025
* Fixed: Comments controls were not working properly #1987
* Fixed: Fatal Error after updating the plugin from 0.9.73 to 0.9.83 version #2017 
* Fixed: Filter created `ampforwp_modify_rel_url`  to modify rel canonical URL #2012
* Fixed: Remove structured data json if removed from AMP options panel
* Fixed: amp widget appearing twice in design one #2008
* Fixed: Gif in content + Lightbox feature throws validation issue. #2032
* Added: New Features in the Page builder Modules #2029
* Fixed: License Key was not working properly #2026
* Fixed: Instagram comment view is getting cut off in Swift Theme #2002 
* Added: Icon module support added in Desgin 1, 2 & 3 #1997
* Fixed: if GD or ImageMagick library is not present in the server then send the original image #2037 #2038
* Fixed: Swift theme homepage (Non-AMP) image resizing issues in Mobile version #1992
* Fixed: Header Element not working in Swift theme #1967
* Fixed: Stop Loading of Latest post scripts on Homepage and Frontpage #2041 
* Added: Filter created `ampforwp_non_amp_links()` so users can have all the internal links non-amp #1973 
* Fixed: Sanitize the archive description in loop component #1974
* Fixed: Double AMPHTML when FBIA Plugin is active #2043 
* Fixed: Image Div is loading even if the image is not present in Swift #2033
* Fixed: Custom AMP editor is visible on pages (post type) even if the Page Support is off from amp options panel #2047
* Fixed: When 'Structure Data for WP' plugin active, Schema type in Structure section should hide #2049
* Fixed: Bugs in Video Module in AMP pagebuilder #2048
* Added: Autoplay feature added in Video Module #2048
* Fixed: Throwing error when Product Structured Data is selected #1975
* Fixed: Advanced CSS is not loading because the files are with hosting path #2046
* Fixed: Double Quotes breaking the html #2004
* Removed: Blog option is removed from AMP Options panel and it is connected with Pages option Under Reading Settings #2027
* Fixed: amphtml should not be created for 404 pages #2018
* Added: 404 Template added, useful for AMP Takeover #2042
* Fixed: Genesis meta titles are lost and not rendering correctly #2050
* Fixed: Search blank on AMP Takeover #1990
* Fixed: Remove Unused js files from Paginated Post Pages #2001
* Fixed: Extra Space adding in H1 and other SEO tags #2054
* Fixed: Undefined Index when called from robot #1960
* Fixed: amp facebook comment Js not loading to the custom front page of the swift theme. #2053
* Fixed: Tags label is not working properly when RTL Support on #1719
* Fixed: View Non-AMP Version In the footer link has an error #2066
* Fixed: Squirrly SEO is Adding the Javascript code in AMP #1696
* Fixed: Translation option issue when using POT file method #1941
* Fixed: amp-facebook-like extension is missing on Custom Frontpage #2061
* Fixed: GTM option repositioned #2056
* Fixed: Menu is appearing on left side instead of Right side when RTL support is ON for Design3 #1928
* Fixed: Sidebar Bugs #1972
* Added: Table Styling in Swift #1961
* Fixed: Genesis index, follow options not being rendered #2071
* Added: Filter created `ampforwp_robots_meta` to modify robots meta information #2071 
* Fixed: PHP Notices #2065
* Added: Add a new hook `ampforwp_after_amp_menu` after the menu in all designs #2072
* Added: New Look to Options panel #1823
* Added: Retina Image Support added #1846
* Fixed: Pagebuilder hrefs were stripped in hebrew language #2089
* Fixed: Warning Fixed #2083
* Fixed: Gallery module images not loading in Firefox #1980
* Fixed: Pagebuilder Improvement #2024

= 0.9.85.5 (21st April 2018) =
* Added: Filter added to modify frontpage post id `ampforwp_modify_frontpage_id` 
* Added: Filter added to modify amp template directory `ampforwp_template_locate` #1982
* Other minor bugs fixed

= 0.9.85.3 (12th April 2018) =
* Added: Custom Post type Archive Page support #1995
* Fixed: AMP TakeOver redirection issues #1994
* Fixed: Debug errors #1976
* Fixed: Social Profile pages were hidden for Design 1 to 3 #1996
* Fixed: Structured Data insertion was adding CData causing validation error #1999

= 0.9.85.2 =
* Minor Bugs fixed 

= 0.9.85.1 =
* Minor Bugs fixed 

= 0.9.85 (3rd April 2018) =
* For more detials check out [this blog post](https://ampforwp.com/0-9-85-released-stability-update-86th-update/)
* Fixed: Fatal error: Allowed memory size on FrontPage #1865
* Fixed: Proper Parameters for Pinterest Sharing #1853
* Added: Extra settings added in Button Module 
* Added: Extra settings added in Text Module 
* Fixed: Proper Parameters for Pinterest Sharing
* Fixed: Unwanted fields are removed form the Repeater in Button module
* Added: Enable/disable option added Related Posts #1829 
* Fixed: Legacy PageBuilder option Repositioned #1851
* Fixed: Display the img tag only if source is present #1869
* Fixed: Huge design improvements in Swift theme #1818
* Added: Hook for Between Related Post is Added #1874
* Added: Blurb module text size and background color added
* Fixed: Comments Pagination issues #1816
* Added: Counter Module added
* Fixed: Date 48 years ago #1864 #1876 
* Added: Ability to pass post id in amp_content() #1872
* Fixed: Changed the way images we fetched in WooWidget #1847 
* Fixed: Changed the position of layout in Pagebuilder #1873
* Added: Pricing Module
* Fixed: Changed the position of layout in Pagebuilder #1873
* Fixed: amp_aq_resizer was not able to process the outside url #1881
* Fixed: Advanced Google Analytics improvements #1630 #1860 
* Added: Field Added For ON & OFF in Page builder #1870 
* Fixed: Two paginations in search pages in Swift theme #1855
* Fixed: Extra Div if categories not available #1856
* Fixed: removed debuged tags #1870
* Fixed: Published date connected with AMP options Panel #1888 
* Added: Featured Image option in Swift #1889 
* Added: Separate Blog settings #1887 
* Fixed: single post ads should not load on pages #1896
* Fixed: Ads should not load on FrontPage if PageBuilder is enabled #1885
* Fixed: Background Image Support for the Columns #1871
* Added: Blockquotes design for Swift #1894
* Added: Co-Authors Plus compatibility #1895
* Added: pagebuilder for custom post types #1884
* Added: Border option is connected to options panel #1818
* Added: Responsive AD unit support #1852
* Added: Sub category arrow symbol is added in Swift theme #1818
* Added: Search text color is connected to options panel #1818
* Fixed: Removed notice when no posttype selected #1884
* Added: Ability to overwrite page template the WordPress way like front-page.php and page-{id}.php  #1902
* Added: Ability to overwrite author page template the WordPress way like author.php and author author-name.php  #1902
* Added: Lightbox Support for the images #1892
* Fixed: No mobile redirection when Dev mode is enabled #1907
* Added: Option to hide Author name in Swift #1890 
* Fixed: Script facebook-comments should not load for Frontpage #1897
* Added: amp-facebook comments for AMP2WP #1911
* Added: Alt tag in all modules #1898
* Added: Sanitizers in Footer and sidebar widget in Swift #1835 
* Added: Dropcap support #1900
* Added: Proper styling for iframes and videos in Swift theme #1909
* Fixed: Non-AMP link fixed for AMP Takeover #1916
* Fixed: Swift connected with Breadcrumb option #1915
* Added: Uninstall option created to completely remove AMPforWP data #1903 
* Fixed: Recipe Structured Data requires name attribute #1917 
* Fixed: No amphtml when It is hidden from Categories #1919
* Fixed: Content is breaking when Inline Related Post option is enabled #1912
* Fixed: Proper redirection setup for AMP Takeover #1913 
* Added: Social media profiles added in menu #1901
* Fixed: No Ads should display on Frontpage or Posts if Pagebuilder is enabled #1885 
* Added: #1899 Proper conditions for amp-analytics script
* Fixed: Turn off option not working by default fixed #1537
* Fixed: BreadCrumbs Should not load when PageBuilder is enabled #1925 
* Fixed: Removed unwanted elements loading while pagebuilder is enabled #1929
* Fixed: amp-web-push should not load on Homepage and Blog #1930
* Added: SmartMag theme Compatibility #1905
* Fixed: Template overriding not working in child theme #1920
* Fixed: Horizontal scrolling in Swift #1844
* Fixed: Home page title should not be visible in AMP takeover #1921
* Added: Carousel Module Added #1937
* Fixed: Comments pagination not working #1816
* Fixed: Comments pagination not working #1816
* Added: Glue html css compatibility #1932 
* Added: Data Caption Support on AMP Instagram Embed #1938
* Added: Ability to pass {author_name} and {author_id} added in Advance Analytics #1936 
* Fixed: Scrollbar in Header area in Swift in firefox #1818
* Added: Disqus iframe height adjustment option #1935 
* Fixed: Options panel conflict fixed with Mobius theme #1942
* Fixed: Problem with Button in Mobile view in Swift #1926
* Fixed: Removed canvas tag in AMP version causing validation errors #1880
* Fixed: Getting Conflict with Facebook Button by BestWebSoft #1740
* Added: Option to enter the "ID" on CTA button module #1931
* Added: Option for open same window in CTA module of page builder #1866
* Fixed: Logo fetch causing Huge performance issue #1679 
* Fixed: Blurb module's default values were not set #1952
* Fixed: Allow script with application/ld+json #1958

= 0.9.84 (14th March 2018) =
* Added: Polylang Frontpage compatibility added #1779
* Fixed: Proper link for Linkedin added #1820 
* Fixed: Incorrect function name was Added #1827
* Fixed: Thumbnail resizing issue in Swift #1828 
* Fixed: Thumbnail issue in Loops of Design 3 #1714 
* Fixed: Hide post builder for Swift #1824 
* Fixed: To avoid warnings when there are no pages in WordPress #1810 
* Fixed: Condition for the Thumbnail for Swift #1733 
* Fixed: Proper Styling for footer for Swift #1733 
* Fixed: Line height issue and CSS editor not working in Swift #1821
* Fixed: Renamed aq_resize to ampfrowp_aq_resize to avoid conflicts #1838
* Fixed: Add the prefix to avoid conflicts #1817
* Fixed: Added Custom format option in amp_date #1845
* Fixed: Removed amp-img tag where blank SRC in Page builder #1843
* Fixed: Pagebuilder modal max-height removed so it will become full width #1843
* Added: An option for select target type in Button Module #1822
* Fixed: Remove AMP category widget if swift is enabled #1790
* Fixed: Filter added change mode type #1833
* Added: Rewrite rule for .html blog page #1775
* Fixed: Filter added change mode type #1833
* Fixed: Swift Footer Widget Sanitizer Added #1800
* Fixed: No OneSignal widget when PageBuilder is enabled #1840
* Fixed: span tag added around the pagination text #1834
* Added: Page specific option to add script/html and styles in page builder #1831
* Fixed: noindex,nofollow in AMP when Dev mode is enabled #1839
* Added: Jarida theme compatibility added #1842
* Fixed: noindex,nofollow in AMP when Dev mode is enabled #1839
* Fixed: Replace value attribute only from html tags. Otherwise it is removing value from * shortcodes which is breaking the whole page. #1738
* Added: Underline option for content links added #1808
* Added: Page specific option to add RTL in page builder #1858
* Added: Converts AMP ads to normal so ads show when takeover is enabled in Normal Mode #1724
* Added: Converts AMP Analytics to normal so Analytics works when takeover is enabled in Normal Mode #1724
* Fixed: Phone icon proper alignment in Design3 #1730
* Added: ADS for WP activation box in Extensions tab
* Added: New design field added #1861

= 0.9.83.1 (8th March 2018) =
* Fixed: Pagebuilder contents not shows on custom home page #1794
* Added: Header hook added `ampforwp_advance_header_layout_options`
* Fixed: Load admin files only in admin pages #1799
* Fixed: Conflict with WP bakery pagebuilder #1783
* Fixed: Slide in Menu break in RTL mode #1825
* Fixed: Validation issue in loops due to empty attributes #1795
* Fixed: Featrued Image connected Properly with Swift theme #1733
* Fixed: Changed the disqus.php to disqus.html to pass authentication #1788 
* Added: CSS styling for Loop on shop page #1803 
* Fixed: Facebook comments not work in swift #1789
* Fixed: Style AMP Category module in Footer swift #1790
* Fixed: Load aq_resizer only in AMP #1805 
* Fixed: Proper markup for Pinterest in Design3 and Swift #1793
* Fixed: Proper url for vk

= 0.9.83 (03rd March 2018) =
* Added: Ability to add amp-carousel and amp-selector directly into WYSIWYG Editor #1588
* Fixed: Debug error caused by Playbuzz Sanitizer #1674
* Added: Show default gravatar for comments #1758
* Fixed: Implement Swift Thumbnail Regeneration in all the designs #1709
* Fixed: To avoid debug error in swift
* Fixed: Translation improved for some strings #1678
* Fixed: Stop AMP takeover for Feed pages #1767
* Fixed: Menu issues In Design 1 & Design 2 after changing from AMP-Sidebar #1565
* Fixed: AMP Options panel Not Working After Update (0.9.82.1) version #1761
* Fixed: Move the label to the top [UX improvement] #1746
* Fixed: Error with Vue #1745
* Added: Video Module added in AMP Page Builder #1750
* Fixed: Sidebar menu is not scrollable swift theme #1769
* Fixed: View Non-AMP should be usertrailingslashit #1772
* Fixed: Proper structured data for Blogpage #1660
* Fixed: Legacy Page Builder not working after the update #1773
* Fixed: Content blank when only image in content #1778
* Fixed: Comment ID display issue fixed #1758
* Fixed: PHP Warning: A non-numeric value encountered in components/logo/logo.php on line 52 #1764
* Fixed: Yummly support added in Swift #1708
* Fixed: Demo Link updated #1781
* Fixed: CSS is not loading in Swift Theme #1780
* Added: Ability to add Advertisement or Sponsored label under ads #1710
* Fixed: Featured images distortion in related posts #1684
* Fixed: Implement Swift Thumbnail Regeneration in all the designs #1709
* Fixed: noarchive instead of nofollow in Archive pages #1693
* Fixed: Internal links of tags are showing “/amp” after changing the end point to “?amp” in design 2 #1752
* Fixed: line height is added for the logo in Swift design
* Added: Class for Custom Frontpage #1787
* Fixed: Recent post enable disable for Swift theme #1784
* Fixed: Connect Show/Hide AMP option with AMP takeover#1786
* Fixed: Added sanitizer to footer Widget #1756

= 0.9.82.1 (18th February 2018) =
* Selector code reverted due to it's effect on carousel

= 0.9.82 (18th February 2018) =
* View more details on https://ampforwp.com/0-9-82-released-stability-update-82nd-update/
* Logo Resizing calculation by Pixels and resizing bug solved.
* Update Notification in the Admin panel will only appear in the AMP options panel. So it will not annoy you anymore.
* Glue underline is applying for some reason
* Fatal error after 0.9.81 fixed
* Facebook comments loading twice on swift
* PHP Notice: Undefined variable: post_author_name
* Pagebuilder fix in version 0.9.81 Compatibility with Yoast and other plugins #1749
* Home loop modifier option added. Allows you to exclude the categories from the loop or include the Custom Post type in the homepage loop.
* amphtml Conflict with Instant Article for Facebook resolved
* /amp folder in the theme is applying changes in plugin, which causing a bug, but it’s been fixed
* Backward Compatibility for AMP Preview
* SEO Section Improvements
* Wrong comments count on AMP pages
* AMP Allow selector in the The Content. You can add tabs and AMP components directly into the loop.
* If we turn off the Homepage Support then Blog is turned off as well, solved.
* Post Pagination have two options like “Number of pages” and Previous & Next.
* Removed the dot from the one Signal Service worker URL if the subdomain isn’t added (Causes Validation issues.)
* Extra Space due to empty divs in Design 3
* Remove alt from a tag in the AMP version caused many validation issues.


= 0.9.81 (15th February 2018) =
* Edge case fatal error on features.php fixed
* Admin dashboard messup CSS fix #1731
* Custom CSS Output added in Swift

= 0.9.80 (15th February 2018) =
* View More details on the [blog post](https://ampforwp.com/introducing-swift/)
* AMP Page Builder 3.0: The AMP Page Builder is a lightweight and much stable than ever and works flawlessly! [Read More](https://ampforwp.com/tutorials/article/amp-page-builder-installation/)
* Swift: The New Default Theme, which you can select from the design section of the Page builder.
* A way to create a Child Theme for AMP [read more](https://ampforwp.com/tutorials/article/child-theme-amp/)
* Make AMP & Non-AMP Same: We have an amazing new option called AMP to WP which will generate the WordPress version of the AMP design which will be viewed on the canonical version of the website.
* AMP Takeover: You can deliver a fully AMP compatible website with this option. It will basically take over the non-amp version and deliver an AMP version to your desktop and mobile users, on WordPress & AMP version. That’s why it was called AMP Takeover
* Logo Resizing made easy
* Typography Options
* 3 Headers design in swift theme
* Error while sharing the image on Pinterest #1699
* Homepage support was not working ( when page support is off ) #1695
* Custom Permalinks rewrite issue solved #1689
* Custom post type was appearing two types #1688
* Theia Post Slider plugin incompatibility with post pagination fixed #1677
* Link to the categories in loop of Design 3 #1632
* amphtml was not working when plain permalink selected along with static page as homepage #1614
* AFS Analytics Integration added  #1605
* Removed the blank spaces from analytics id field to deliver a good UX. #1599
* ?amp endpoint feature added #1561
* Ability to remove the excerpt and image from related post #1510
* Thumbnails on-the-fly generation added for better control over the design.


= 0.9.74 (23rd January 2018) =
* View More details on the [blog post](https://ampforwp.com/0-9-74-released-stability-update-79th-update/)
* Fixed: Push Notifications button alligned in center #1500
* Added: Meta robots tag support from Yoast #1563
* Added: Option to Disable wptexturize/smart-quotes Support #1458
* Fixed: Changed the label id to avoid conflict with Advanced AMP Ads #1591
* Fixed: esc_attr causing validation issues with single and double quotes #1616
* Fixed: Image stretching problem resolved when "Featured Image from the content" was set #1580 #1582
* Added: Create Template by Custom taxonomy name like product-jeans.php in AMP Theme FrameWork #1594
* Added: Custom Post type support added in the Core #1612
* Fixed: custom-amp-content.php cleaned with PHPCS #1497
* Added: Basic Product(WooCommerce) support added #992 #1276 for full WooCommerce Support please check this [Extension](https://ampforwp.com/woocommerce/#utm_source=readme-log&utm_medium=0.9.74-readme&utm_campaign=AMP%20Plugin)
* Added: Proper fallback support added if the current active AMP theme is not available #1624
* Fixed: Resolved debug errors #1622
* Added: All in One SEO compatibility #1557
* Fixed: Load AMP Styling only on AMP pages #1441 
* Added: 7 New Social Media Integrations added (Reddit, Tumblr, Telegram, Digg, StumbleUpon, Wechat, Viber) #1265
* Fixed: itemprop="url" was adding in non-amp #1626
* Fixed: SiteOrigin Pagebuilder compatibility with Custom Frontpage #1592 #1593
* Added: MediaAce lazy load compatibility of Bibmer Theme #1472
* Fixed: Content Links plugin was causing validation errors #1569
* Added: Filter added called get_content_from_dom to modify the output in AMP function #1462
* Added: amp_breadcrumb component added in AMP Theme Framework #1636
* Fixed: Sidebar Styling and proper sanitizer updated 
* Added: amp_author_meta component added in AMP Theme Framework #1641
* Fixed: amp_post_pagination component improvement in AMP Theme Framework 
* Added: Ability to add link classes in amp_post_pagination in AMP Theme Framework 
* Fixed: amp_author_meta image code improvement in AMP Theme Framework

= 0.9.73 (15th January 2018) =
* View More details on the [blog post](https://ampforwp.com/0-9-73-released-stability-update-78th-update/)
* Added: Instagram Sanitizer added to process Instagram Embeds inside the BlockQuotes #1581
* Added: Option Created to Enable/Disable rel="nofollow" for View Non-AMP link #1572
* Fixed: Custom AMP Content was not working with Elementor Pagbuilder #1495
* Fixed: ampforwp_is_front_page() is not working in the newspaper theme #1583
* Added: Allow people to use multiple Analytics on AMP #1124
* Fixed: 'https' error with PlayBuzz Embeds #1481
* Added: Option to show last modified date instead of Published date #1496
* Fixed: Add proper permission for ampforwptourinstaller page
* Fixed: Debug warnings #1586 and #1459
* Fixed: A lot of Security Fixes has been done #1497
* Fixed: Removed lot of unused code #1497
* Added: AMP skip for checkout page #1443
* Added: Show the list of Child pages at the end in Parent Page with on/off #1551
* Fixed: Properly strip shortcodes fom Structured data description #1512

= 0.9.72 (6th January 2018, Happy New Year) =
* View More details on https://ampforwp.com/0-9-72-released-stability-update-77th-update
* Related Posts Image stretching in Design 3 AMP theme Framework #1482
* RTL option must be integrated into AMP theme Framework #1562
* `DOMDocument::loadHTML():` Attribute itemprop redefined warning fixed #1539
* Created an option to add Author bio article in Facebook Instant Article #1521
* Options to add push notification button above and below the content #1571
* Copy the Content button for Custom Post types #1532
* Alexa Metrics Compatibility added #1536
* Logo styling added with amp_logo. So styling can work with AMP Theme Framework. #1520
* Content parsing login improved, so it will not through any warnings if the content has only 1 paragraph. #1523
* Debug Warnings removed #1564
* Caption in the Gallery creating validation errors Fixed. #1549
* Tables Link color should be as same as the link of the body #1559
* Separate options for In-Content related posts #1546
* WebPage Schema Type added in Structured Data options #1558
* Fatal Error fixed with `mb_detect_encoding()` after enabling the minify option #1494
* Content blank or fatal errors due to itemscope and itemtype, fixed. #1570
* Performance improved. Due to `_transient__redux_activation_redirect` transient. #1526

= 0.9.71 (1st December 2017) =
* Design 2 Post Titles issue fixed
* Instant Articles validation issue fixed.

= 0.9.70 (30th November 2017) =
* View More details on https://ampforwp.com/0-9-70-released-stability-update-76th-update/
* Image alt tags are empty which caused issues. #1154 (thanks to @liagua)
* ALT and IMG tags are in one line #1442
* Updated the permalink for post view in admin area #1318
* aria-current causing validation issues #1427
* Aligning Captions in the Bottom in Gallery #1428
* Logo’s height & width should dynamically come from the logo. This was a great UX improvement in my opinion. The logo would good regardless of the kind of image you upload. #1429
* After 0.9.69.1 update – Call to undefined function mb_convert_encoding #1447
* Featured image options now also reflect the structured data #1430
* Blur & Stretching issues of Design 3 thumbnails are now fixed. They’re crisp and clear than ever! #1227
* Related posts are showing on single even when turned off #1434
* Show Related posts CSS only when it is selected #1356
* Author image now displays on author pages #1426
* Category base removal in AMP from url option is only working on the first page #1418
* Bug fixed: PHP Warning DOMDocument Empty string supplied as input #1449
* Video support added in Instant Articles #1300
* Read more tag in Instant articles issue fixed #1415
* Amp carousel issues fixed #1446 #1456
* Compatibilty with Envira Gallery Lazy Loading #1432
* Inline Related Posts in AMP Theme Framework #1457
* Different number of in-content related post and related posts at the footer #1448
* FooGallery update broke all the AMP compatibility, but we fixed it from our side so that user’s gallery work perfectly #1424
* WPBakery Page Builder Conflict solved #1419
* Goodlife theme Lazy Load compatibility added #1416
* AMP-Facebook-Like Was found but unused Validation Error fixed. #1463
* Playbuzz not displaying if added with https: #1466
* Options Panel labels renamed for better understanding.


= 0.9.69 (20th November 2017) =
* View More details on https://ampforwp.com/0-9-69-released-stability-update-75th-update/
* One Signal Push Notifications bug fixed! #1404
* AMP theme framework Related posts extended so that it can be used as a loop format #1406
* Facebook like Button improvements #1405
* Add layout responsive tag to image module in page builder #1373
* Strip the shortcodes from Structure data area #1389
* Test HTTP API Call From admin panel by redux #1391
* Meta description tag in normal site Unicode character is different from AMP site unicode character. #1369
* Updated the check for ampforwp_is_amp_endpoint this should fix the issue #1372
* Updated the URL for design 3 so it can work with plain permalink #1318
* Updated the option Featured Image from The Content #1367
* If “Featured Image From The Content is enabled and Duplicate Featured Image” is disable it will remove all the duplicate images from the content. #1375
* Date Format under Homepage improvements #1408
* Warnings due to inline related posts in Homepage #1413
* Plain Permalinks Support improved. #1318
* Allow Homepage title of Bread Crumbs feature to be changed from Translation Panel #1414
* Debug Errors in AMP Theme Framework #1403
* Unnecessary loading of Merriweather fixed, it will only load in the Design 1.
* Enter Phone Number is not Appearing when switch to Call now button #1425
* Need excerpt below the title, above the meta #1399
* Remove the Separator piple symbol from the footer when “Back to Top link” is off #1417
* Display Child or subcategories on Category pages. #1385
* Add Caption in the Gallery Image feature conflicting with Gallery widget #1407
* Youtube Shortcode embed with &rel=0 support #1378
* Filter for Excerpt custom text in the AMP options #1411
* WPML Multilingual CMS plugin flags compatibility #1270
* Compatibility with Tasty Recipes plugin and other page builders with amp page builder #1431


= 0.9.68 (12th November 2017) =
* View More details on https://ampforwp.com/0-9-68-released-stability-update-74th-update/
* ADs are Optimize For Viewability, meaning it will try to load faster than the original AMP AD loading strategy.
* Content was disappearing issue was resolved #1392
* Featured Image from The Content option is connected to related post #1339
* Fix amp-web-push helper iframe configuration URL #1387
* Facebook Like button added to AMP #1327
* WPML support for AMP Improvement #1285
* Debug Errors fixed #1366
* Setting ad density for Facebook Instant Articles ads #1287
* Showing the number of comments in Single #1341
* Styling added to the sitewide ads and made sure that they are in the center. #1343
* One Signal buttons Translation added #1383
* Article type added to Structured data #1344 #1354
* The issue with the amp-carousel when RTL was enabled #1358
* amp-carousel with images of different sizes #1358
* a bug where Img is getting converted to amp-img if there's no height or width. which causing validation issue and image is not visible fixed.
* Instant Article should have a default value for number of posts, it was causing the memory issue with alot of posts #1390
* Notice if a post has no author data #1338
* Added a new redux extension select field in redux framework #1349
* Issues with galleries as well as gallery captions #1363
* Added a hook for adding anything in between the loops #1396
* Hide meta boxes as per the user level types #1340
* A Switch between the Date formats #1384
* Fix: Jannah theme lazy load issue #1362
* Issues with galleries as well as gallery captions #1363
* Create Dynamic url of amp according to the permalink structure #1318
* Minor code performance improvement.
* Archive titles in Design 3 frontend issue

= 0.9.67.0 (6th November 2017) =
* View more details on https://ampforwp.com/one-signal-push-notifications-for-amp/
* OneSignal Push Notifications integrated #807
* Vimeo embed support added
* SoundCloud embed support added
* Pinterest embed support added
* PlayBuzz embed support added
* DailyMotion embed support added
* Fix: Handle issues with data uri images in CSS #1033
* Fix attribute when adding AMP Mustache lib #1033
* Fix: Output CSS for feature image #1033
* An option added for users who don't want to receive update notifications #1342
* Structured data nav improvement
* Sitenavigationelement has been implemented correctly for footer menu. #1345
* Style sanitization for Menu Items #1359
* Polylang flags support for menu  #1360
* Mobile Redirection issues fixed #1173
* Jetpack fatal error fixed #1355
* AMP Page Builder requires a button to be clicked, so the scripts are not running on the runtime making it easy on the edit screen page and avoid the possible script conflict.
* Needs proper CTA Bar's styling. #1361
* Debug errors on archive pages #1353
* Preview shall only be loaded on click rather than in background #1331
* ampforwp_is_home() function code improved
* making sure scripts and styling is properly adding when sanitizing the sidebar #868
* All the backend css and js should be versioned, so it's not cached. #1335

= 0.9.66.1 (30th October 2017) =
* Fatal error if has version less than WP 4.8 fixed
* More Minor Validation errors fixed
* Odnoklassniki sharing button is not working #1337

= 0.9.66.0 (29th October 2017) =
* View more details on https://ampforwp.com/0-9-66-released-bug-squashing-oct-2017-72nd-update/
* Design 3 & Design 1 are optimised with 90+ Google PageSpeed Score on Mobile and 95+ in desktop performance #1273
* Featured Image from the content for blog and homepage #1295
* Category Module for AMP Page builder added #888
* Don't load unused CSS selectors. All the CSS is conditionally loading, to decrease the number of CSS loaded per page and increased in performance #1292
* Twitter Video embed code support added in AMP #1307
* Video Posting Structured data #1293
* Navigation menus are now Schema compatible for better Structured data integration #1229
* Yoast checking conditions for Structured Data Improved #1293
* Added "back to Top" in design 3 #959
* Proper blog check and author for custom frontpage #1260 (Made some changes to check the blog properly and also added the author details for Custom Frontpage)
* AMP not working on password-protected pages #1192
* Debug errors reported by the user #1284 and few more we found internally
* Inline Style Sanitizer for Comments to avoid any validation issues #1193
* Next/Previous links removed from pages #1268 props @Frenchomatic
* WPML Multilingual CMS plugin flags compatibility added #1270
* Image sanitizer added for the Sidebar #1270
* Added AMP Components the correct way. Added amp-gist, amp-social-share. #336
* amp-video script added - Which decreases the non-critical validation issues #991
* Arrows in Design 3 pagination #1000
* Author page links in Single #1282
* Added previous open state of option panel and show again when search clean #1238
* Odnoklassniki Social Sharing Support for AMP (with target blank for better bounce rate) #1230
* GIF or animated images resize problem fixed #1281
* In Design1, Header Background & Link Color have same option #1249
* FB Pixel for AMP added #1231
* Structured Data Type option for AMPed Custom Post types only #1259
* Attribute ‘readability in the tag ‘div’ removed - this decreases the validation issues #1306
* AMP Theme Framework Improvements: loop, author, related_post, Add Author support #1311
* Commentator's Avatar in the comments section #1132
* Remove 'Welcome to AMP' from Dashboard sub-menu and moved to the options area to decrease the annoyance and increase the user happiness #902
* Option to Sort the Random Order of Related Posts to increase the audience engagement (Default is 'ID', on enabling the option it will change to 'rand') #1250
*  View AMP on Admin Bar for the respected page/post If enable. #1236
* google maps iframe – link to larger map #1099
* Comments now jumping due to the slash at the end #1309
* Page Builder causes Incompatibility with the Divi theme (We restructured the Text Module for Page builder for better compatibility and UX) #1162
* Inline Style Sanitizer for Comments added. Less Critical Validation issues and Better Presentation #1193
* WPML amp-html error fixed #1285
* Radio button not working for Show View more Button" #1018
* Added registered handle for tinymcePointer localize data #1301
* Date in the Design 2 should not be hidden in mobile version #1315
* Page builder not working on homepage(Selected as front page) #1316
* Instant articles number of posts option #1271 (Removed some unused code as well, it will rendered all posts if none is enter in the options)
* Auto flush on save for FBIA to improve the UX.
* Plain Permalinks Support improved. #1318
* Tables support added to FB Instant Articles #1266
* Demo link added in the Theme selector option #1248
* Remove invalid attributes from multiple tags which reduces critical validation errors and validates pages.
* AMP makes a problem in archive page label, when it is active in non-amp version #1304
* placeholder-icon.png is 404 fixed #1310
* Category & Tags switches for Single added. #1055
* Copy Content (Custom AMP Editor) Option Not showing with Page Builder of SiteOrigin issue fixed #1280
* Improving UX with: when AMP support is off for a specific post type then all the AMP related metaboxes should be removed #1289
* Options Panel Options rearranged, labels rewritten, descriptions repositioned for better User interaction [commit]

= 0.9.65.2 (25th October 2017) =
* TypeWatch is not a function #1299
* Error with BackupBuddy fixed #1303

= 0.9.65.1 (24th October 2017) =
* AMP Minifcation Issues fixed

= 0.9.65 (22nd October 2017) =
* View more details on https://ampforwp.com/new/
* Favicon for AMP #1039
* AMP Minification option added with Performance Tab in Options #1286
* Post support is turned off then Meta box should also be removed #1253
* Excerpt Length feature in Design two and Three #1122
* Test Contact form plugins and their settings in the options panel #1121
* Mobile preview in Edit Screen #1082
* Search feature for Options Panel #1238
* WordPress Social Share Buttons Validation Issues #1272
* itemtype attribute is striping in the ul tag #1210
* Debug Error in Breadcrumb 0.9.64 #1267
* Disable AMP linking at Wordpress Search Page #969
* Featured Image is missing #1071
* Removed ampforwp_plugin_activation_notice #1034
* Add VK (Vkontakte) Sharing Button #1187
* Grab the first image instead of post thumbnail for featured image #1189
* AMP theme framework core changes #1274
* Grab the first image instead of post thumbnail for featured image #1189
* Create a Switch on Top of Page Builder #1279
* Inline Related Posts added that helps you with improving bounce rate #1078
* Caption Support in Image Gallery Carousel #1172 #1136
* Instant Articles feed shows sticky posts on top #945
* Added search check, to fix debug notice
* Option to hide date from Design 1 & Design 3 Homepage Loop #1264
* UI labels improvements in the Options panel
* Sorting out design #2 – static front page #1175

= 0.9.64 (15th October 2017) =
* View more details on https://ampforwp.com/new/
* Structured Data Type option added. You can now change the structured data format for Posts, Pages and Custom post types #323
* When comments plugin activate, Comments section should remove. #1093
* Notification causes a validation error. #1147
* CSS !important need sanitization #1225 - This will help us to validate tens of thousands of pages.
* Strange spaces when using Sassy Social Share #1185
* Remote CDN use? Let's host it? #549
* Typo fix for Linkedin Profile Page URL section #905 [Thanks to Prayag @pra85]
* Replace fastimage with fasterimage for PHP 5.4+ #1191
* Debug Errors Post 0.9.63 #1219
* Ad5 code injected twice #1116
* Homepage Support must be Off when we turn Off Homepage Support. #738
* Add custom class in post pagination for styling #1100
* Removed the Lazy Loading issue of Schema Theme #1170
* H1 tag for archive titles (Commit) #1155
* Alt tag for the Logo #1155
* Design 3 Menu RTL issue fixed #1106
* Ability to add dynamic classes in body tag #1237
* Warnings fixed on 404 page #1243
* Properly structured data for Homepage, Custom Frontpage and Blog #1155 #1242
* Option added to Enable/Disable categories and Tags links from Single #1155
* Fatal error after 0.9.63 fixed #1220
* Debug Error due to vendor AMP #1213
* PHP warning on line 147 after 0.9.63 #1241

= 0.9.63 (8th October 2017) =
* View more details on https://ampforwp.com/new/
* Category and Tag Base Remover as core features #1079
* Hide AMP on Posts option added #935
* Installation Setup Screen Added for new users
* Validation for the session in PHP #1158. PR by Bryan Contreras @bryan3561
* All the amp pages should work perfect with Plain Permalink settings #488
* WYSIWYG TinyMCE editor added for the Text Module in AMP Page Builder #1205
* WPML Static Front Page Support for title and description with Yoast. #1143
* Row Settings area added for AMP Page Builder #1148
* xlink attribute causes Validation Issues #1149
* Posts with no images on Archive pages are squeezed to 65% #1058
* Body Class to target specific pages #1123
* Option to enable/disable Breadcrumb #1129
* Debug errors due to Breadcrumbs fixed #1109 #1130 #966
* Visit AMP option added below the View Site in Dashboard. #1076
* Many Debug errors fixed #1109
* Textarea for body tag which will help people add AMP Auto Ads #1064
* Structured data improvements #1048 #1044 #1085 #1118
* Twitter share URL based on users choice, you can allow people to share pretty links and short links. #1097
* Author Avatar removed code fixed which has been displayed in the div "amp-wp-meta amp-wp-byline". #1087
* Only one figure element is allowed in the article header FB Instant Articles #1127 & #1157
* Image alt tags are empty and cause issues fixed. #1154
* Button to copy the content into Custom AMP Editor #783
* Rename AMP loop widget areas or add proper descriptions #1045
* Trailing slash issue #1095
* Related Posts by Post type featured added #1141
* Ultimate Social Media Icons plugin causes validation issues fixed #1135
* Adding proper path for functions.php, it was causing strange fatal errors and irregular white screen of death fixed  #1144
* A smooth way to migrate from other AMP plugins to AMPforWP #1051
* Alert added on AMP by Automattic installation. #1180
* Insertion of strange spaces around H1 titles #1069
* AMP Page Builder and HTTPS #1164
* You can display comments from more than one vendor such as displaying WP & FB Comments #1150
* Rename AMP loop widget areas or add proper descriptions #1045
* FrontPage featured image with srcset #1063
* An option for Showing featured image from custom field #1098
* Added the Custom Front Page Title From Yoast SEO #1163
* Commenting breaks SSI directives causes to display error #1179
* rel canonical appears more than once in search pages #1195
* Dev mode in AMP #1083
* Social Sticky Icons Improvements #1061
* Grand-Child support added in Design 3 #1152
* amp-accordion non-critical error in Design 3 & CSS improvements fixed #1152
* Incorrect @id for mainentity #1080
* Hide AMP by specific Categories tweaked for performance. Thanks to Joshua Eichorn @jeichorn CTO at Page.ly #1133 - Huge Thanks!
* amp-auto-ads for sites with RTL support ON #1176
* Redirected the Google forms to our contact page so that we can take each and every query and answer every person. #1201
* ui-state-highlight class was conflicting with ACF date picker fixed #1199
* Responsify WP Lazy loading causes blank image (Compatibility) #1131
* amp-carousel scripts loading on the second page fixed in Design 3
* Show Design screenshot while selection of design #1209
* Switches Redesigned for better UX #1211
* Welcome Page UX Improved #1214

= 0.9.62 (25th September 2017) =
* View more details on https://ampforwp.com/new/
* INTRODUCING Page Builder 2.0 for AMP! [Learn More & Watch the Video](https://ampforwp.com/tutorials/article/amp-page-builder-installation/)
* Documentation & Help links improved
* Post type specific classes for targetting
* Design name restored in Options panel (It was recently renamed to Appearance) 
* Minor Bug fixes as well

= 0.9.61 (10th September 2017) =
* View more details on https://ampforwp.com/options-restructured/
* Options Panel Restructured – Options were dividing into two parts: Settings and Appearance.
* AMP Theme Framework Core Support Added. You can now create themes of your own in just minutes.
* WPML Static Front Page Support #1111
* Notification message disables when CF7 & gravity form is activated. #1107
* Space after On in Design 3 #1114

= 0.9.60 (4th September 2017) =
* View more details on https://ampforwp.com/0-9-60-released-improved-redirection-66th-update/
* Class added to View non-amp anchor tag
* Params added properly to get rid of a warning #1077
* rel=attachment noopener generating validation errors #1090
* Breadcrumbs Support Added #701
* Enable / Disable button added for Navigation Menu #735
* Move the ad code for Instant Article down after the article #964
* Add analytics code of FB instant articles properly #1096
* datetime Tag not stripping properly #1043
* Mobile redirection on custom post types #1028 #1052
* Mobile Redirection causing extra redirect #879 #933
* Proper mobile redirection on Homepage #1052
* View non-amp on blog will redirect to blog
* Blog will redirect to blog irrespective of AMP Homepage option #871
* Dont redirect if archive support is disabled #1052
* non-amp category pages should redirect to non-amp pages if turned off from Hide AMP #999
* Disable amp for forum plugin (wpforo) #592

= 0.9.59 (23th August 2017) =
* Design 3 Images were not aligned properly. Fixed. #1040
* Caption in the design 3 improved
* Jetpack File not loading throwing fatal error #1038
* If the mobile redirection is ON and the category is excluded to display the AMP then it should redirect properly
* Custom Editor Compatibility issue with SiteOrigin PageBuilder fixed #997
* Native Twitter Embed support
* Added a hook after the body tag: ampforwp_body_beginning (commit)
* GTM in AMP Improved #958
* WP User Avatar compatibility Added #975
* Alt tag on frontpage featured image added #1050
* Blurred Images on the frontpage fixed #1050
* Need to escape alt tag #1049
* Debug errors & PHP warnings were fixed #859 #811 #830 #810
* Proper rel canonicals for inner pages #1047
* Added Video sanitizer for comments #1053
* When activating the AMP plugin, display a notification in the popup. #1036
* Video Sanitizer added for Comments

= 0.9.58.1 (9th August 2017) =
* Jetpack conflict issue solved #1038
* Genesis SEO Support added #1013
* Fixed Wrong SEO title issue #1013 and #836
* Design 3 Carousel script loading method improved #990

= 0.9.58 (9th August 2017) =
* View more details on https://ampforwp.com/new/
* Genesis SEO for AMP support added
* AMP 0.4.2 Vendor Bundled for making it crash proof
* Archive desc only on 1st page #1029
* Ads are not working after 0.9.6 #1030
* Fixed the Post 0.9.57 Update Bugs #1025
* All Images are aligned on left side in design 3 #1031
* Custom frontpage title issue in Design 3 fixed

= 0.9.57 (5th August 2017) =
* See the Full changelog https://ampforwp.com/0-9-57-released-compatibility-issue-fixed-62nd-update/

= 0.9.56 (31st July 2017) =
* View more details on https://ampforwp.com/page-break-in-amp/
* Page Break / NextPage (Pagination) Support Added #834 #857  (Improvement)
* Show/Hide AMP for Categories of Posts or All posts #872 (Improvement)
* Adding analytics capabilities to Instant Articles #978
* JetPack Plugin Conflict Solved #971
* Social sharing code improved. amp-social-share js is getting added for line and WhatsApp social share #981
* Code improvement for rel canonicals(home and archive)
* Perfect SEO URL + Yoast SEO Compatibility #982
* Some styling for tags to show up properly
* Undefined index notices #960
* Non-amp category pages should redirect to non-amp pages if turned off from Hiding AMP #999
* Page builder text and button module issues #972
* Documentation links updated in the Options panel

= 0.9.55 (13th July 2017) =
* View more details on https://ampforwp.com/0-9-55-released-improvement-update-61st-update/
* Disqus Comments show up even when disabled per post #931
* Unnecessary: Adding the Markup for AMP Woocommerce latest Products #929
* H3 inside OL in Related-Posts.php #930
* Advertisement Options in Instant Articles #943
* Incompatible with bootstrap plugin #525
* Error in tag and category links #934
* Pagebuilder Button module link had issues #951
* Unnecessary: Adding the Markup for AMP Woocommerce latest Products #929
* WPtouch Pro Compatibility Issues #927
* Better scripts compatibility in Single of post types #757
* Instant Articles Error: "The HTML element does not contain any text" #949
* added a filter in all the dates so a user can change the date format and modify #962
* Design3 Menu Arrows are clickable along with the links #952


= 0.9.54.2 (4th July 2017) =
* Minor bug post 0.9.54 bug fixed

= 0.9.54 (4th July 2017) =
* View more details on https://ampforwp.com/new/
* Facebook Instant Articles Support #862
* Exclude Some Pages from Mobile Redirection #914
* After 0.9.53 update amp-social-share js missing (critical issue) #924
* Hooks added in Header (above and below)
* View non AMP[Code improvement] #928
* Pages are not supposed to show meta like this, especially Categories #894
* Monarch plugin having design issues #925
* Show AMP Hide AMP Check Box Fixes #794

= 0.9.53 (19th June 2017) =
* View more details on https://ampforwp.com/stability-validation-issues-59th-update/
* Compatibility Issue with Rocket Lazy Load plugin #907
* Link color issue with UX of Color Pickers in Design 3 #731
* amp-analytics js appears more than once when Google tag manager is used #885
* SEO by SQUIRRLY is adding analytics twice #678
* Fatal error when WPSEO is activated #900
* Design 3 Sticky header should have an option #625
* Search form was enhanced, it can now be used on the websites without https certificate. That will certainly fix a lot of validation issues. #912
* Yandex Metrika support in AMP #585
* Histats Analytics Support #880
* Chartbeat Analytics Support #882
* Do not strip Rel from anchor tags #790
* Design close Resulting Blank Screen in AMP Site #642
* Logo size is not applying #817
* AMP Publisher logo guidelines #162
* Remove amp-social-share extension .js from Custom Frontpage #899
* Add compatibility with Sassy Social Share #679
* Remove Disallowed ‘like’ tag from Facebook Like button by Ultimate Facebook plugin

= 0.9.51.1 (12th June 2017) =
* Redirection issue after 0.9.51 Update.
* Improved compatibility with plugins.

= 0.9.51 (8th June 2017) =
* View more details on https://ampforwp.com/page-builder-released-in-amp/
* Page Builder Support added ( See Tutorial at https://ampforwp.com/tutorials/page-builder/ )
* Comments are not showing properly when words are long #861
* Remove amp-social-share extension .js from Pages #853
* The tag ‘amp-sidebar extension .js script’ appears more than once in the document #828
* Remove Advertisement tab #839
* Compatibility with Slide-in Plugin by WPMU dev #866
* Mobile redirection issue with bbpress #867
* All the data must be properly sanitize in the sidebar #849
* AMP html should not be added on the second page of comments
* Author page’s support #456
* URLs in comments should be clickable(links) #869
* Featured image should be centered in desktop mode #870
* Added More Hooks #721 (Documentation on this coming soon!)
* Page 2 goes to the wrong URL #865
* Proper Title and meta for homepage and posts #850
* Gist Support added #608 – Just add a shortcode and enjoy Devs (Ex: amp-gist id="b9bb35bc68df68259af94430f012425f )
* /blog/amp pagination not working #875
* separate the Text and Date format in design 2 #876
* Comments show in AMP w/o breaks between paragraphs #873
* If no featured image below hooks are not working #877
* Change meta name Viewport and its value #878
* Bolt icon in option #474
* Code restructuring and code quality improvements.
* Create a seperate function for comment code in frontpage.php #682
* Remove all the duplicate code from frontpage.php of all the designs and use hooks to add the code instead of static code #889
* Few Debug errors removed.

= 0.9.50 (24 May 2017) =
* View more details on https://ampforwp.com/facebook-comments-in-amp/
* Design 3 Social Icons issue #832
* View non AMP leads to /?nonamp=1 #814
* Youtube shortcode compatibility improved #557
* welcome.php should be shown only if user is “administrator” #696
* Facebook comments support added in AMP #825
* WP Like Button Compatibility #841
* Custom Taxonomy Support added with Custom Post Type Extension.
* Front page – comments not found as expected #837
* Fixed xml:lang tag issue #848
* Sanitize Iframe in the archive description Fixed #845
* Compatibility with Newspaper Theme by TagDiv #842 and #796
* Some debug problems (blog page, style.php) #838
* Featured Image hooks added
* Twitter is misspelled #854
* The core concept of the AMP Content builder has been built.


= 0.9.49 (12 May 2017) =
* View more details on https://ampforwp.com/0-9-49-released-small-important-bugs-fixed-56th-update/
* Option added to display the excerpt in Single #806
* Ability to add new invalid tags to filter out from AMP pages #809
* In frontpage, comment button is pointing to wrong URL #812
* Call now button and search is overlapping in Design-1 #784
* Sticky Social Icons should be off if the CTA notification bar is on #788
* Author bio in Design 1 and 2 #732
* Styling in Taxonomy description causing validation issues #798
* Twitter share(handle, url positions fixed) #815
* Tables responsiveness in ALL Designs #726
* Output all the categories and tags with their own ID’s in the div classes #750
* Social Share Icons Overlap with Leave A Comment in Design 3 #716
* Effective Measure Support on AMP #297
* Custom AMP editor on pages should only be shown when page support is ON #756
* AMP on website.com/blog without need of separate installation #775
* GTranslate Compatible #819
* Images and amp-anim styling added #725
* Filter to make the title in a post to a link #727
* Author Bio and Social Share button must not come in Pages #770
* StatCounter is now compatible with AMP #361
* Line Social media support #500
* Footer menus for Design 1 & Design 2 #623
* Strip out src=”about:blank” When Gravity Forms used #804
* Add Compatibility with Crazy Lazy load plugin #751
* Meta Titles and Description issues fixed with Yoast, All in one SEO and The SEO Framework #813
* Double quotes in the Excerpt of the meta description is making AMP Invalidated #818
* Missing featured image on static front page #824
* Fatal error while activation: see the video 0.9.49 Beta #827
* Review this code in archive.php in all 3 designs. #826


= 0.9.48 (28 April 2017) =
* View more details on: https://ampforwp.com/0-9-48-released-step-towards-multilingual-support-55th-update/
* The default translation method of WordPress added. (Option in Translation panel to switch between * Translation panel and POT file #540)
* A new Advertisement slot added above the related posts in the Single. It not only gives better options for people to display ads but this ad slot is also very handy if you are using ad companies like Taboola and RevContent.
* Another Advertisement slot added below the post title in the Single post.
* Fatal error: require_once report-bugs.php #747 fixed
* Add / for codes in Meta Description #766 fixed
* Controls re-adjusted & Renamed title of yoast description control in Options panel
* Design-3 Slider URL redirecting to non-AMP page #758
* Added new sanitizer For HTML to AMP-HTML conversion
* Sanitized Archive descriptions so that it would convert to AMP
* Comments sanitized with new sanitizer so that HTML tags automatically become AMP compatible.
* 301 redirects on non-pretty internal links #767
* Create a filter to modify the value of rel="amphtml" #778
* Max-width added for images in comments
* If in WooCommerce ?amp endpoint set then update href.
* Undefined Variable (Debug) #733 and many other debug issues were fixed
* Show last updated Post instead of published date #575
* WooCommerce Widget added to display latest products on homepage. #763
* add amp_post_template_above_footer hook global in all the designs #779
* Excerpt on top of the content in Single #665
* Subscribe box has been improved for the UX needs #712
* Notice warnings since 0.4.2 update #740
* AMP Comments Form Integration with the extension
* Filter added on the loop in Homepage of the Design 3 so that it can be modified with an external plugin.
* 404 on paged home page #781
* Twitter handle should be at the end of the tweet not in the beginning #787
* Wrong Rel Canonical for AMP Custom Frontpage #799
* Merged a pull request #761 that will improve the title and description output that is much more stable and flexible for future enhancement and use. It was contributed by Sybre Waaijer - Thanks mate for the contribution, we (our team and users) really appreciate your hard work done on this code.
* Extension page user experienced improved.
* Removed old Youtube installation video and replaced with new one.

= 0.9.47.2 (12 April 2017) =
* Design-3 Slider URL redirecting to non-AMP page #758
* Ads showing in comments #768

= 0.9.47.1 (11 April 2017) =
* Meta description option improved in SEO section #766
* Fatal error: require_once report-bugs.php #747

= 0.9.47 (10 April 2017) =
* View more details at https://ampforwp.com/0-9-47-released-54th-update/
* Meta saving method updated for customAMP content editor checkbox was causing some conflict.
* Wrong Yoast title and structured data in Custom Frontpage fixed
* CSS minification all 3 designs
* Polylang flags in menu was causing validation issue, is now resolved
* WPML flags in menu was causing validation issue, is now resolved
* Standardized function created for content sanitization.
* Archive description now displays AMP compatible markup
* Comments markup sanitized for AMP
* Design 3 images not aligned properly, fixed
* Images are aligned to center in Design 1.
* carousel ending with //amp instead of /amp – fixed #753
* Title of the Post along with Post link when shared in twitter #683
* Ads were cutting in half in RTL, fixed
* Add / at the end of AMP links with in the AMP pages (Internal links) #668
* Rendering the wrong URLs in front page if paged #742
* Option to turn off AMP on all pages, so people can turn on only for specific pages #746
* Need Meta Description on amp pages #741
* Woocommerce Loop shortcode updated
* Call Now Button added in header #563
* Post images are not centered in Design 3 #695
* UX of GTM settings done, since users were getting confused #700
* Front page amphtml fixed for paginated pages

= 0.9.45.6 (31 March 2017) =
* Installation Process from welcome page was not working after WP Plugin DIR API change was fixed.
* WP Rocket Minifcation and Concatenation was not working, its fixed now.
* WP Rocket was tested properly to make sure everything is working fine.

= 0.9.45.5 (25 March 2017) =
* WP rocket conflict solved  
* Cannot set property ‘innerHTML’ of null issue fixed

= 0.9.45.3 (21 March 2017) =
* Post 0.9.45 bugs fixed and released as an urgent update.

= 0.9.45.1 (19 March 2017) =
* Post 0.9.45 bugs fixed and released as an urgent update.

= 0.9.45 (18 March 2017) =
* View more details at https://ampforwp.com/0-9-45-released-compatibility-rtl-53rd-update/
* W3Total cache compatibility added
* RTL Support added for Right-to-Left language websites.
* Comments Pagination feature added
* WP-Rocket Compatibility added
* WPML Compatibility added
* Quantcast analytics support added
* ComScore support added
* Custom Yoast title support added #685
* WooCommerce Shortcode: Allows you to display WooCommerce Products.  [amp-woocommerce num=6] will display the 6 products from WooCommerce.  [amp-woocommerce num=6 link=noamp] will display 6 products but they will go to non-amp website, if you want to link to AMP version of the page then use [amp-woocommerce num=6 link=amp]
* Admin area UX improvements
* Adding notifications script in the correct way
* Comments now display on frontpage as well.
* Re-positioned non-amp Header link control to the right section.
* ?nonamp=1 only displays when the Mobile redirection is on
* Properly adding iFrame js.
* Custom Post type incompatibility fixed
* Widgets added to the Custom Frontpage.
* Stripping shortcodes from excerpts.
* Custom content on static frontpage had over riding issue #687
* Option added for controlling number of comments
* Welcome page should be shown only if user is “administrator” #696
* Digg Digg social share compatibility #694
* Removed unnecessary lines from Design 3
* Sanitized Archive Description to amp Compatible #659
* Author box now displays HTML properly #645
* Date added Design-3 in meta #583
* Options link was removed from wp-admin tool bar after a feedback from a user.
* Footer sub menus layout compatibility.


= 0.9.44 (5 March 2017) =
* View more details at https://ampforwp.com/user-experience-52nd-update/
* Added Welcome Screen for better User experience. [Enhancement]
* Undefined Index debug error resolved [Bug fix]
* All in one SEO Support support tested [3rd party compatibility]
* Frontpage title in Design 3 is out of the container #644 [Bug fix]
* Default Table markup in AMP #643 [Enhancement]
* AMP carousel is not working on Frontpage #641 [Bug fix]
* Social share .js was getting added even when it was not required #638 [Bug fix]
* Search Feature added for Design 1 & Design 2 [Major Improvement]
* Accordion script loading issue in Design 3 #634 [Bug fix]
* ?nonamp=1 links should be nofollow #622 [Bug fix]
* Same Header and Color Scheme are making header elements invisible #629 [Enhancement]
* In Search AMP rel canonical was different #631 [Bug fix]
* Non-AMP link in Design 3 was not working when mobile redirection was enabled #632 [Bug fix]
* Search form text strings are now added in the translation panel #607 [Bug fix]
* Load AMP-ads conditionally only if ads are available #609 [Bug fix]
* Added compatibility with Custom post type extension. Option to hide/show AMP on all custom post types #587 [Bug fix]
* Report a Bug & Request feature links added [Enhancement]
* If there was no menu set in Design 3 then all pages were getting displayed. #613 [Bug fix]
* The tag Font is disallowed #616 [Validation Improved]
* index/noindex separately added for Tags and also for Categories #606 [Enhancement]
* Use of undefined constant AMP_QUERY_VAR #596 [Bug fixed]
* Logo is not centered in Design 3 #586 [Bug fixed]
* Remove defer, a very rare type of defer was getting added #589 [Validation Improved]
* Disqus comments iframe had scrolling issues #566 [Bug fixed]
* Left side blank gap in the RTL in design 2 #541 [Bug fixed]
* Inline Styles not working correctly in Custom AMP Editor #533 [Bug fixed]
* Re-save permalinks issues. Flushing rewrites with options saved. #511 [Improvement]
* Code review and cleaning of the customizer #404 [Code Cleaning]
* Google Search iframe had some header alignment issues in Design 3. #624 - Thank you Leo Osa @leoosa for the contribution! [Bug fixed]
* AMP Frontpage + Override AMP Content = Blank page #604 [Bug fixed]
* Widget area added on the homepage with an 'AMP Category Blocks' widget. It means you can display multiple category blocks the homepage. This allows you to display complex layouts, even on AMP. [Major Improvement]
* Auto-append /amp at the end of internal links in Menu with an option in the Menu section of the options panel #531 [Major Improvement]
Reformatting and Minifying of stylesheet [Code Cleaning]
* Created a new section for Homepage and moved some controls from other areas to the home section for the better user experience. [User Experience]
* Override Homepage Thumbnail size option added. It will give you more control over your thumbnails. [Major Improvement]
* New color picker added to change the color of the header elements in the Design 3 to give you better control over the design. [Enhancement]
* Extra amp-carousel script loading is now fixed. [Bug fixed]
* Crafting of layout code in design 2 and design 3, especially with social icons area. [Code Cleaning]
* Design of search form was not clickable in iOS devices #621 [Bug fixed]
* Disqus iframe was loading even when there was no disqus name was added in the option. We found that many users might be enabling it without knowing the output and then they seem to forget, which was causing them validation warnings. [Bug fixed]

= 0.9.43.6 =
* View more details at https://ampforwp.com/stability-sprint-3-51st-update/
* Typo in the is_home() function fixed
* Option to hide/show AMP on all custom post types #587
* False detection by Windows defender tool fixed
* Conditional tags were not compatible with Advanced AMP ads which were causing some conflicts but is now fixed.

= 0.9.43.5 = 
* View more details at https://ampforwp.com/stability-sprint-2-50th-update/
* Fixed shortcodes issue in related posts #543
* Iframe Scripts Added properly
* Proper conditions added for the social section of Design 3
* Featured Image issue stretched in Design 2 & 3
* Removed extra global $redux_builder_amp;
* Custom Logo Dimensions option added #479
* Index & NoIndex options added for SEO section. #558
* Added URL for rewrite flushing rules in Options
* Option to enable and disable the Author area in Design 3#577
* Rel Nofollow added in credit link
* debug issue solved: fn_offset not defined
* debug issue solved: global $post not declared
* The word 'ago' is now translatable in design 3
* The word 'read next' is translatable now
* Tablepress compatibility added #392
* Secure API server is now serving through Google Cloud Manager.
* Thrive Content builder was displaying twice when the Custom AMP content was on. It was a complex issue which has been solved now.
* amp-ad extension.js script was loading if the Ads are not enabled. #598
* Social Share Extension Included on Homepage even if we didn't have social icons #599
* Installation UX improvement #593
* Removed duplicate global variable
* Proper OG tags added #588
* Proper instructions added for Custom AMP content #471


= 0.9.43.1 = 
* View more details at https://ampforwp.com/0-9-43-1-released-stability-sprint-1-49th-update/
* Emoji in comments leads to AMP errors
* Design 1 showing time on archives
* Added some space between the archive label.
* Lazy loading plugins compatibility #544
* Custom header and footer areas
* Sticky posts now come on top #564
* Footer non-amplink added in design 3 #562
* HTML Paragraph tag is shown in the title in category! #518

= 0.9.42 = 
* View more details at https://ampforwp.com/design-three-update/
* Design 3 was released – Video Overview  along with new options and features. View the video overview at: https://www.youtube.com/watch?v=ub1pwskt3Rc [Major Feature]
* Ticket #517 – Added Upload field into Redux core [3rd party Compatiblity]
* Ticket#529 Controls for archive titles added [Improvement]
* Ticket #548 Jetpack photon code removed

= 0.9.41 = 
* View more details at https://ampforwp.com/disqus-comments-in-amp/
* Disqus Comments in AMP Support Added [New Feature] - This feature can be enabled from Dashboard > AMP Options > Disqus Comments
* AMP WooCommerce supported tag was missing after the last update. [Bug fix]
* Homepage & Related Posts was displaying private and protected posts, which is now fixed [Bug fix]
* Next previous links added in Design 1 [Enhancement]
* Invalid Post Time displaying in the homepage of Design 1 [Bug fix]
* Twitter share now includes the twitter handle of the author with setting in options [Enhancement]
* Emoji in comments leads to AMP errors was fixed [Bug fix]
* Date are now displayed on archives in Design 1 [Enhancement]
* When RTL enabled logo merges with nav bar was fixed  [Bug fix]
* Jetpack Photon compatibility added  [3rd Party Compatibility]

= 0.9.40 =
* View more details at https://ampforwp.com/0-9-40-released-biggest-stability-update/
* Proper endpoints added [Improvement]
* Flush Rewrites properly [Improvement]
* REL Canonical properly getting added. [Improvement]
* Proper Frontpage Canonical added [Improvement]
* Added Base name support for categories and tags [Improvement]
* Redirection of excluded post solved. [Bug fix]
* Archives properly redirecting to the right URL [Bug fix]
* Homepage redirection solved [Bug fix]
* Plusone tag is stripped properly. [Validation Issue fixed]
* Archives are now clickable. [Improvements]
* WP_Query filter added for better customizability of Homepage loop. [Better Customizations]
* Social share boost plugin compatibility. [3rd party Customizations]
* Removed H1 from the frontpage even if it is not available. [Improvement]
* H3 instead of H1 for Site title. So there is only one H1 per page. [SEO Improvement]

= 0.9.38 =
* View full details at https://ampforwp.com/google-tag-manager-for-amp/
* Google Tag manager included [New feature]
* Iframe max-width added [Improvement]
* Paginated pages have different titles now. [Bug fix]

= 0.9.37 =
* View full details at https://ampforwp.com/category-tags-archive-support-added/
* Debug issues solved [Bug fix]
* Remove Extra styling added by other Themes/ Plugins [3rd party themes and plugin Support]
* Category, Tags & Archive Support with titles added [Enchancement]
* Archive Title support added [Enchancement]
* There were some issues with attachments [Bug fix]
* removed ? from amp url's [Improvement]
* Mobile redirection for Archives added and 404 redirections removed for archives [Improvement]
* View non-amp version now properly redirects to the normal version. #415 [Bug fix]
* Added an option to turn off AMP support for Homepage. [Enchancement]
* Too many redirects issue on homepage is fixed #435 [Improvement]
* Spell check and G tags are removed for thrive & Spell check compatibility [Better Validation]
* If image is not available in gravatar fixed, it was throwing an error #365 #327 [Improvement]
* Comment anchor link changed for simplecomment button files in both designs [Improvement]
* Redirection Loop issue fixed [Bug fix]
* Shortcodes were visible in excerpt, it's fixed now. [Improvement]
* Defer onload by other plugins was causing issues #431 [Better Validation & 3rd party support]
* Improved Sessions [Improvement]
* Advnaced Settings panel was created for better user experience. [Improvement]
* Spell check tag was causing validation issues. [Better Validation & 3rd party support]
* RTL issue fixed #454 [Bug fixed]

= 0.9.36 =
* Full details at https://ampforwp.com/0-9-36-released-stability-update-43rd-update/
* Redux Core Update. Better compatibility with the Salient theme and Themeforest themes & plugins using redux framework in their core, which makes the plugin much stable. [Huge Improvements]
* Hide advertisement section if advance ads plugin is active. [Better User experience]
* Ultimate Social Media PLUS Plugin Compatibility (Link) [3rd Party plugin Compatibility & Better Validation]
* Launch Post Builder button added. One of the important feature called ‘Post Builder’, that is drag and drop post builder was somewhere hidden in the customizer, so positioned it for better visibility from users. [Better UX]

= 0.9.35 =
* Full details at https://ampforwp.com/page-builder-realtime-preview-3rd-party-plugins-compatibility/
* Customizer page builder (Design Manager) was not showing real-time preview, we have fixed this issue properly [Bug fix]
* Attachment page was having the wrong endpoint. [Bug fix]
* Fb:like div has href, showfaces, send and action tag, which was against validation [Validation Improvement]
* A plugin (Spam Protection by CleanTalk, no Captcha Anti-Spam) was forcefully adding script into the AMP version. [3rd party Compatibility]
* Lang attributes were added [Enhancement]
* The tag like was disallowed in the AMP [Validation Improvement]
* We did some more testing with Visual Composer & AMP [3rd party Compatibility]
* AMP on Pages option was not working in some cases. [Bug fix]
* Disable comment button when comments were disabled. This was fixed by @lofesa and was sent as a pull request. Thank you Lofesa!
* g:plusone tag was not getting removed properly. [Validation Improvement]
* Thrive headline optimizer was having issues in AMP version. [Validation Improvement]
* Structured Data Image width issue solved [Enhancement]
* BJ Lazy Load was having issues, we have added a fix which will make this plugin compatible with the AMP. [3rd party Compatibility & Validation Improvement]
* imageanchor=”1″ was getting added by some 3rd party plugin, this was fixed.[Validation Improvement]

= 0.9.34 =
* Newspaper theme by Tagdiv was having issues, we have fixed this one. 

= 0.9.33 [15th Jan 2017] =
* Full details at https://ampforwp.com/debug-errors-shortcodes/
* Mobile was not working with Newspaper theme by Tagdiv [Bugfix]
* Debug errors fixed, Code is now much cleaner.
* New rewrite rules for homepage pagination. It had some paginated URLs with wrong amphtml tag.
* Extra analytics file was loading. Better compatibility with Yoast & Monster analytics.
* Properly removes AMP if turned off from Post panel
* z-index position improved on Sticky Social bar
* Better compatibility with shortcodes.
* Divi Standard Layouts Compatibility
* Properly Hide AMP posts if excluded. #367
* Mobile redirection was causing loop issues which are now fixed.
* Some plugins were loading in core AMP js file, which was causing the issues, which is now fixed. [Better Validation]
* onclick was getting added in the links on AMP version. Issue fixed. [Better Validation]
* thrive_headline tag was getting added in the Title tag which was causing validation issues. Fixed. [Better Validation]
* Some interactive plugins were using place, state, city and imap tags which are now fixed. [Better Validation]

= 0.9.32 [7th Jan 2017] =
* Full details at https://ampforwp.com/first-wave-of-polishing-in-2017/
* Rel=canonical issue fixed: AMP URL redirect to the normal URL #293 & #332.
* Paginated pages on homepage redirect to homepage URL #335
* Title of the page should be displayed on the FrontPage #358
* Thrive Builder AMP Validation Compatibility, so it will be validated properly in AMP.
* Twitter Sharing improved so it gets the data properly #341
* Option to change the number of Related Posts #290
* Validation errors due to rel="canonical" was missing on some pages
* Comment button displays even if the comments are not available
* Threaded comments were duplicating, so that issue is solved and added proper CSS for it.
* Minor issue with Jetpack Comments fixed.
* Missing amp-social-share.js on front page fixed #372
* Minor improvements to Title and description tags.
* Analytics Script was loading twice when Glue was active.
* Page specific class added for better customization compatibility #377
* Inline Style support added Fixed #356
* Bugs fixed in Email notification pointer

= 0.9.31 [2nd Jan 2017] =
* Proper Details at https://ampforwp.com/amp-0-9-31-released-installation-user-experience/
* Proper Condition added for the scripts to load in Frontpage.php
* Rel canonical properly added for front pages
* 404 and Archive page Mobile redirection code refined
* User Experience Improvement: Installation process was improved

= 0.9.3 [31st December 2016] =
* Proper Details at https://ampforwp.com/custom-amp-content-editor/
* Custom AMP Editor - Which allows you to override your Content that you had written in Post or page, so you can add the different content just for AMP.
* FrontPage had some validation issues. [Bug fix]
* Related posts in Design 1 we're redirecting to 404 fixed [Bug fix]

= 0.9.2.2 [27th December 2016] =
* Proper Details at https://ampforwp.com/polishing-user-experience-improvements/
* Made the Options panel user-friendly
* Social Share on frontpage issue fixed.
* Readme.txt made user-friendly.
* Archive option removed and some UI improvements
* Single was not displaying the Title
* 'Type is not allowed' [Validation issue fixed]
* noshade tag Validation issue fixed

= 0.9.2.1 [24th December 2016] =
* Proper Details at https://ampforwp.com/step-towards-fixing-amp-validation-errors/
* Disabled the Tags and Categories support for AMP for better validation until we find a better solution.
* Mobile redirection bug fixed, It was continuously redirecting to the same page [Bug fix]
* trailingslashit added to make sure we have proper url for Mobile redirection [Bug fix]
* In content AD overlapping the content issue fixed

= 0.9.2 [23th December 2016] =
* Proper Details at https://ampforwp.com/mobile-redirection/
* AMP Mobile Redirection Feature added. It can be turned on from Dashboard > General and then Mobile Redirection. [New Feature]
* Archive title and description added [Improvement]
* Improved the Speed of the AMP version #321 [Improvement]
* Anchor link was not closing fixed #328 [Bug Fix]
* Typo in Trailingslashit function which resulted in some issues in the Homepage version [Bug Fix]

= 0.9.1.2 [20th December 2016] =
* Proper Details at https://ampforwp.com/new/
* DoubleClick Support
* Custom Post Type Support
* Ratings Support
* Comments Gaping fix
* Custom Excerpt code
* Better Compatibility with Yoast SEO plugin
* AMP Validation error in Design 1 Fixed
* Proper Homepage title & Description with Yoast SEO plugin issue fixed
* Design -1 Excerpt too big for mobile devices, Fixed
* Advertisement support on Design 1
* Link to Tags & Categories were having some issues.
* AMP looking bad on big devices
* AMP validation Improvement: Lightbox plugins compatibility
* Huge Progress in AMP Validation Errors: Strip unwanted codes and tags from wp_footer for better compatibility with Plugins
* Page Performance: Removed default Google font loading
* Page Performance: DNS Prefetch tag added for faster DNS Handshake

= 0.9.1 [16th December 2016] =
* Proper Details at https://ampforwp.com/new/
* PHP7 Compatibility
* Pagination URLs (Prev & Next) was going to 404 ( #244 | #251 )
* Custom CSS not working in Design one (#249)
* Enhanced the translation panel by adding Textarea from Redux, which means that we're able to allow HTML in footer like before (#260)
* How to remove “Powered by WordPress” from Design-1 of AMP ( #264 )
* Non-amp Homepage support added (#267)
* using get_avatar() (#259)
* Validation issue fixed: The attribute 'rel' may not appear in tag 'div' (#268)
* Validation Issue fixed: Script Tag removed from the content.
* Featured image in Design 1 in single #261
* After Fresh installation - a save is required Fixed
* Excerpt length controlled
* Design One has thumbnails on the Homepage
* Non-AMP link goes to the wrong page, issue fixed.
* Archive pages were broken, fixed.
* Option to Enable & Disable the Next/Previous links in Single
* WhatsApp sharing not working, issue fixed.
* Category Taxonomy has extra ':' in the word.
* The word 'Ago' is now translatable.
* Yoast SEO with AMP compatibility issue fixed.
* Several Minor Polishing in the code
* Footer Ad gets covered by Sticky Social Icons (#269)
* Smaller image size when “image caption” is used in Design-2 (#263)
* Footer ad with Sticky Social bar issue fix
* Checked with WordPress 4.7
* Ad #1 was messing up with the title, issue fixed.
* Compatibility improved with AMP WooCommerce.

= 0.9 =
* Proper Details at https://ampforwp.com/amp-pagebuilder/
* Drag & Drop Page builder Added: You can easily modify the look of the AMP page using this feature
* 100% Yoast Compatible , Now no need to have additionally Glue Installed
* 100% completed Translation panel, Now absolutely anything on page is translated
* Added Option to turn on/off Page Support
* Styling for Tags was Corrected
* Made changes to these sections to reflect in the new Design manager : Related Posts, Footer
* Default Image alignment styling added
* Added Option to turn on/off Page Support
* Related Posts Now use Custom Excerpt if it Exists
* Now AMP pages wont have Validation errors because of 'rel' attribute in 'div' Tag or 'onclick' attribute in 'a' Tag
* <pre> Tag styling issue fixed for AMP pages
* Frontpage (Homepage) Compatibility with AMP which means better validation of front page.
* WooCommerce Support Added https://wordpress.org/plugins/amp-woocommerce/ (for E-Commerce)
* 2 New Designs added
* SEO Panel Added

= 0.8.8 =
* Proper Details at https://ampforwp.com/amp-0-8-8-released-translation-panel/
* Translation Panel added. You can now easily translate the AMP version from the backend without any complications.
* Badge Tag was throwing Validation error
* Plusone tag validation error was fixed
* Time tag was validation error was fixed
* User experience for Mobile devices was improved
* Meta info was messing up in smaller devices, it was fixed as well.
* Internal AMP linking added for Categories and Tags
* Future errors for AMP ads was fixed
* Blockquote styling added
* “Please Activate parent Plugin settings” added for better User Experience.
* Related Post Ux improvement
* Plugin version added in Footer source code for better debugging
* Added Support for Default WordPress Image alignment
* New action hooks added in index page
* Featured Image Size options added

= 0.8.7 =
* Proper Details at https://ampforwp.com/amp-0-8-7/
* added option to enable/disable AMP on Archive pages (Ticket #188)
* Solved 404 on Related Posts (Ticket #178 )
* Related posts by either categories or Tags(Ticket #179)
* added a link to menu Section from the AMP Options page(Ticket #190)
* Added Support for Piwik Analytics(Ticket #163)
* Added Support for Segment.com Analytics(Ticket #50)
* Added a switch for hiding Non-Amp page link from Footer.( Ticket #189)
* Added an Option that strips Users URL from Comments Section(Ticket #180)
* Fixed stripping  <date> tags from the content , Since it was preventing validation – amp-img issues fixed
* UX Improved for every section of AMP Options page
* Added Settings button on plugin page
* Related posts switch added
* Removed carousel.js


= 0.8.6.1 =
* Date Tag fix
* Few validation issues after 0.8.6 were fixed (Frontpage amp-img strip issue fixed)

= 0.8.6 =
* Proper Details at https://ampforwp.com/amp-0-8-6-released-related-posts-comments/
* Related Posts
* Post Comments
* WhatsApp sharing button – Your visitors can now easily share the content over the whatsapp.
* Validation issue fixed by All In One Schema.org Rich Snippets plugin
* Removed Google Fonts loading for Performance
* New relic Support
* Class added to ‘View Non-AMP Version’ text
* Archives Structured Data issue fixed
* Some instances img tags converted into amp-img automatically.


= 0.8.5.3 =
* Canonical issue fixed for Post

= 0.8.5.2 =
* Canonical issue fixed for FrontPage

= 0.8.5.1 =
* Proper Details at https://ampforwp.com/new/
* Validation issue fixed: 'Value' tag
* Validation issue fixed: The attribute 'contenteditable' may not appear in tag 'a'.
* Validation issue fixed: Table markup
* Validation issue fixed: nowrap and misc tags
* New Relic Support
* Tags on off option
* Canonical and correct AMP html Redirect issues Solved
* NextGEN Gallery Validation Support Added

= 0.8.5 =
* Proper Details at https://ampforwp.com/the-0-4-compatibility/
* AMP 0.4 Compatibility Check
* Even better Structured Data Validation, Once in for all!
* Structured Data Options to eliminate Validation errors
* AMP Page Exclude option

= 0.8.4 =
* Proper Details at https://ampforwp.com/blog/structured-data-validation/
* Structured Data Validation
* Navigation Text Change
* Inline Style Validation
* Form Validation
* Frontpage shows the amphtml rel twice fixed
* Facebook Sharing not working

= 0.8.3 =
* Prefix added in the Content filter
* Extra space after quote in Ads

= 0.8.2 =
* Proper Details at https://ampforwp.com/blog/the-custom-frontpage/
* Custom AMP FrontPage
* Featured Image
* New Mobile Friendly Advertisement sizes
* Single Post Pagination Option
* RTL Support
* Notifications
* Gaping if the Meta was turned off.
* Analytics was not fetching the user id properly.
* Page was not using the post template along with the AD support.
* AMP Endpoint support for Paged when the front page is active.
* UI improvement of Admin panel
* Few Validation issues fixed

= 0.8.1 =
* Warning: Cannot modify header information error fixed
* Validation issue fixed. KK Star Plugin compatible.
* Gaping in the smaller screens fixed

= 0.8 =
* Proper Details at https://ampforwp.com/blog/the-change/
* Plugin was re-written from scratch and is now built on top of default AMP plugin by Automattic but giving you the same features of the original plugin.
* 99.5% Validation issues were fixed.
* Page builder & Shortcodes Compatibility Support Added
* Conflict with JSON API
* Carousel support for Gallery
* Better Image stretching and resizing
* Youtube Video Embed Support
* Vine Embed Support
* Twitter oembed Support
* Instagram Embed Support
* Facebook Video Embed Support
* Better Future Compatibility

= 0.7.7 =
* Proper Details at https://ampforwp.com/blog/amp-0-7-7/
* Big Validation Error fix Update
* Disable AMP support on specific Pages and Posts
* Option to disable the Post meta from the Single
* Footer Credits and Copyright Text Option
* New options for Social Sharing Bar in Single
* Jetpack Social & Related Sharing Issue fixed
* Gaping in footer if the Sticky bar is enabled
* Text domain added on few strings

= 0.7.6 =
* Google Adsense Support Added with AMP-Ad
* Wrong Homepage rel amphtml bug fixed

= 0.7.5 =
* Google Analytics Support Added
* Logo Support Added. If the logo is disabled, then the Title should be activated.
* Color Scheme Feature Added
* User friendly Options Panel Added
* iFrame support Added
* Few Minor Bugs Fixed

= 0.7.1 =
* Bug #24 (Github) fixed
* Strip Style tags for faster & better validation
* Bug #21 (Github) fixed

= 0.7 =
* Canonical Improved
* Navigation Validation bug fixed
* Two more validation bugs fixed ('role' and 'tabindex' attribute)
* Featured image automatically hides if it is not present
* Validation issues in the images of the post's the_content

= 0.6 =
* Improved Navigation Menu
* Search Console errors fixed
* Social Sharing option
* Pages support
* Force redirection for mobile users removed and many other bug fixes

= 0.5 =
* Added AMP Markup for Google Structured data. This will fix the issues in Webmaster tools.

= 0.4 =
* Support of Custom menu added for AMP enabled sites

= 0.3 =
* Support of amp-img added in single posts
* minor css bug fixed

= 0.2.5 =
* Minor bugs fixed
* ?mobile & ?nomobile is now ?amp & ?noamp

= 0.2 =
* White Screen of death issue fixed
* Plugin URI updated

= 0.1 =
* Initial version
